	.file	"prime.c"
	.text
.Ltext0:
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC0:
	.string	"usage: prime [-bits n] [-checks n] [-generate] [-hex] [-safe] p\n"
	.section	.text.unlikely,"ax",@progbits
.LCOLDB1:
	.text
.LHOTB1:
	.p2align 4,,15
	.section	.text.unlikely
.Ltext_cold0:
	.text
	.type	prime_usage, @function
prime_usage:
.LFB70:
	.file 1 "prime.c"
	.loc 1 105 0
	.cfi_startproc
.LVL0:
	subq	$8, %rsp
	.cfi_def_cfa_offset 16
.LBB6:
.LBB7:
	.file 2 "/usr/include/x86_64-linux-gnu/bits/stdio2.h"
	.loc 2 97 0
	movq	stderr(%rip), %rcx
	movl	$.LC0, %edi
	movl	$64, %edx
	movl	$1, %esi
	call	fwrite
.LVL1:
.LBE7:
.LBE6:
	.loc 1 109 0
	movl	$prime_options, %edi
	.loc 1 110 0
	addq	$8, %rsp
	.cfi_def_cfa_offset 8
	.loc 1 109 0
	jmp	options_usage
.LVL2:
	.cfi_endproc
.LFE70:
	.size	prime_usage, .-prime_usage
	.section	.text.unlikely
.LCOLDE1:
	.text
.LHOTE1:
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC2:
	.string	""
.LC3:
	.string	"not "
.LC4:
	.string	"No prime specified.\n"
.LC5:
	.string	"Specify the number of bits.\n"
.LC6:
	.string	"Out of memory.\n"
.LC7:
	.string	"Prime generation error.\n"
.LC8:
	.string	"%s\n"
.LC9:
	.string	"%s is an invalid hex value.\n"
	.section	.rodata.str1.8
	.align 8
.LC10:
	.string	"%s is an invalid decimal value.\n"
	.section	.rodata.str1.1
.LC11:
	.string	" is %sprime\n"
	.section	.text.unlikely
.LCOLDB12:
	.text
.LHOTB12:
	.p2align 4,,15
	.globl	prime_main
	.type	prime_main, @function
prime_main:
.LFB71:
	.loc 1 116 0
	.cfi_startproc
.LVL3:
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	pushq	%rbx
	.cfi_def_cfa_offset 24
	.cfi_offset 3, -24
	.loc 1 128 0
	xorl	%r8d, %r8d
	movl	$prime_options, %edx
	.loc 1 116 0
	subq	$40, %rsp
	.cfi_def_cfa_offset 64
.LBB8:
.LBB9:
	.file 3 "/usr/include/x86_64-linux-gnu/bits/string3.h"
	.loc 3 84 0
	movq	$0, prime_config(%rip)
	movq	$0, prime_config+8(%rip)
.LBE9:
.LBE8:
	.loc 1 128 0
	leaq	16(%rsp), %rcx
	.loc 1 117 0
	movq	$0, 8(%rsp)
	.loc 1 118 0
	movq	$0, 16(%rsp)
.LVL4:
	.loc 1 116 0
	movq	%fs:40, %rax
	movq	%rax, 24(%rsp)
	xorl	%eax, %eax
.LBB11:
.LBB10:
	.loc 3 84 0
	movl	$0, prime_config+16(%rip)
.LBE10:
.LBE11:
	.loc 1 126 0
	movl	$20, prime_config+4(%rip)
	.loc 1 128 0
	call	options_parse
.LVL5:
	testl	%eax, %eax
	jne	.L22
	.loc 1 133 0
	cmpq	$0, 16(%rsp)
	je	.L24
.L6:
	.loc 1 139 0
	call	BIO_s_file
.LVL6:
	movq	%rax, %rdi
	call	BIO_new
.LVL7:
	testq	%rax, %rax
	movq	%rax, %rbx
.LVL8:
	je	.L25
	.loc 1 143 0
	movq	stdout(%rip), %rcx
	xorl	%edx, %edx
	movl	$106, %esi
	movq	%rax, %rdi
	call	BIO_ctrl
.LVL9:
	.loc 1 145 0
	movl	prime_config+8(%rip), %esi
	testl	%esi, %esi
	je	.L8
	.loc 1 146 0
	movl	prime_config(%rip), %ecx
	testl	%ecx, %ecx
	je	.L26
	.loc 1 150 0
	call	BN_new
.LVL10:
	.loc 1 151 0
	testq	%rax, %rax
	.loc 1 150 0
	movq	%rax, 8(%rsp)
	.loc 1 151 0
	je	.L27
	.loc 1 155 0
	movl	prime_config+16(%rip), %edx
	movl	prime_config(%rip), %esi
	xorl	%r9d, %r9d
	xorl	%r8d, %r8d
	xorl	%ecx, %ecx
	movq	%rax, %rdi
	call	BN_generate_prime_ex
.LVL11:
	testl	%eax, %eax
	je	.L28
	.loc 1 160 0
	movl	prime_config+12(%rip), %edx
	movq	8(%rsp), %rdi
	testl	%edx, %edx
	je	.L13
	.loc 1 160 0 is_stmt 0 discriminator 1
	call	BN_bn2hex
.LVL12:
	movq	%rax, %rbp
.L14:
.LVL13:
	.loc 1 161 0 is_stmt 1 discriminator 4
	testq	%rbp, %rbp
	je	.L29
	.loc 1 165 0
	movq	%rbp, %rdx
	movl	$.LC8, %esi
	movq	%rbx, %rdi
	xorl	%eax, %eax
	call	BIO_printf
.LVL14:
	.loc 1 166 0
	movq	%rbp, %rdi
	.loc 1 188 0
	xorl	%ebp, %ebp
.LVL15:
	.loc 1 166 0
	call	free
.LVL16:
	.p2align 4,,10
	.p2align 3
.L10:
	.loc 1 191 0
	movq	8(%rsp), %rdi
	call	BN_free
.LVL17:
	.loc 1 192 0
	movq	%rbx, %rdi
	call	BIO_free_all
.LVL18:
	.loc 1 194 0
	movl	%ebp, %eax
	jmp	.L5
.LVL19:
	.p2align 4,,10
	.p2align 3
.L8:
	.loc 1 168 0
	movl	prime_config+12(%rip), %eax
	.loc 1 169 0
	movq	16(%rsp), %rsi
	leaq	8(%rsp), %rdi
	.loc 1 168 0
	testl	%eax, %eax
	jne	.L30
	.loc 1 175 0
	call	BN_dec2bn
.LVL20:
	testl	%eax, %eax
	je	.L31
.L17:
	.loc 1 182 0
	movq	8(%rsp), %rsi
	movq	%rbx, %rdi
	call	BN_print
.LVL21:
	.loc 1 184 0
	movl	prime_config+4(%rip), %esi
	movq	8(%rsp), %rdi
	xorl	%ecx, %ecx
	xorl	%edx, %edx
	call	BN_is_prime_ex
.LVL22:
	.loc 1 183 0
	movl	$.LC3, %edx
	testl	%eax, %eax
	movl	$.LC2, %eax
	cmovne	%rax, %rdx
	movl	$.LC11, %esi
	movq	%rbx, %rdi
	xorl	%eax, %eax
	.loc 1 188 0
	xorl	%ebp, %ebp
	.loc 1 183 0
	call	BIO_printf
.LVL23:
	jmp	.L10
.LVL24:
	.p2align 4,,10
	.p2align 3
.L24:
	.loc 1 133 0 discriminator 1
	movl	prime_config+8(%rip), %edi
	testl	%edi, %edi
	jne	.L6
	.loc 1 134 0
	movq	bio_err(%rip), %rdi
	movl	$.LC4, %esi
	xorl	%eax, %eax
	call	BIO_printf
.LVL25:
	.p2align 4,,10
	.p2align 3
.L22:
	.loc 1 135 0
	xorl	%eax, %eax
	call	prime_usage
.LVL26:
	.loc 1 136 0
	movl	$1, %eax
.LVL27:
.L5:
	.loc 1 195 0
	movq	24(%rsp), %rbx
	xorq	%fs:40, %rbx
	jne	.L32
	addq	$40, %rsp
	.cfi_remember_state
	.cfi_def_cfa_offset 24
	popq	%rbx
	.cfi_def_cfa_offset 16
	popq	%rbp
	.cfi_def_cfa_offset 8
	ret
.LVL28:
	.p2align 4,,10
	.p2align 3
.L26:
	.cfi_restore_state
	.loc 1 147 0
	movq	bio_err(%rip), %rdi
	movl	$.LC5, %esi
	xorl	%eax, %eax
	.loc 1 121 0
	movl	$1, %ebp
	.loc 1 147 0
	call	BIO_printf
.LVL29:
	.loc 1 148 0
	jmp	.L10
	.p2align 4,,10
	.p2align 3
.L30:
	.loc 1 169 0
	call	BN_hex2bn
.LVL30:
	testl	%eax, %eax
	jne	.L17
	.loc 1 170 0
	movq	16(%rsp), %rdx
	movq	bio_err(%rip), %rdi
	movl	$.LC9, %esi
	.loc 1 121 0
	movl	$1, %ebp
	.loc 1 170 0
	call	BIO_printf
.LVL31:
	.loc 1 172 0
	jmp	.L10
.LVL32:
	.p2align 4,,10
	.p2align 3
.L25:
	.loc 1 140 0
	movq	bio_err(%rip), %rdi
	call	ERR_print_errors
.LVL33:
	.loc 1 141 0
	movl	$1, %eax
	jmp	.L5
	.p2align 4,,10
	.p2align 3
.L13:
	.loc 1 160 0 discriminator 2
	call	BN_bn2dec
.LVL34:
	movq	%rax, %rbp
	jmp	.L14
	.p2align 4,,10
	.p2align 3
.L31:
	.loc 1 176 0
	movq	16(%rsp), %rdx
	movq	bio_err(%rip), %rdi
	movl	$.LC10, %esi
	.loc 1 121 0
	movl	$1, %ebp
	.loc 1 176 0
	call	BIO_printf
.LVL35:
	.loc 1 178 0
	jmp	.L10
	.p2align 4,,10
	.p2align 3
.L28:
	.loc 1 157 0
	movq	bio_err(%rip), %rdi
	movl	$.LC7, %esi
	.loc 1 121 0
	movl	$1, %ebp
	.loc 1 157 0
	call	BIO_printf
.LVL36:
	.loc 1 158 0
	jmp	.L10
	.p2align 4,,10
	.p2align 3
.L27:
	.loc 1 152 0
	movq	bio_err(%rip), %rdi
	movl	$.LC6, %esi
	.loc 1 121 0
	movl	$1, %ebp
	.loc 1 152 0
	call	BIO_printf
.LVL37:
	.loc 1 153 0
	jmp	.L10
.LVL38:
	.p2align 4,,10
	.p2align 3
.L29:
	.loc 1 162 0
	movq	bio_err(%rip), %rdi
	movl	$.LC6, %esi
	xorl	%eax, %eax
	.loc 1 121 0
	movl	$1, %ebp
.LVL39:
	.loc 1 162 0
	call	BIO_printf
.LVL40:
	.loc 1 163 0
	jmp	.L10
.LVL41:
.L32:
	.loc 1 195 0
	call	__stack_chk_fail
.LVL42:
	.cfi_endproc
.LFE71:
	.size	prime_main, .-prime_main
	.section	.text.unlikely
.LCOLDE12:
	.text
.LHOTE12:
	.globl	prime_options
	.section	.rodata.str1.1
.LC13:
	.string	"bits"
.LC14:
	.string	"n"
	.section	.rodata.str1.8
	.align 8
.LC15:
	.string	"Number of bits in the generated prime number"
	.section	.rodata.str1.1
.LC16:
	.string	"checks"
	.section	.rodata.str1.8
	.align 8
.LC17:
	.string	"Miller-Rabin probablistic primality test iterations"
	.section	.rodata.str1.1
.LC18:
	.string	"generate"
	.section	.rodata.str1.8
	.align 8
.LC19:
	.string	"Generate a pseudo-random prime number"
	.section	.rodata.str1.1
.LC20:
	.string	"hex"
.LC21:
	.string	"Hexadecimal prime numbers"
.LC22:
	.string	"safe"
	.section	.rodata.str1.8
	.align 8
.LC23:
	.string	"Generate only \"safe\" prime numbers"
	.data
	.align 32
	.type	prime_options, @object
	.size	prime_options, 288
prime_options:
	.quad	.LC13
	.quad	.LC14
	.quad	.LC15
	.long	4
	.zero	4
	.quad	prime_config
	.zero	8
	.quad	.LC16
	.quad	.LC14
	.quad	.LC17
	.long	4
	.zero	4
	.quad	prime_config+4
	.zero	8
	.quad	.LC18
	.zero	8
	.quad	.LC19
	.long	8
	.zero	4
	.quad	prime_config+8
	.zero	8
	.quad	.LC20
	.zero	8
	.quad	.LC21
	.long	8
	.zero	4
	.quad	prime_config+12
	.zero	8
	.quad	.LC22
	.zero	8
	.quad	.LC23
	.long	8
	.zero	4
	.quad	prime_config+16
	.zero	8
	.quad	0
	.zero	40
	.comm	prime_config,20,16
	.text
.Letext0:
	.section	.text.unlikely
.Letext_cold0:
	.file 4 "/usr/lib/gcc/x86_64-linux-gnu/5/include/stddef.h"
	.file 5 "/usr/include/x86_64-linux-gnu/bits/types.h"
	.file 6 "/usr/include/stdio.h"
	.file 7 "/usr/include/libio.h"
	.file 8 "../include/openssl/stack.h"
	.file 9 "../include/openssl/ossl_typ.h"
	.file 10 "../include/openssl/bn.h"
	.file 11 "../include/openssl/crypto.h"
	.file 12 "../include/openssl/bio.h"
	.file 13 "apps.h"
	.file 14 "/usr/include/stdlib.h"
	.file 15 "../include/openssl/err.h"
	.file 16 "<built-in>"
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.long	0xdc0
	.value	0x4
	.long	.Ldebug_abbrev0
	.byte	0x8
	.uleb128 0x1
	.long	.LASF150
	.byte	0xc
	.long	.LASF151
	.long	.LASF152
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF9
	.byte	0x4
	.byte	0xd8
	.long	0x38
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF1
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x5
	.long	0x4d
	.uleb128 0x6
	.byte	0x8
	.long	0x66
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF3
	.uleb128 0x5
	.long	0x5f
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF4
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF5
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF6
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF7
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF8
	.uleb128 0x2
	.long	.LASF10
	.byte	0x5
	.byte	0x83
	.long	0x87
	.uleb128 0x2
	.long	.LASF11
	.byte	0x5
	.byte	0x84
	.long	0x87
	.uleb128 0x7
	.byte	0x8
	.uleb128 0x6
	.byte	0x8
	.long	0x5f
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF12
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF13
	.uleb128 0x2
	.long	.LASF14
	.byte	0x6
	.byte	0x30
	.long	0xc5
	.uleb128 0x8
	.long	.LASF44
	.byte	0xd8
	.byte	0x7
	.byte	0xf5
	.long	0x245
	.uleb128 0x9
	.long	.LASF15
	.byte	0x7
	.byte	0xf6
	.long	0x4d
	.byte	0
	.uleb128 0x9
	.long	.LASF16
	.byte	0x7
	.byte	0xfb
	.long	0xa6
	.byte	0x8
	.uleb128 0x9
	.long	.LASF17
	.byte	0x7
	.byte	0xfc
	.long	0xa6
	.byte	0x10
	.uleb128 0x9
	.long	.LASF18
	.byte	0x7
	.byte	0xfd
	.long	0xa6
	.byte	0x18
	.uleb128 0x9
	.long	.LASF19
	.byte	0x7
	.byte	0xfe
	.long	0xa6
	.byte	0x20
	.uleb128 0x9
	.long	.LASF20
	.byte	0x7
	.byte	0xff
	.long	0xa6
	.byte	0x28
	.uleb128 0xa
	.long	.LASF21
	.byte	0x7
	.value	0x100
	.long	0xa6
	.byte	0x30
	.uleb128 0xa
	.long	.LASF22
	.byte	0x7
	.value	0x101
	.long	0xa6
	.byte	0x38
	.uleb128 0xa
	.long	.LASF23
	.byte	0x7
	.value	0x102
	.long	0xa6
	.byte	0x40
	.uleb128 0xa
	.long	.LASF24
	.byte	0x7
	.value	0x104
	.long	0xa6
	.byte	0x48
	.uleb128 0xa
	.long	.LASF25
	.byte	0x7
	.value	0x105
	.long	0xa6
	.byte	0x50
	.uleb128 0xa
	.long	.LASF26
	.byte	0x7
	.value	0x106
	.long	0xa6
	.byte	0x58
	.uleb128 0xa
	.long	.LASF27
	.byte	0x7
	.value	0x108
	.long	0x27d
	.byte	0x60
	.uleb128 0xa
	.long	.LASF28
	.byte	0x7
	.value	0x10a
	.long	0x283
	.byte	0x68
	.uleb128 0xa
	.long	.LASF29
	.byte	0x7
	.value	0x10c
	.long	0x4d
	.byte	0x70
	.uleb128 0xa
	.long	.LASF30
	.byte	0x7
	.value	0x110
	.long	0x4d
	.byte	0x74
	.uleb128 0xa
	.long	.LASF31
	.byte	0x7
	.value	0x112
	.long	0x8e
	.byte	0x78
	.uleb128 0xa
	.long	.LASF32
	.byte	0x7
	.value	0x116
	.long	0x46
	.byte	0x80
	.uleb128 0xa
	.long	.LASF33
	.byte	0x7
	.value	0x117
	.long	0x79
	.byte	0x82
	.uleb128 0xa
	.long	.LASF34
	.byte	0x7
	.value	0x118
	.long	0x289
	.byte	0x83
	.uleb128 0xa
	.long	.LASF35
	.byte	0x7
	.value	0x11c
	.long	0x299
	.byte	0x88
	.uleb128 0xa
	.long	.LASF36
	.byte	0x7
	.value	0x125
	.long	0x99
	.byte	0x90
	.uleb128 0xa
	.long	.LASF37
	.byte	0x7
	.value	0x12e
	.long	0xa4
	.byte	0x98
	.uleb128 0xa
	.long	.LASF38
	.byte	0x7
	.value	0x12f
	.long	0xa4
	.byte	0xa0
	.uleb128 0xa
	.long	.LASF39
	.byte	0x7
	.value	0x130
	.long	0xa4
	.byte	0xa8
	.uleb128 0xa
	.long	.LASF40
	.byte	0x7
	.value	0x131
	.long	0xa4
	.byte	0xb0
	.uleb128 0xa
	.long	.LASF41
	.byte	0x7
	.value	0x132
	.long	0x2d
	.byte	0xb8
	.uleb128 0xa
	.long	.LASF42
	.byte	0x7
	.value	0x134
	.long	0x4d
	.byte	0xc0
	.uleb128 0xa
	.long	.LASF43
	.byte	0x7
	.value	0x136
	.long	0x29f
	.byte	0xc4
	.byte	0
	.uleb128 0xb
	.long	.LASF153
	.byte	0x7
	.byte	0x9a
	.uleb128 0x8
	.long	.LASF45
	.byte	0x18
	.byte	0x7
	.byte	0xa0
	.long	0x27d
	.uleb128 0x9
	.long	.LASF46
	.byte	0x7
	.byte	0xa1
	.long	0x27d
	.byte	0
	.uleb128 0x9
	.long	.LASF47
	.byte	0x7
	.byte	0xa2
	.long	0x283
	.byte	0x8
	.uleb128 0x9
	.long	.LASF48
	.byte	0x7
	.byte	0xa6
	.long	0x4d
	.byte	0x10
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x24c
	.uleb128 0x6
	.byte	0x8
	.long	0xc5
	.uleb128 0xc
	.long	0x5f
	.long	0x299
	.uleb128 0xd
	.long	0x3f
	.byte	0
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x245
	.uleb128 0xc
	.long	0x5f
	.long	0x2af
	.uleb128 0xd
	.long	0x3f
	.byte	0x13
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x4d
	.uleb128 0x6
	.byte	0x8
	.long	0x2bb
	.uleb128 0xe
	.long	0x4d
	.long	0x2cf
	.uleb128 0xf
	.long	0x2cf
	.uleb128 0xf
	.long	0x2cf
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x2d5
	.uleb128 0x10
	.uleb128 0x8
	.long	.LASF49
	.byte	0x20
	.byte	0x8
	.byte	0x42
	.long	0x31f
	.uleb128 0x11
	.string	"num"
	.byte	0x8
	.byte	0x43
	.long	0x4d
	.byte	0
	.uleb128 0x9
	.long	.LASF50
	.byte	0x8
	.byte	0x44
	.long	0x31f
	.byte	0x8
	.uleb128 0x9
	.long	.LASF51
	.byte	0x8
	.byte	0x45
	.long	0x4d
	.byte	0x10
	.uleb128 0x9
	.long	.LASF52
	.byte	0x8
	.byte	0x47
	.long	0x4d
	.byte	0x14
	.uleb128 0x9
	.long	.LASF53
	.byte	0x8
	.byte	0x48
	.long	0x2b5
	.byte	0x18
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0xa6
	.uleb128 0x2
	.long	.LASF54
	.byte	0x8
	.byte	0x49
	.long	0x2d6
	.uleb128 0x2
	.long	.LASF55
	.byte	0x9
	.byte	0x7a
	.long	0x33b
	.uleb128 0x8
	.long	.LASF56
	.byte	0x18
	.byte	0xa
	.byte	0xf4
	.long	0x382
	.uleb128 0x11
	.string	"d"
	.byte	0xa
	.byte	0xf5
	.long	0x66c
	.byte	0
	.uleb128 0x11
	.string	"top"
	.byte	0xa
	.byte	0xf6
	.long	0x4d
	.byte	0x8
	.uleb128 0x9
	.long	.LASF57
	.byte	0xa
	.byte	0xf8
	.long	0x4d
	.byte	0xc
	.uleb128 0x11
	.string	"neg"
	.byte	0xa
	.byte	0xf9
	.long	0x4d
	.byte	0x10
	.uleb128 0x9
	.long	.LASF58
	.byte	0xa
	.byte	0xfa
	.long	0x4d
	.byte	0x14
	.byte	0
	.uleb128 0x2
	.long	.LASF59
	.byte	0x9
	.byte	0xc5
	.long	0x38d
	.uleb128 0x12
	.long	.LASF60
	.byte	0x8
	.byte	0xb
	.value	0x103
	.long	0x3a7
	.uleb128 0x13
	.string	"sk"
	.byte	0xb
	.value	0x104
	.long	0x493
	.byte	0
	.byte	0
	.uleb128 0x12
	.long	.LASF61
	.byte	0x68
	.byte	0xc
	.value	0x119
	.long	0x478
	.uleb128 0xa
	.long	.LASF62
	.byte	0xc
	.value	0x11a
	.long	0x632
	.byte	0
	.uleb128 0xa
	.long	.LASF63
	.byte	0xc
	.value	0x11c
	.long	0x660
	.byte	0x8
	.uleb128 0xa
	.long	.LASF64
	.byte	0xc
	.value	0x11d
	.long	0xa6
	.byte	0x10
	.uleb128 0xa
	.long	.LASF65
	.byte	0xc
	.value	0x11f
	.long	0x4d
	.byte	0x18
	.uleb128 0xa
	.long	.LASF66
	.byte	0xc
	.value	0x120
	.long	0x4d
	.byte	0x1c
	.uleb128 0xa
	.long	.LASF58
	.byte	0xc
	.value	0x121
	.long	0x4d
	.byte	0x20
	.uleb128 0xa
	.long	.LASF67
	.byte	0xc
	.value	0x122
	.long	0x4d
	.byte	0x24
	.uleb128 0x13
	.string	"num"
	.byte	0xc
	.value	0x123
	.long	0x4d
	.byte	0x28
	.uleb128 0x13
	.string	"ptr"
	.byte	0xc
	.value	0x124
	.long	0xa4
	.byte	0x30
	.uleb128 0xa
	.long	.LASF68
	.byte	0xc
	.value	0x125
	.long	0x4d4
	.byte	0x38
	.uleb128 0xa
	.long	.LASF69
	.byte	0xc
	.value	0x126
	.long	0x4d4
	.byte	0x40
	.uleb128 0xa
	.long	.LASF70
	.byte	0xc
	.value	0x127
	.long	0x4d
	.byte	0x48
	.uleb128 0xa
	.long	.LASF71
	.byte	0xc
	.value	0x128
	.long	0x38
	.byte	0x50
	.uleb128 0xa
	.long	.LASF72
	.byte	0xc
	.value	0x129
	.long	0x38
	.byte	0x58
	.uleb128 0xa
	.long	.LASF73
	.byte	0xc
	.value	0x12b
	.long	0x382
	.byte	0x60
	.byte	0
	.uleb128 0x12
	.long	.LASF74
	.byte	0x20
	.byte	0xb
	.value	0x106
	.long	0x493
	.uleb128 0xa
	.long	.LASF75
	.byte	0xb
	.value	0x106
	.long	0x325
	.byte	0
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x478
	.uleb128 0x14
	.string	"BIO"
	.byte	0xc
	.byte	0xca
	.long	0x3a7
	.uleb128 0x15
	.long	.LASF76
	.byte	0xc
	.value	0x10a
	.long	0x4b0
	.uleb128 0x16
	.long	0x4d4
	.uleb128 0xf
	.long	0x4d4
	.uleb128 0xf
	.long	0x4d
	.uleb128 0xf
	.long	0x59
	.uleb128 0xf
	.long	0x4d
	.uleb128 0xf
	.long	0x87
	.uleb128 0xf
	.long	0x87
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x3a7
	.uleb128 0x12
	.long	.LASF77
	.byte	0x50
	.byte	0xc
	.value	0x10c
	.long	0x56a
	.uleb128 0xa
	.long	.LASF78
	.byte	0xc
	.value	0x10d
	.long	0x4d
	.byte	0
	.uleb128 0xa
	.long	.LASF79
	.byte	0xc
	.value	0x10e
	.long	0x59
	.byte	0x8
	.uleb128 0xa
	.long	.LASF80
	.byte	0xc
	.value	0x10f
	.long	0x589
	.byte	0x10
	.uleb128 0xa
	.long	.LASF81
	.byte	0xc
	.value	0x110
	.long	0x5a8
	.byte	0x18
	.uleb128 0xa
	.long	.LASF82
	.byte	0xc
	.value	0x111
	.long	0x5c2
	.byte	0x20
	.uleb128 0xa
	.long	.LASF83
	.byte	0xc
	.value	0x112
	.long	0x5a8
	.byte	0x28
	.uleb128 0xa
	.long	.LASF84
	.byte	0xc
	.value	0x113
	.long	0x5e6
	.byte	0x30
	.uleb128 0xa
	.long	.LASF85
	.byte	0xc
	.value	0x114
	.long	0x5fb
	.byte	0x38
	.uleb128 0xa
	.long	.LASF86
	.byte	0xc
	.value	0x115
	.long	0x5fb
	.byte	0x40
	.uleb128 0xa
	.long	.LASF87
	.byte	0xc
	.value	0x116
	.long	0x620
	.byte	0x48
	.byte	0
	.uleb128 0xe
	.long	0x4d
	.long	0x583
	.uleb128 0xf
	.long	0x583
	.uleb128 0xf
	.long	0x59
	.uleb128 0xf
	.long	0x4d
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x499
	.uleb128 0x6
	.byte	0x8
	.long	0x56a
	.uleb128 0xe
	.long	0x4d
	.long	0x5a8
	.uleb128 0xf
	.long	0x583
	.uleb128 0xf
	.long	0xa6
	.uleb128 0xf
	.long	0x4d
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x58f
	.uleb128 0xe
	.long	0x4d
	.long	0x5c2
	.uleb128 0xf
	.long	0x583
	.uleb128 0xf
	.long	0x59
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x5ae
	.uleb128 0xe
	.long	0x87
	.long	0x5e6
	.uleb128 0xf
	.long	0x583
	.uleb128 0xf
	.long	0x4d
	.uleb128 0xf
	.long	0x87
	.uleb128 0xf
	.long	0xa4
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x5c8
	.uleb128 0xe
	.long	0x4d
	.long	0x5fb
	.uleb128 0xf
	.long	0x583
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x5ec
	.uleb128 0xe
	.long	0x87
	.long	0x61a
	.uleb128 0xf
	.long	0x583
	.uleb128 0xf
	.long	0x4d
	.uleb128 0xf
	.long	0x61a
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x4a4
	.uleb128 0x6
	.byte	0x8
	.long	0x601
	.uleb128 0x15
	.long	.LASF88
	.byte	0xc
	.value	0x117
	.long	0x4da
	.uleb128 0x6
	.byte	0x8
	.long	0x626
	.uleb128 0xe
	.long	0x87
	.long	0x660
	.uleb128 0xf
	.long	0x4d4
	.uleb128 0xf
	.long	0x4d
	.uleb128 0xf
	.long	0x59
	.uleb128 0xf
	.long	0x4d
	.uleb128 0xf
	.long	0x87
	.uleb128 0xf
	.long	0x87
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x638
	.uleb128 0x6
	.byte	0x8
	.long	0x87
	.uleb128 0x6
	.byte	0x8
	.long	0x38
	.uleb128 0x6
	.byte	0x8
	.long	0x330
	.uleb128 0x17
	.long	0x4d
	.uleb128 0x6
	.byte	0x8
	.long	0x678
	.uleb128 0x18
	.byte	0x4
	.long	0x72
	.byte	0xd
	.value	0x11f
	.long	0x6df
	.uleb128 0x19
	.long	.LASF89
	.byte	0
	.uleb128 0x19
	.long	.LASF90
	.byte	0x1
	.uleb128 0x19
	.long	.LASF91
	.byte	0x2
	.uleb128 0x19
	.long	.LASF92
	.byte	0x3
	.uleb128 0x19
	.long	.LASF93
	.byte	0x4
	.uleb128 0x19
	.long	.LASF94
	.byte	0x5
	.uleb128 0x19
	.long	.LASF95
	.byte	0x6
	.uleb128 0x19
	.long	.LASF96
	.byte	0x7
	.uleb128 0x19
	.long	.LASF97
	.byte	0x8
	.uleb128 0x19
	.long	.LASF98
	.byte	0x9
	.uleb128 0x19
	.long	.LASF99
	.byte	0xa
	.uleb128 0x19
	.long	.LASF100
	.byte	0xb
	.uleb128 0x19
	.long	.LASF101
	.byte	0xc
	.byte	0
	.uleb128 0x1a
	.byte	0x8
	.byte	0xd
	.value	0x12e
	.long	0x73d
	.uleb128 0x1b
	.string	"arg"
	.byte	0xd
	.value	0x12f
	.long	0x31f
	.uleb128 0x1c
	.long	.LASF102
	.byte	0xd
	.value	0x130
	.long	0x74c
	.uleb128 0x1c
	.long	.LASF103
	.byte	0xd
	.value	0x131
	.long	0x76b
	.uleb128 0x1c
	.long	.LASF104
	.byte	0xd
	.value	0x132
	.long	0x2af
	.uleb128 0x1c
	.long	.LASF105
	.byte	0xd
	.value	0x133
	.long	0x67d
	.uleb128 0x1c
	.long	.LASF106
	.byte	0xd
	.value	0x134
	.long	0x666
	.uleb128 0x1c
	.long	.LASF107
	.byte	0xd
	.value	0x135
	.long	0x2af
	.byte	0
	.uleb128 0xe
	.long	0x4d
	.long	0x74c
	.uleb128 0xf
	.long	0xa6
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x73d
	.uleb128 0xe
	.long	0x4d
	.long	0x76b
	.uleb128 0xf
	.long	0x4d
	.uleb128 0xf
	.long	0x31f
	.uleb128 0xf
	.long	0x2af
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x752
	.uleb128 0x12
	.long	.LASF108
	.byte	0x30
	.byte	0xd
	.value	0x11b
	.long	0x7cd
	.uleb128 0xa
	.long	.LASF79
	.byte	0xd
	.value	0x11c
	.long	0x59
	.byte	0
	.uleb128 0xa
	.long	.LASF109
	.byte	0xd
	.value	0x11d
	.long	0x59
	.byte	0x8
	.uleb128 0xa
	.long	.LASF110
	.byte	0xd
	.value	0x11e
	.long	0x59
	.byte	0x10
	.uleb128 0xa
	.long	.LASF78
	.byte	0xd
	.value	0x12d
	.long	0x683
	.byte	0x18
	.uleb128 0x13
	.string	"opt"
	.byte	0xd
	.value	0x136
	.long	0x6df
	.byte	0x20
	.uleb128 0xa
	.long	.LASF107
	.byte	0xd
	.value	0x137
	.long	0x54
	.byte	0x28
	.byte	0
	.uleb128 0x1d
	.byte	0x14
	.byte	0x1
	.byte	0x3b
	.long	0x812
	.uleb128 0x9
	.long	.LASF111
	.byte	0x1
	.byte	0x3c
	.long	0x4d
	.byte	0
	.uleb128 0x9
	.long	.LASF112
	.byte	0x1
	.byte	0x3d
	.long	0x4d
	.byte	0x4
	.uleb128 0x9
	.long	.LASF113
	.byte	0x1
	.byte	0x3e
	.long	0x4d
	.byte	0x8
	.uleb128 0x11
	.string	"hex"
	.byte	0x1
	.byte	0x3f
	.long	0x4d
	.byte	0xc
	.uleb128 0x9
	.long	.LASF114
	.byte	0x1
	.byte	0x40
	.long	0x4d
	.byte	0x10
	.byte	0
	.uleb128 0x1e
	.long	.LASF117
	.byte	0x2
	.byte	0x5f
	.long	0x4d
	.byte	0x3
	.long	0x83a
	.uleb128 0x1f
	.long	.LASF115
	.byte	0x2
	.byte	0x5f
	.long	0x840
	.uleb128 0x1f
	.long	.LASF116
	.byte	0x2
	.byte	0x5f
	.long	0x845
	.uleb128 0x20
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0xba
	.uleb128 0x21
	.long	0x83a
	.uleb128 0x21
	.long	0x59
	.uleb128 0x1e
	.long	.LASF118
	.byte	0x3
	.byte	0x4c
	.long	0xa4
	.byte	0x3
	.long	0x87c
	.uleb128 0x1f
	.long	.LASF119
	.byte	0x3
	.byte	0x4c
	.long	0xa4
	.uleb128 0x1f
	.long	.LASF120
	.byte	0x3
	.byte	0x4c
	.long	0x4d
	.uleb128 0x1f
	.long	.LASF121
	.byte	0x3
	.byte	0x4c
	.long	0x2d
	.byte	0
	.uleb128 0x22
	.long	.LASF154
	.byte	0x1
	.byte	0x68
	.quad	.LFB70
	.quad	.LFE70-.LFB70
	.uleb128 0x1
	.byte	0x9c
	.long	0x90c
	.uleb128 0x23
	.long	0x812
	.quad	.LBB6
	.quad	.LBE6-.LBB6
	.byte	0x1
	.byte	0x6a
	.long	0x8f0
	.uleb128 0x24
	.long	0x82d
	.uleb128 0xa
	.byte	0x3
	.quad	.LC0
	.byte	0x9f
	.uleb128 0x25
	.long	0x822
	.uleb128 0x26
	.quad	.LVL1
	.long	0xcd3
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC0
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x2
	.byte	0x8
	.byte	0x40
	.byte	0
	.byte	0
	.uleb128 0x28
	.quad	.LVL2
	.long	0xce2
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	prime_options
	.byte	0
	.byte	0
	.uleb128 0x29
	.long	.LASF155
	.byte	0x1
	.byte	0x73
	.long	0x4d
	.quad	.LFB71
	.quad	.LFE71-.LFB71
	.uleb128 0x1
	.byte	0x9c
	.long	0xc6d
	.uleb128 0x2a
	.long	.LASF122
	.byte	0x1
	.byte	0x73
	.long	0x4d
	.long	.LLST0
	.uleb128 0x2a
	.long	.LASF123
	.byte	0x1
	.byte	0x73
	.long	0x31f
	.long	.LLST1
	.uleb128 0x2b
	.string	"bn"
	.byte	0x1
	.byte	0x75
	.long	0x672
	.uleb128 0x2
	.byte	0x91
	.sleb128 -56
	.uleb128 0x2c
	.long	.LASF124
	.byte	0x1
	.byte	0x76
	.long	0xa6
	.uleb128 0x2
	.byte	0x91
	.sleb128 -48
	.uleb128 0x2d
	.long	.LASF125
	.byte	0x1
	.byte	0x77
	.long	0x583
	.long	.LLST2
	.uleb128 0x2e
	.string	"s"
	.byte	0x1
	.byte	0x78
	.long	0xa6
	.long	.LLST3
	.uleb128 0x2e
	.string	"ret"
	.byte	0x1
	.byte	0x79
	.long	0x4d
	.long	.LLST4
	.uleb128 0x2f
	.string	"end"
	.byte	0x1
	.byte	0xbe
	.quad	.L10
	.uleb128 0x30
	.long	0x84a
	.quad	.LBB8
	.long	.Ldebug_ranges0+0
	.byte	0x1
	.byte	0x7b
	.long	0x9d4
	.uleb128 0x31
	.long	0x870
	.byte	0x14
	.uleb128 0x31
	.long	0x865
	.byte	0
	.uleb128 0x24
	.long	0x85a
	.uleb128 0xa
	.byte	0x3
	.quad	prime_config
	.byte	0x9f
	.byte	0
	.uleb128 0x32
	.quad	.LVL5
	.long	0xcee
	.long	0xa0c
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x3
	.byte	0xf3
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x3
	.byte	0xf3
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x9
	.byte	0x3
	.quad	prime_options
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x52
	.uleb128 0x2
	.byte	0x91
	.sleb128 -48
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x58
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x33
	.quad	.LVL6
	.long	0xcfa
	.uleb128 0x33
	.quad	.LVL7
	.long	0xd06
	.uleb128 0x32
	.quad	.LVL9
	.long	0xd12
	.long	0xa49
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x8
	.byte	0x6a
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x33
	.quad	.LVL10
	.long	0xd1e
	.uleb128 0x32
	.quad	.LVL11
	.long	0xd2a
	.long	0xa77
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x52
	.uleb128 0x1
	.byte	0x30
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x58
	.uleb128 0x1
	.byte	0x30
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x59
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x33
	.quad	.LVL12
	.long	0xd36
	.uleb128 0x32
	.quad	.LVL14
	.long	0xd42
	.long	0xaaf
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC8
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x2
	.byte	0x76
	.sleb128 0
	.byte	0
	.uleb128 0x33
	.quad	.LVL16
	.long	0xd4e
	.uleb128 0x33
	.quad	.LVL17
	.long	0xd5a
	.uleb128 0x32
	.quad	.LVL18
	.long	0xd66
	.long	0xae1
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.byte	0
	.uleb128 0x32
	.quad	.LVL20
	.long	0xd72
	.long	0xaf9
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x91
	.sleb128 -56
	.byte	0
	.uleb128 0x32
	.quad	.LVL21
	.long	0xd7e
	.long	0xb11
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.byte	0
	.uleb128 0x32
	.quad	.LVL22
	.long	0xd8a
	.long	0xb2d
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x1
	.byte	0x30
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x52
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x32
	.quad	.LVL23
	.long	0xd42
	.long	0xb52
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC11
	.byte	0
	.uleb128 0x32
	.quad	.LVL25
	.long	0xd42
	.long	0xb71
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC4
	.byte	0
	.uleb128 0x33
	.quad	.LVL26
	.long	0x87c
	.uleb128 0x32
	.quad	.LVL29
	.long	0xd42
	.long	0xb9d
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC5
	.byte	0
	.uleb128 0x33
	.quad	.LVL30
	.long	0xd96
	.uleb128 0x32
	.quad	.LVL31
	.long	0xd42
	.long	0xbc9
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC9
	.byte	0
	.uleb128 0x33
	.quad	.LVL33
	.long	0xda2
	.uleb128 0x33
	.quad	.LVL34
	.long	0xdae
	.uleb128 0x32
	.quad	.LVL35
	.long	0xd42
	.long	0xc02
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC10
	.byte	0
	.uleb128 0x32
	.quad	.LVL36
	.long	0xd42
	.long	0xc21
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC7
	.byte	0
	.uleb128 0x32
	.quad	.LVL37
	.long	0xd42
	.long	0xc40
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC6
	.byte	0
	.uleb128 0x32
	.quad	.LVL40
	.long	0xd42
	.long	0xc5f
	.uleb128 0x27
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC6
	.byte	0
	.uleb128 0x33
	.quad	.LVL42
	.long	0xdba
	.byte	0
	.uleb128 0x34
	.long	.LASF126
	.byte	0x6
	.byte	0xa8
	.long	0x283
	.uleb128 0x34
	.long	.LASF127
	.byte	0x6
	.byte	0xa9
	.long	0x283
	.uleb128 0x34
	.long	.LASF128
	.byte	0x6
	.byte	0xaa
	.long	0x283
	.uleb128 0x34
	.long	.LASF129
	.byte	0xd
	.byte	0x86
	.long	0x583
	.uleb128 0x35
	.long	.LASF130
	.byte	0x1
	.byte	0x41
	.long	0x7cd
	.uleb128 0x9
	.byte	0x3
	.quad	prime_config
	.uleb128 0xc
	.long	0x771
	.long	0xcbe
	.uleb128 0xd
	.long	0x3f
	.byte	0x5
	.byte	0
	.uleb128 0x35
	.long	.LASF131
	.byte	0x1
	.byte	0x43
	.long	0xcae
	.uleb128 0x9
	.byte	0x3
	.quad	prime_options
	.uleb128 0x36
	.long	.LASF156
	.long	.LASF157
	.byte	0x10
	.byte	0
	.long	.LASF156
	.uleb128 0x37
	.long	.LASF132
	.long	.LASF132
	.byte	0xd
	.value	0x13a
	.uleb128 0x37
	.long	.LASF133
	.long	.LASF133
	.byte	0xd
	.value	0x13b
	.uleb128 0x37
	.long	.LASF134
	.long	.LASF134
	.byte	0xc
	.value	0x23b
	.uleb128 0x37
	.long	.LASF135
	.long	.LASF135
	.byte	0xc
	.value	0x23f
	.uleb128 0x37
	.long	.LASF136
	.long	.LASF136
	.byte	0xc
	.value	0x24b
	.uleb128 0x37
	.long	.LASF137
	.long	.LASF137
	.byte	0xa
	.value	0x16b
	.uleb128 0x37
	.long	.LASF138
	.long	.LASF138
	.byte	0xa
	.value	0x1dd
	.uleb128 0x37
	.long	.LASF139
	.long	.LASF139
	.byte	0xa
	.value	0x1c1
	.uleb128 0x37
	.long	.LASF140
	.long	.LASF140
	.byte	0xc
	.value	0x2aa
	.uleb128 0x37
	.long	.LASF141
	.long	.LASF141
	.byte	0xe
	.value	0x1e3
	.uleb128 0x37
	.long	.LASF142
	.long	.LASF142
	.byte	0xa
	.value	0x19e
	.uleb128 0x37
	.long	.LASF143
	.long	.LASF143
	.byte	0xc
	.value	0x252
	.uleb128 0x37
	.long	.LASF144
	.long	.LASF144
	.byte	0xa
	.value	0x1c4
	.uleb128 0x37
	.long	.LASF145
	.long	.LASF145
	.byte	0xa
	.value	0x1b5
	.uleb128 0x37
	.long	.LASF146
	.long	.LASF146
	.byte	0xa
	.value	0x1df
	.uleb128 0x37
	.long	.LASF147
	.long	.LASF147
	.byte	0xa
	.value	0x1c3
	.uleb128 0x37
	.long	.LASF148
	.long	.LASF148
	.byte	0xf
	.value	0x154
	.uleb128 0x37
	.long	.LASF149
	.long	.LASF149
	.byte	0xa
	.value	0x1c2
	.uleb128 0x38
	.long	.LASF158
	.long	.LASF158
	.byte	0
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x10
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0
	.byte	0
	.uleb128 0x5
	.uleb128 0x26
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x7
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x8
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x9
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xa
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xb
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xc
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xd
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xe
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xf
	.uleb128 0x5
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x10
	.uleb128 0x26
	.byte	0
	.byte	0
	.byte	0
	.uleb128 0x11
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x12
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x13
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x14
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x15
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x16
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x17
	.uleb128 0x15
	.byte	0
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x18
	.uleb128 0x4
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x19
	.uleb128 0x28
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1c
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x1a
	.uleb128 0x17
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1b
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1c
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1d
	.uleb128 0x13
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1e
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x20
	.uleb128 0xb
	.uleb128 0x34
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1f
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x20
	.uleb128 0x18
	.byte	0
	.byte	0
	.byte	0
	.uleb128 0x21
	.uleb128 0x37
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x22
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x2117
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x23
	.uleb128 0x1d
	.byte	0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x58
	.uleb128 0xb
	.uleb128 0x59
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x24
	.uleb128 0x5
	.byte	0
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x25
	.uleb128 0x5
	.byte	0
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x26
	.uleb128 0x4109
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x27
	.uleb128 0x410a
	.byte	0
	.uleb128 0x2
	.uleb128 0x18
	.uleb128 0x2111
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x28
	.uleb128 0x4109
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x2115
	.uleb128 0x19
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x29
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x2117
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x2a
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x2b
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x2c
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x2d
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x2e
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x2f
	.uleb128 0xa
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x11
	.uleb128 0x1
	.byte	0
	.byte	0
	.uleb128 0x30
	.uleb128 0x1d
	.byte	0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x52
	.uleb128 0x1
	.uleb128 0x55
	.uleb128 0x17
	.uleb128 0x58
	.uleb128 0xb
	.uleb128 0x59
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x31
	.uleb128 0x5
	.byte	0
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x1c
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x32
	.uleb128 0x4109
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x33
	.uleb128 0x4109
	.byte	0
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x34
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x35
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x36
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x6e
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x37
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.byte	0
	.byte	0
	.uleb128 0x38
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.byte	0
	.section	.debug_loc,"",@progbits
.Ldebug_loc0:
.LLST0:
	.quad	.LVL3-.Ltext0
	.quad	.LVL5-1-.Ltext0
	.value	0x1
	.byte	0x55
	.quad	.LVL5-1-.Ltext0
	.quad	.LFE71-.Ltext0
	.value	0x4
	.byte	0xf3
	.uleb128 0x1
	.byte	0x55
	.byte	0x9f
	.quad	0
	.quad	0
.LLST1:
	.quad	.LVL3-.Ltext0
	.quad	.LVL5-1-.Ltext0
	.value	0x1
	.byte	0x54
	.quad	.LVL5-1-.Ltext0
	.quad	.LFE71-.Ltext0
	.value	0x4
	.byte	0xf3
	.uleb128 0x1
	.byte	0x54
	.byte	0x9f
	.quad	0
	.quad	0
.LLST2:
	.quad	.LVL8-.Ltext0
	.quad	.LVL9-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL9-1-.Ltext0
	.quad	.LVL24-.Ltext0
	.value	0x1
	.byte	0x53
	.quad	.LVL28-.Ltext0
	.quad	.LVL32-.Ltext0
	.value	0x1
	.byte	0x53
	.quad	.LVL32-.Ltext0
	.quad	.LVL33-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL33-1-.Ltext0
	.quad	.LVL41-.Ltext0
	.value	0x1
	.byte	0x53
	.quad	0
	.quad	0
.LLST3:
	.quad	.LVL13-.Ltext0
	.quad	.LVL15-.Ltext0
	.value	0x1
	.byte	0x56
	.quad	.LVL15-.Ltext0
	.quad	.LVL16-1-.Ltext0
	.value	0x1
	.byte	0x55
	.quad	.LVL38-.Ltext0
	.quad	.LVL39-.Ltext0
	.value	0x1
	.byte	0x56
	.quad	0
	.quad	0
.LLST4:
	.quad	.LVL4-.Ltext0
	.quad	.LVL16-.Ltext0
	.value	0x2
	.byte	0x31
	.byte	0x9f
	.quad	.LVL16-.Ltext0
	.quad	.LVL19-.Ltext0
	.value	0x1
	.byte	0x56
	.quad	.LVL19-.Ltext0
	.quad	.LVL27-.Ltext0
	.value	0x2
	.byte	0x31
	.byte	0x9f
	.quad	.LVL28-.Ltext0
	.quad	.LVL41-.Ltext0
	.value	0x2
	.byte	0x31
	.byte	0x9f
	.quad	0
	.quad	0
	.section	.debug_aranges,"",@progbits
	.long	0x2c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x8
	.byte	0
	.value	0
	.value	0
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.quad	0
	.quad	0
	.section	.debug_ranges,"",@progbits
.Ldebug_ranges0:
	.quad	.LBB8-.Ltext0
	.quad	.LBE8-.Ltext0
	.quad	.LBB11-.Ltext0
	.quad	.LBE11-.Ltext0
	.quad	0
	.quad	0
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.section	.debug_str,"MS",@progbits,1
.LASF10:
	.string	"__off_t"
.LASF93:
	.string	"OPTION_ARG_INT"
.LASF28:
	.string	"_chain"
.LASF100:
	.string	"OPTION_VALUE_AND"
.LASF9:
	.string	"size_t"
.LASF92:
	.string	"OPTION_ARG_FUNC"
.LASF34:
	.string	"_shortbuf"
.LASF82:
	.string	"bputs"
.LASF78:
	.string	"type"
.LASF53:
	.string	"comp"
.LASF18:
	.string	"_IO_read_base"
.LASF99:
	.string	"OPTION_VALUE"
.LASF22:
	.string	"_IO_buf_base"
.LASF12:
	.string	"long long unsigned int"
.LASF145:
	.string	"BN_print"
.LASF106:
	.string	"lvalue"
.LASF144:
	.string	"BN_dec2bn"
.LASF20:
	.string	"_IO_write_ptr"
.LASF95:
	.string	"OPTION_DISCARD"
.LASF129:
	.string	"bio_err"
.LASF141:
	.string	"free"
.LASF80:
	.string	"bwrite"
.LASF13:
	.string	"long long int"
.LASF6:
	.string	"signed char"
.LASF157:
	.string	"__builtin_fwrite"
.LASF29:
	.string	"_fileno"
.LASF76:
	.string	"bio_info_cb"
.LASF17:
	.string	"_IO_read_end"
.LASF113:
	.string	"generate"
.LASF112:
	.string	"checks"
.LASF8:
	.string	"long int"
.LASF25:
	.string	"_IO_backup_base"
.LASF114:
	.string	"safe"
.LASF15:
	.string	"_flags"
.LASF86:
	.string	"destroy"
.LASF23:
	.string	"_IO_buf_end"
.LASF32:
	.string	"_cur_column"
.LASF132:
	.string	"options_usage"
.LASF89:
	.string	"OPTION_ARG"
.LASF56:
	.string	"bignum_st"
.LASF149:
	.string	"BN_bn2dec"
.LASF31:
	.string	"_old_offset"
.LASF36:
	.string	"_offset"
.LASF57:
	.string	"dmax"
.LASF130:
	.string	"prime_config"
.LASF68:
	.string	"next_bio"
.LASF107:
	.string	"value"
.LASF143:
	.string	"BIO_free_all"
.LASF152:
	.string	"/home/zack/projects/lssl/libressl-2.2.3-memread/apps"
.LASF126:
	.string	"stdin"
.LASF5:
	.string	"unsigned int"
.LASF60:
	.string	"crypto_ex_data_st"
.LASF64:
	.string	"cb_arg"
.LASF59:
	.string	"CRYPTO_EX_DATA"
.LASF151:
	.string	"prime.c"
.LASF115:
	.string	"__stream"
.LASF0:
	.string	"long unsigned int"
.LASF102:
	.string	"argfunc"
.LASF74:
	.string	"stack_st_void"
.LASF79:
	.string	"name"
.LASF62:
	.string	"method"
.LASF61:
	.string	"bio_st"
.LASF125:
	.string	"bio_out"
.LASF90:
	.string	"OPTION_ARGV_FUNC"
.LASF52:
	.string	"num_alloc"
.LASF50:
	.string	"data"
.LASF44:
	.string	"_IO_FILE"
.LASF24:
	.string	"_IO_save_base"
.LASF142:
	.string	"BN_free"
.LASF63:
	.string	"callback"
.LASF35:
	.string	"_lock"
.LASF42:
	.string	"_mode"
.LASF127:
	.string	"stdout"
.LASF77:
	.string	"bio_method_st"
.LASF91:
	.string	"OPTION_ARG_FORMAT"
.LASF134:
	.string	"BIO_s_file"
.LASF94:
	.string	"OPTION_ARG_LONG"
.LASF87:
	.string	"callback_ctrl"
.LASF97:
	.string	"OPTION_FLAG"
.LASF71:
	.string	"num_read"
.LASF155:
	.string	"prime_main"
.LASF1:
	.string	"sizetype"
.LASF146:
	.string	"BN_is_prime_ex"
.LASF110:
	.string	"desc"
.LASF16:
	.string	"_IO_read_ptr"
.LASF136:
	.string	"BIO_ctrl"
.LASF153:
	.string	"_IO_lock_t"
.LASF96:
	.string	"OPTION_FUNC"
.LASF140:
	.string	"BIO_printf"
.LASF133:
	.string	"options_parse"
.LASF147:
	.string	"BN_hex2bn"
.LASF65:
	.string	"init"
.LASF150:
	.string	"GNU C99 5.2.1 20150903 -mtune=generic -march=x86-64 -g -O2 -std=gnu99 -fno-strict-aliasing -fno-strict-overflow -fstack-protector-strong"
.LASF45:
	.string	"_IO_marker"
.LASF48:
	.string	"_pos"
.LASF27:
	.string	"_markers"
.LASF70:
	.string	"references"
.LASF101:
	.string	"OPTION_VALUE_OR"
.LASF154:
	.string	"prime_usage"
.LASF4:
	.string	"unsigned char"
.LASF67:
	.string	"retry_reason"
.LASF7:
	.string	"short int"
.LASF108:
	.string	"option"
.LASF135:
	.string	"BIO_new"
.LASF121:
	.string	"__len"
.LASF104:
	.string	"flag"
.LASF137:
	.string	"BN_new"
.LASF33:
	.string	"_vtable_offset"
.LASF73:
	.string	"ex_data"
.LASF66:
	.string	"shutdown"
.LASF51:
	.string	"sorted"
.LASF120:
	.string	"__ch"
.LASF117:
	.string	"fprintf"
.LASF72:
	.string	"num_write"
.LASF138:
	.string	"BN_generate_prime_ex"
.LASF3:
	.string	"char"
.LASF105:
	.string	"func"
.LASF111:
	.string	"bits"
.LASF124:
	.string	"prime"
.LASF55:
	.string	"BIGNUM"
.LASF158:
	.string	"__stack_chk_fail"
.LASF122:
	.string	"argc"
.LASF46:
	.string	"_next"
.LASF11:
	.string	"__off64_t"
.LASF84:
	.string	"ctrl"
.LASF26:
	.string	"_IO_save_end"
.LASF2:
	.string	"short unsigned int"
.LASF116:
	.string	"__fmt"
.LASF103:
	.string	"argvfunc"
.LASF37:
	.string	"__pad1"
.LASF38:
	.string	"__pad2"
.LASF39:
	.string	"__pad3"
.LASF40:
	.string	"__pad4"
.LASF41:
	.string	"__pad5"
.LASF21:
	.string	"_IO_write_end"
.LASF49:
	.string	"stack_st"
.LASF43:
	.string	"_unused2"
.LASF128:
	.string	"stderr"
.LASF119:
	.string	"__dest"
.LASF118:
	.string	"memset"
.LASF156:
	.string	"fwrite"
.LASF98:
	.string	"OPTION_FLAG_ORD"
.LASF54:
	.string	"_STACK"
.LASF30:
	.string	"_flags2"
.LASF81:
	.string	"bread"
.LASF58:
	.string	"flags"
.LASF88:
	.string	"BIO_METHOD"
.LASF69:
	.string	"prev_bio"
.LASF148:
	.string	"ERR_print_errors"
.LASF83:
	.string	"bgets"
.LASF131:
	.string	"prime_options"
.LASF14:
	.string	"FILE"
.LASF75:
	.string	"stack"
.LASF109:
	.string	"argname"
.LASF123:
	.string	"argv"
.LASF19:
	.string	"_IO_write_base"
.LASF47:
	.string	"_sbuf"
.LASF139:
	.string	"BN_bn2hex"
.LASF85:
	.string	"create"
	.ident	"GCC: (Debian 5.2.1-16) 5.2.1 20150903"
	.section	.note.GNU-stack,"",@progbits
