	.file	"dh.c"
	.text
.Ltext0:
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC0:
	.string	"usage: dh [-C] [-check] [-engine id] [-in file] [-inform format]\n    [-noout] [-out file] [-outform format] [-text]\n\n"
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC1:
	.string	"bad input format specified\n"
.LC2:
	.string	"unable to load DH parameters\n"
.LC3:
	.string	"p value is not prime"
.LC4:
	.string	"p value is not a safe prime"
	.section	.rodata.str1.8
	.align 8
.LC5:
	.string	"unable to check the generator value"
	.align 8
.LC6:
	.string	"the g value is not a generator"
	.align 8
.LC7:
	.string	"DH parameters appear to be ok."
	.section	.rodata.str1.1
.LC8:
	.string	"malloc"
	.section	.rodata.str1.8
	.align 8
.LC9:
	.string	"static unsigned char dh%d_p[] = {"
	.section	.rodata.str1.1
.LC10:
	.string	"\n\t};"
	.section	.rodata.str1.8
	.align 8
.LC11:
	.string	"static unsigned char dh%d_g[] = {"
	.section	.rodata.str1.1
.LC12:
	.string	"\n\t"
.LC13:
	.string	"0x%02X, "
.LC14:
	.string	"\n\t};\n"
.LC15:
	.string	"DH *get_dh%d()\n\t{\n"
.LC16:
	.string	"\tDH *dh;\n"
	.section	.rodata.str1.8
	.align 8
.LC17:
	.string	"\tif ((dh = DH_new()) == NULL) return(NULL);"
	.align 8
.LC18:
	.string	"\tdh->p = BN_bin2bn(dh%d_p, sizeof(dh%d_p), NULL);\n"
	.align 8
.LC19:
	.string	"\tdh->g = BN_bin2bn(dh%d_g, sizeof(dh%d_g), NULL);\n"
	.align 8
.LC20:
	.string	"\tif ((dh->p == NULL) || (dh->g == NULL))"
	.section	.rodata.str1.1
.LC21:
	.string	"\t\treturn(NULL);"
.LC22:
	.string	"\treturn(dh);\n\t}"
	.section	.rodata.str1.8
	.align 8
.LC23:
	.string	"bad output format specified for outfile\n"
	.align 8
.LC24:
	.string	"unable to write DH parameters\n"
	.section	.text.unlikely,"ax",@progbits
.LCOLDB25:
	.text
.LHOTB25:
	.p2align 4,,15
	.section	.text.unlikely
.Ltext_cold0:
	.text
	.globl	dh_main
	.type	dh_main, @function
dh_main:
.LFB71:
	.file 1 "dh.c"
	.loc 1 169 0
	.cfi_startproc
.LVL0:
	pushq	%r15
	.cfi_def_cfa_offset 16
	.cfi_offset 15, -16
	pushq	%r14
	.cfi_def_cfa_offset 24
	.cfi_offset 14, -24
.LBB98:
.LBB99:
	.file 2 "/usr/include/x86_64-linux-gnu/bits/string3.h"
	.loc 2 84 0
	movl	$dh_config, %edx
.LBE99:
.LBE98:
	.loc 1 169 0
	pushq	%r13
	.cfi_def_cfa_offset 32
	.cfi_offset 13, -32
	pushq	%r12
	.cfi_def_cfa_offset 40
	.cfi_offset 12, -40
	movl	%edi, %r9d
	pushq	%rbp
	.cfi_def_cfa_offset 48
	.cfi_offset 6, -48
	pushq	%rbx
	.cfi_def_cfa_offset 56
	.cfi_offset 3, -56
.LBB102:
.LBB100:
	.loc 2 84 0
	movq	%rdx, %rdi
.LVL1:
	movl	$6, %ecx
.LBE100:
.LBE102:
	.loc 1 180 0
	xorl	%r8d, %r8d
	movl	$dh_options, %edx
	.loc 1 169 0
	subq	$40, %rsp
	.cfi_def_cfa_offset 96
	.loc 1 169 0
	movq	%fs:40, %rax
	movq	%rax, 24(%rsp)
	xorl	%eax, %eax
.LVL2:
.LBB103:
.LBB101:
	.loc 2 84 0
	rep stosq
.LBE101:
.LBE103:
	.loc 1 180 0
	movl	%r9d, %edi
	.loc 1 177 0
	movl	$3, dh_config+24(%rip)
	.loc 1 178 0
	movl	$3, dh_config+40(%rip)
	.loc 1 180 0
	call	options_parse
.LVL3:
	testl	%eax, %eax
	je	.L2
.LVL4:
.LBB104:
.LBB105:
.LBB106:
.LBB107:
	.file 3 "/usr/include/x86_64-linux-gnu/bits/stdio2.h"
	.loc 3 97 0
	movq	stderr(%rip), %rcx
	movl	$117, %edx
	movl	$1, %esi
	movl	$.LC0, %edi
.LBE107:
.LBE106:
.LBE105:
.LBE104:
	.loc 1 173 0
	movl	$1, %r13d
.LBB111:
.LBB110:
.LBB109:
.LBB108:
	.loc 3 97 0
	call	fwrite
.LVL5:
.LBE108:
.LBE109:
	.loc 1 162 0
	movl	$dh_options, %edi
	call	options_usage
.LVL6:
.LBE110:
.LBE111:
	.loc 1 303 0
	xorl	%edi, %edi
	call	BIO_free
.LVL7:
.L3:
	.loc 1 310 0
	movq	24(%rsp), %rbx
	xorq	%fs:40, %rbx
	movl	%r13d, %eax
	jne	.L65
	addq	$40, %rsp
	.cfi_remember_state
	.cfi_def_cfa_offset 56
	popq	%rbx
	.cfi_def_cfa_offset 48
	popq	%rbp
	.cfi_def_cfa_offset 40
	popq	%r12
	.cfi_def_cfa_offset 32
	popq	%r13
	.cfi_def_cfa_offset 24
	popq	%r14
	.cfi_def_cfa_offset 16
	popq	%r15
	.cfi_def_cfa_offset 8
	ret
.LVL8:
	.p2align 4,,10
	.p2align 3
.L2:
	.cfi_restore_state
	.loc 1 186 0
	movq	dh_config+8(%rip), %rsi
	movq	bio_err(%rip), %rdi
	xorl	%edx, %edx
	movl	%eax, %r15d
	call	setup_engine
.LVL9:
	.loc 1 189 0
	call	BIO_s_file
.LVL10:
	movq	%rax, %rdi
	call	BIO_new
.LVL11:
	movq	%rax, %rbx
.LVL12:
	.loc 1 190 0
	call	BIO_s_file
.LVL13:
	movq	%rax, %rdi
	call	BIO_new
.LVL14:
	.loc 1 191 0
	testq	%rbx, %rbx
	.loc 1 190 0
	movq	%rax, %rbp
.LVL15:
	.loc 1 191 0
	je	.L42
	testq	%rax, %rax
	je	.L42
	.loc 1 195 0
	movq	dh_config+16(%rip), %rcx
	testq	%rcx, %rcx
	je	.L66
	.loc 1 198 0
	movl	$3, %edx
	movl	$108, %esi
	movq	%rbx, %rdi
	call	BIO_ctrl
.LVL16:
	testq	%rax, %rax
	jle	.L67
.L8:
	.loc 1 203 0
	movq	dh_config+32(%rip), %rcx
	testq	%rcx, %rcx
	je	.L68
	.loc 1 206 0
	movl	$5, %edx
	movl	$108, %esi
	movq	%rbp, %rdi
	call	BIO_ctrl
.LVL17:
	testq	%rax, %rax
	jle	.L69
.L11:
	.loc 1 212 0
	movl	dh_config+24(%rip), %eax
	cmpl	$1, %eax
	je	.L70
	.loc 1 214 0
	cmpl	$3, %eax
	je	.L71
	.loc 1 217 0
	movq	bio_err(%rip), %rdi
	movl	$.LC1, %esi
	xorl	%eax, %eax
	.loc 1 173 0
	movl	$1, %r13d
	.loc 1 170 0
	xorl	%r12d, %r12d
	.loc 1 217 0
	call	BIO_printf
.LVL18:
.L9:
	.loc 1 303 0
	movq	%rbx, %rdi
	call	BIO_free
.LVL19:
	.loc 1 305 0
	movq	%rbp, %rdi
	call	BIO_free_all
.LVL20:
	.loc 1 306 0
	testq	%r12, %r12
	je	.L3
	.loc 1 307 0
	movq	%r12, %rdi
	call	DH_free
.LVL21:
	jmp	.L3
.LVL22:
	.p2align 4,,10
	.p2align 3
.L42:
	.loc 1 192 0
	movq	bio_err(%rip), %rdi
	call	ERR_print_errors
.LVL23:
	.loc 1 303 0
	movq	%rbx, %rdi
	call	BIO_free
.LVL24:
	.loc 1 304 0
	testq	%rbp, %rbp
	je	.L61
.LVL25:
	.loc 1 305 0
	movq	%rbp, %rdi
	call	BIO_free_all
.LVL26:
.L61:
	.loc 1 173 0
	movl	$1, %r13d
	jmp	.L3
.LVL27:
	.p2align 4,,10
	.p2align 3
.L71:
	.loc 1 215 0
	xorl	%ecx, %ecx
	xorl	%edx, %edx
	xorl	%esi, %esi
	movq	%rbx, %rdi
	call	PEM_read_bio_DHparams
.LVL28:
	movq	%rax, %r12
.LVL29:
.L13:
	.loc 1 220 0
	testq	%r12, %r12
	je	.L72
	.loc 1 225 0
	movl	dh_config+44(%rip), %esi
	testl	%esi, %esi
	jne	.L73
.LVL30:
.L16:
	.loc 1 228 0
	movl	dh_config+4(%rip), %ecx
	testl	%ecx, %ecx
	jne	.L74
.L18:
	.loc 1 244 0
	movl	dh_config(%rip), %edx
	testl	%edx, %edx
	jne	.L75
.L25:
	.loc 1 285 0
	movl	dh_config+28(%rip), %eax
	.loc 1 300 0
	xorl	%r13d, %r13d
	.loc 1 285 0
	testl	%eax, %eax
	jne	.L9
	.loc 1 286 0
	movl	dh_config+40(%rip), %eax
	cmpl	$1, %eax
	je	.L76
	.loc 1 288 0
	cmpl	$3, %eax
	je	.L77
	.loc 1 291 0
	movq	bio_err(%rip), %rdi
	movl	$.LC23, %esi
	xorl	%eax, %eax
	.loc 1 173 0
	movl	$1, %r13d
	.loc 1 291 0
	call	BIO_printf
.LVL31:
	.loc 1 292 0
	jmp	.L9
.LVL32:
	.p2align 4,,10
	.p2align 3
.L66:
	.loc 1 196 0
	movq	stdin(%rip), %rcx
	xorl	%edx, %edx
	movl	$106, %esi
	movq	%rbx, %rdi
	call	BIO_ctrl
.LVL33:
	jmp	.L8
	.p2align 4,,10
	.p2align 3
.L68:
	.loc 1 204 0
	movq	stdout(%rip), %rcx
	xorl	%edx, %edx
	movl	$106, %esi
	movq	%rbp, %rdi
	call	BIO_ctrl
.LVL34:
	jmp	.L11
	.p2align 4,,10
	.p2align 3
.L67:
	.loc 1 199 0
	movq	dh_config+16(%rip), %rdi
	.loc 1 173 0
	movl	$1, %r13d
	.loc 1 170 0
	xorl	%r12d, %r12d
	.loc 1 199 0
	call	perror
.LVL35:
	.loc 1 200 0
	jmp	.L9
	.p2align 4,,10
	.p2align 3
.L70:
	.loc 1 213 0
	xorl	%ecx, %ecx
	movq	%rbx, %rdx
	movl	$d2i_DHparams, %esi
	movl	$DH_new, %edi
	call	ASN1_d2i_bio
.LVL36:
	movq	%rax, %r12
.LVL37:
	jmp	.L13
.LVL38:
	.p2align 4,,10
	.p2align 3
.L69:
	.loc 1 207 0
	movq	dh_config+32(%rip), %rdi
	.loc 1 173 0
	movl	$1, %r13d
	.loc 1 170 0
	xorl	%r12d, %r12d
	.loc 1 207 0
	call	perror
.LVL39:
	.loc 1 208 0
	jmp	.L9
.LVL40:
	.p2align 4,,10
	.p2align 3
.L74:
	.loc 1 229 0
	leaq	20(%rsp), %rsi
	movq	%r12, %rdi
	call	DH_check
.LVL41:
	testl	%eax, %eax
	je	.L62
	.loc 1 233 0
	movl	20(%rsp), %eax
	testb	$1, %al
	jne	.L78
.L20:
	.loc 1 235 0
	testb	$2, %al
	jne	.L79
.L21:
	.loc 1 237 0
	testb	$4, %al
	jne	.L80
.L22:
	.loc 1 239 0
	testb	$8, %al
	jne	.L81
.L23:
	.loc 1 241 0
	testl	%eax, %eax
	jne	.L18
.LVL42:
.LBB112:
.LBB113:
	.loc 3 104 0
	movl	$.LC7, %edi
	call	puts
.LVL43:
	jmp	.L18
.LVL44:
	.p2align 4,,10
	.p2align 3
.L73:
.LBE113:
.LBE112:
	.loc 1 226 0
	movq	%r12, %rsi
	movq	%rbp, %rdi
	call	DHparams_print
.LVL45:
	jmp	.L16
	.p2align 4,,10
	.p2align 3
.L75:
.LBB114:
	.loc 1 248 0
	movq	8(%r12), %rdi
	call	BN_num_bits
.LVL46:
	.loc 1 249 0
	movq	8(%r12), %rdi
	.loc 1 248 0
	movl	%eax, %r13d
.LVL47:
	.loc 1 249 0
	call	BN_num_bits
.LVL48:
	.loc 1 250 0
	leal	14(%r13), %edx
	movl	%r13d, %edi
	.loc 1 249 0
	movl	%eax, 12(%rsp)
.LVL49:
	.loc 1 250 0
	addl	$7, %edi
	cmovs	%edx, %edi
	sarl	$3, %edi
	movslq	%edi, %rdi
	call	malloc
.LVL50:
	.loc 1 251 0
	testq	%rax, %rax
	.loc 1 250 0
	movq	%rax, %r13
.LVL51:
	.loc 1 251 0
	je	.L82
	.loc 1 255 0
	movq	8(%r12), %rdi
	movq	%rax, %rsi
	call	BN_bn2bin
.LVL52:
.LBB115:
.LBB116:
	.loc 3 104 0
	movl	12(%rsp), %edx
.LBE116:
.LBE115:
	.loc 1 255 0
	movl	%eax, %r14d
.LVL53:
.LBB118:
.LBB117:
	.loc 3 104 0
	movl	$.LC9, %esi
	xorl	%eax, %eax
.LVL54:
	movl	$1, %edi
	call	__printf_chk
.LVL55:
.LBE117:
.LBE118:
	.loc 1 257 0
	xorl	%ecx, %ecx
	testl	%r14d, %r14d
	movl	$0, 20(%rsp)
	jg	.L52
	jmp	.L32
	.p2align 4,,10
	.p2align 3
.L30:
.LVL56:
	.loc 1 260 0 discriminator 2
	movslq	20(%rsp), %rax
.LBB119:
.LBB120:
	.loc 3 104 0 discriminator 2
	movl	$.LC13, %esi
	movl	$1, %edi
	movzbl	0(%r13,%rax), %edx
	xorl	%eax, %eax
	call	__printf_chk
.LVL57:
.LBE120:
.LBE119:
	.loc 1 257 0 discriminator 2
	movl	20(%rsp), %eax
	leal	1(%rax), %ecx
	cmpl	%ecx, %r14d
	movl	%ecx, 20(%rsp)
	jle	.L32
.LVL58:
.L52:
	.loc 1 258 0
	movl	$715827883, %eax
	imull	%ecx
	movl	%ecx, %eax
	sarl	$31, %eax
	sarl	%edx
	subl	%eax, %edx
	leal	(%rdx,%rdx,2), %eax
	sall	$2, %eax
	cmpl	%eax, %ecx
	jne	.L30
.LVL59:
.LBB121:
.LBB122:
	.loc 3 104 0
	movl	$.LC12, %esi
	movl	$1, %edi
	xorl	%eax, %eax
	call	__printf_chk
.LVL60:
	jmp	.L30
.LVL61:
	.p2align 4,,10
	.p2align 3
.L32:
.LBE122:
.LBE121:
.LBB123:
.LBB124:
	movl	$.LC10, %edi
	call	puts
.LVL62:
.LBE124:
.LBE123:
	.loc 1 264 0
	movq	16(%r12), %rdi
	movq	%r13, %rsi
	call	BN_bn2bin
.LVL63:
.LBB125:
.LBB126:
	.loc 3 104 0
	movl	12(%rsp), %edx
.LBE126:
.LBE125:
	.loc 1 264 0
	movl	%eax, %r14d
.LVL64:
.LBB128:
.LBB127:
	.loc 3 104 0
	movl	$.LC11, %esi
	xorl	%eax, %eax
.LVL65:
	movl	$1, %edi
	call	__printf_chk
.LVL66:
.LBE127:
.LBE128:
	.loc 1 266 0
	testl	%r14d, %r14d
	movl	$0, 20(%rsp)
	jg	.L51
	jmp	.L29
	.p2align 4,,10
	.p2align 3
.L33:
.LVL67:
	.loc 1 269 0 discriminator 2
	movslq	20(%rsp), %rax
.LBB129:
.LBB130:
	.loc 3 104 0 discriminator 2
	movl	$.LC13, %esi
	movl	$1, %edi
	movzbl	0(%r13,%rax), %edx
	xorl	%eax, %eax
	call	__printf_chk
.LVL68:
.LBE130:
.LBE129:
	.loc 1 266 0 discriminator 2
	movl	20(%rsp), %eax
	leal	1(%rax), %r15d
	cmpl	%r15d, %r14d
	movl	%r15d, 20(%rsp)
	jle	.L29
.LVL69:
.L51:
	.loc 1 267 0
	movl	$715827883, %eax
	imull	%r15d
	movl	%r15d, %eax
	sarl	$31, %eax
	sarl	%edx
	subl	%eax, %edx
	leal	(%rdx,%rdx,2), %eax
	sall	$2, %eax
	cmpl	%eax, %r15d
	jne	.L33
.LVL70:
.LBB131:
.LBB132:
	.loc 3 104 0
	movl	$.LC12, %esi
	movl	$1, %edi
	xorl	%eax, %eax
	call	__printf_chk
.LVL71:
	jmp	.L33
.LVL72:
	.p2align 4,,10
	.p2align 3
.L29:
.LBE132:
.LBE131:
.LBB133:
.LBB134:
	movl	$.LC14, %edi
	call	puts
.LVL73:
.LBE134:
.LBE133:
.LBB135:
.LBB136:
	movl	12(%rsp), %r14d
.LVL74:
	movl	$.LC15, %esi
	movl	$1, %edi
	xorl	%eax, %eax
	movl	%r14d, %edx
	call	__printf_chk
.LVL75:
.LBE136:
.LBE135:
.LBB137:
.LBB138:
	movl	$.LC16, %edi
	call	puts
.LVL76:
.LBE138:
.LBE137:
.LBB139:
.LBB140:
	movl	$.LC17, %edi
	call	puts
.LVL77:
.LBE140:
.LBE139:
.LBB141:
.LBB142:
	movl	%r14d, %ecx
	movl	%r14d, %edx
	movl	$.LC18, %esi
	movl	$1, %edi
	xorl	%eax, %eax
	call	__printf_chk
.LVL78:
.LBE142:
.LBE141:
.LBB143:
.LBB144:
	movl	%r14d, %ecx
	movl	%r14d, %edx
	movl	$.LC19, %esi
	movl	$1, %edi
	xorl	%eax, %eax
	call	__printf_chk
.LVL79:
.LBE144:
.LBE143:
.LBB145:
.LBB146:
	movl	$.LC20, %edi
	call	puts
.LVL80:
.LBE146:
.LBE145:
.LBB147:
.LBB148:
	movl	$.LC21, %edi
	call	puts
.LVL81:
.LBE148:
.LBE147:
.LBB149:
.LBB150:
	movl	$.LC22, %edi
	call	puts
.LVL82:
.LBE150:
.LBE149:
	.loc 1 283 0
	movq	%r13, %rdi
	call	free
.LVL83:
	jmp	.L25
.LVL84:
	.p2align 4,,10
	.p2align 3
.L77:
.LBE114:
	.loc 1 289 0
	movq	%r12, %rsi
	movq	%rbp, %rdi
	call	PEM_write_bio_DHparams
.LVL85:
	movl	%eax, 20(%rsp)
.L36:
	.loc 1 300 0
	xorl	%r13d, %r13d
	.loc 1 294 0
	testl	%eax, %eax
	jne	.L9
	.loc 1 295 0
	movq	bio_err(%rip), %rdi
	movl	$.LC24, %esi
	call	BIO_printf
.LVL86:
.L62:
	.loc 1 296 0
	movq	bio_err(%rip), %rdi
	.loc 1 173 0
	movl	$1, %r13d
	.loc 1 296 0
	call	ERR_print_errors
.LVL87:
	.loc 1 297 0
	jmp	.L9
.LVL88:
.L72:
	.loc 1 221 0
	movq	bio_err(%rip), %rdi
	movl	$.LC2, %esi
	xorl	%eax, %eax
.LVL89:
	.loc 1 173 0
	movl	$1, %r13d
	.loc 1 221 0
	call	BIO_printf
.LVL90:
	.loc 1 222 0
	movq	bio_err(%rip), %rdi
	call	ERR_print_errors
.LVL91:
	.loc 1 223 0
	jmp	.L9
.L78:
.LVL92:
.LBB151:
.LBB152:
	.loc 3 104 0
	movl	$.LC3, %edi
	call	puts
.LVL93:
	movl	20(%rsp), %eax
	jmp	.L20
.LVL94:
.L76:
.LBE152:
.LBE151:
	.loc 1 287 0
	movq	%r12, %rdx
	movq	%rbp, %rsi
	movl	$i2d_DHparams, %edi
	call	ASN1_i2d_bio
.LVL95:
	movl	%eax, 20(%rsp)
	jmp	.L36
.L81:
.LVL96:
.LBB153:
.LBB154:
	.loc 3 104 0
	movl	$.LC6, %edi
	call	puts
.LVL97:
	movl	20(%rsp), %eax
	jmp	.L23
.LVL98:
.L80:
.LBE154:
.LBE153:
.LBB155:
.LBB156:
	movl	$.LC5, %edi
	call	puts
.LVL99:
	movl	20(%rsp), %eax
	jmp	.L22
.LVL100:
.L79:
.LBE156:
.LBE155:
.LBB157:
.LBB158:
	movl	$.LC4, %edi
	call	puts
.LVL101:
	movl	20(%rsp), %eax
	jmp	.L21
.LVL102:
.L82:
.LBE158:
.LBE157:
.LBB159:
	.loc 1 252 0
	movl	$.LC8, %edi
.LBE159:
	.loc 1 173 0
	movl	$1, %r13d
.LBB160:
	.loc 1 252 0
	call	perror
.LVL103:
	.loc 1 253 0
	jmp	.L9
.LVL104:
.L65:
.LBE160:
	.loc 1 310 0
	call	__stack_chk_fail
.LVL105:
	.cfi_endproc
.LFE71:
	.size	dh_main, .-dh_main
	.section	.text.unlikely
.LCOLDE25:
	.text
.LHOTE25:
	.section	.rodata.str1.1
.LC26:
	.string	"C"
	.section	.rodata.str1.8
	.align 8
.LC27:
	.string	"Convert DH parameters into C code"
	.section	.rodata.str1.1
.LC28:
	.string	"check"
.LC29:
	.string	"Check the DH parameters"
.LC30:
	.string	"engine"
.LC31:
	.string	"id"
	.section	.rodata.str1.8
	.align 8
.LC32:
	.string	"Use the engine specified by the given identifier"
	.section	.rodata.str1.1
.LC33:
	.string	"in"
.LC34:
	.string	"file"
.LC35:
	.string	"Input file (default stdin)"
.LC36:
	.string	"inform"
.LC37:
	.string	"format"
	.section	.rodata.str1.8
	.align 8
.LC38:
	.string	"Input format (DER or PEM (default))"
	.section	.rodata.str1.1
.LC39:
	.string	"noout"
.LC40:
	.string	"No output"
.LC41:
	.string	"out"
.LC42:
	.string	"Output file (default stdout)"
.LC43:
	.string	"outform"
	.section	.rodata.str1.8
	.align 8
.LC44:
	.string	"Output format (DER or PEM (default))"
	.section	.rodata.str1.1
.LC45:
	.string	"text"
	.section	.rodata.str1.8
	.align 8
.LC46:
	.string	"Print a text form of the DH parameters"
	.data
	.align 32
	.type	dh_options, @object
	.size	dh_options, 480
dh_options:
	.quad	.LC26
	.zero	8
	.quad	.LC27
	.long	8
	.zero	4
	.quad	dh_config
	.zero	8
	.quad	.LC28
	.zero	8
	.quad	.LC29
	.long	8
	.zero	4
	.quad	dh_config+4
	.zero	8
	.quad	.LC30
	.quad	.LC31
	.quad	.LC32
	.long	0
	.zero	4
	.quad	dh_config+8
	.zero	8
	.quad	.LC33
	.quad	.LC34
	.quad	.LC35
	.long	0
	.zero	4
	.quad	dh_config+16
	.zero	8
	.quad	.LC36
	.quad	.LC37
	.quad	.LC38
	.long	2
	.zero	4
	.quad	dh_config+24
	.zero	8
	.quad	.LC39
	.zero	8
	.quad	.LC40
	.long	8
	.zero	4
	.quad	dh_config+28
	.zero	8
	.quad	.LC41
	.quad	.LC34
	.quad	.LC42
	.long	0
	.zero	4
	.quad	dh_config+32
	.zero	8
	.quad	.LC43
	.quad	.LC37
	.quad	.LC44
	.long	2
	.zero	4
	.quad	dh_config+40
	.zero	8
	.quad	.LC45
	.zero	8
	.quad	.LC46
	.long	8
	.zero	4
	.quad	dh_config+44
	.zero	8
	.quad	0
	.zero	40
	.local	dh_config
	.comm	dh_config,48,32
	.text
.Letext0:
	.section	.text.unlikely
.Letext_cold0:
	.file 4 "/usr/lib/gcc/x86_64-linux-gnu/5/include/stddef.h"
	.file 5 "/usr/include/x86_64-linux-gnu/bits/types.h"
	.file 6 "/usr/include/stdio.h"
	.file 7 "/usr/include/libio.h"
	.file 8 "../include/openssl/stack.h"
	.file 9 "../include/openssl/ossl_typ.h"
	.file 10 "../include/openssl/bn.h"
	.file 11 "../include/openssl/dh.h"
	.file 12 "../include/openssl/crypto.h"
	.file 13 "../include/openssl/bio.h"
	.file 14 "../include/openssl/asn1.h"
	.file 15 "apps.h"
	.file 16 "<built-in>"
	.file 17 "/usr/include/stdlib.h"
	.file 18 "../include/openssl/err.h"
	.file 19 "../include/openssl/pem.h"
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.long	0x1a78
	.value	0x4
	.long	.Ldebug_abbrev0
	.byte	0x8
	.uleb128 0x1
	.long	.LASF193
	.byte	0xc
	.long	.LASF194
	.long	.LASF195
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF7
	.byte	0x4
	.byte	0xd8
	.long	0x38
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.long	.LASF8
	.byte	0x5
	.byte	0x83
	.long	0x69
	.uleb128 0x2
	.long	.LASF9
	.byte	0x5
	.byte	0x84
	.long	0x69
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF10
	.uleb128 0x5
	.byte	0x8
	.uleb128 0x6
	.byte	0x8
	.long	0x95
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF11
	.uleb128 0x2
	.long	.LASF12
	.byte	0x6
	.byte	0x30
	.long	0xa7
	.uleb128 0x7
	.long	.LASF42
	.byte	0xd8
	.byte	0x7
	.byte	0xf5
	.long	0x227
	.uleb128 0x8
	.long	.LASF13
	.byte	0x7
	.byte	0xf6
	.long	0x62
	.byte	0
	.uleb128 0x8
	.long	.LASF14
	.byte	0x7
	.byte	0xfb
	.long	0x8f
	.byte	0x8
	.uleb128 0x8
	.long	.LASF15
	.byte	0x7
	.byte	0xfc
	.long	0x8f
	.byte	0x10
	.uleb128 0x8
	.long	.LASF16
	.byte	0x7
	.byte	0xfd
	.long	0x8f
	.byte	0x18
	.uleb128 0x8
	.long	.LASF17
	.byte	0x7
	.byte	0xfe
	.long	0x8f
	.byte	0x20
	.uleb128 0x8
	.long	.LASF18
	.byte	0x7
	.byte	0xff
	.long	0x8f
	.byte	0x28
	.uleb128 0x9
	.long	.LASF19
	.byte	0x7
	.value	0x100
	.long	0x8f
	.byte	0x30
	.uleb128 0x9
	.long	.LASF20
	.byte	0x7
	.value	0x101
	.long	0x8f
	.byte	0x38
	.uleb128 0x9
	.long	.LASF21
	.byte	0x7
	.value	0x102
	.long	0x8f
	.byte	0x40
	.uleb128 0x9
	.long	.LASF22
	.byte	0x7
	.value	0x104
	.long	0x8f
	.byte	0x48
	.uleb128 0x9
	.long	.LASF23
	.byte	0x7
	.value	0x105
	.long	0x8f
	.byte	0x50
	.uleb128 0x9
	.long	.LASF24
	.byte	0x7
	.value	0x106
	.long	0x8f
	.byte	0x58
	.uleb128 0x9
	.long	.LASF25
	.byte	0x7
	.value	0x108
	.long	0x25f
	.byte	0x60
	.uleb128 0x9
	.long	.LASF26
	.byte	0x7
	.value	0x10a
	.long	0x265
	.byte	0x68
	.uleb128 0x9
	.long	.LASF27
	.byte	0x7
	.value	0x10c
	.long	0x62
	.byte	0x70
	.uleb128 0x9
	.long	.LASF28
	.byte	0x7
	.value	0x110
	.long	0x62
	.byte	0x74
	.uleb128 0x9
	.long	.LASF29
	.byte	0x7
	.value	0x112
	.long	0x70
	.byte	0x78
	.uleb128 0x9
	.long	.LASF30
	.byte	0x7
	.value	0x116
	.long	0x46
	.byte	0x80
	.uleb128 0x9
	.long	.LASF31
	.byte	0x7
	.value	0x117
	.long	0x54
	.byte	0x82
	.uleb128 0x9
	.long	.LASF32
	.byte	0x7
	.value	0x118
	.long	0x26b
	.byte	0x83
	.uleb128 0x9
	.long	.LASF33
	.byte	0x7
	.value	0x11c
	.long	0x27b
	.byte	0x88
	.uleb128 0x9
	.long	.LASF34
	.byte	0x7
	.value	0x125
	.long	0x7b
	.byte	0x90
	.uleb128 0x9
	.long	.LASF35
	.byte	0x7
	.value	0x12e
	.long	0x8d
	.byte	0x98
	.uleb128 0x9
	.long	.LASF36
	.byte	0x7
	.value	0x12f
	.long	0x8d
	.byte	0xa0
	.uleb128 0x9
	.long	.LASF37
	.byte	0x7
	.value	0x130
	.long	0x8d
	.byte	0xa8
	.uleb128 0x9
	.long	.LASF38
	.byte	0x7
	.value	0x131
	.long	0x8d
	.byte	0xb0
	.uleb128 0x9
	.long	.LASF39
	.byte	0x7
	.value	0x132
	.long	0x2d
	.byte	0xb8
	.uleb128 0x9
	.long	.LASF40
	.byte	0x7
	.value	0x134
	.long	0x62
	.byte	0xc0
	.uleb128 0x9
	.long	.LASF41
	.byte	0x7
	.value	0x136
	.long	0x281
	.byte	0xc4
	.byte	0
	.uleb128 0xa
	.long	.LASF196
	.byte	0x7
	.byte	0x9a
	.uleb128 0x7
	.long	.LASF43
	.byte	0x18
	.byte	0x7
	.byte	0xa0
	.long	0x25f
	.uleb128 0x8
	.long	.LASF44
	.byte	0x7
	.byte	0xa1
	.long	0x25f
	.byte	0
	.uleb128 0x8
	.long	.LASF45
	.byte	0x7
	.byte	0xa2
	.long	0x265
	.byte	0x8
	.uleb128 0x8
	.long	.LASF46
	.byte	0x7
	.byte	0xa6
	.long	0x62
	.byte	0x10
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x22e
	.uleb128 0x6
	.byte	0x8
	.long	0xa7
	.uleb128 0xb
	.long	0x95
	.long	0x27b
	.uleb128 0xc
	.long	0x86
	.byte	0
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x227
	.uleb128 0xb
	.long	0x95
	.long	0x291
	.uleb128 0xc
	.long	0x86
	.byte	0x13
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x297
	.uleb128 0xd
	.long	0x95
	.uleb128 0x6
	.byte	0x8
	.long	0x62
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF47
	.uleb128 0xd
	.long	0x62
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF48
	.uleb128 0x6
	.byte	0x8
	.long	0x2bb
	.uleb128 0xe
	.long	0x62
	.long	0x2cf
	.uleb128 0xf
	.long	0x2cf
	.uleb128 0xf
	.long	0x2cf
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x2d5
	.uleb128 0x10
	.uleb128 0x7
	.long	.LASF49
	.byte	0x20
	.byte	0x8
	.byte	0x42
	.long	0x31f
	.uleb128 0x11
	.string	"num"
	.byte	0x8
	.byte	0x43
	.long	0x62
	.byte	0
	.uleb128 0x8
	.long	.LASF50
	.byte	0x8
	.byte	0x44
	.long	0x31f
	.byte	0x8
	.uleb128 0x8
	.long	.LASF51
	.byte	0x8
	.byte	0x45
	.long	0x62
	.byte	0x10
	.uleb128 0x8
	.long	.LASF52
	.byte	0x8
	.byte	0x47
	.long	0x62
	.byte	0x14
	.uleb128 0x8
	.long	.LASF53
	.byte	0x8
	.byte	0x48
	.long	0x2b5
	.byte	0x18
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x8f
	.uleb128 0x2
	.long	.LASF54
	.byte	0x8
	.byte	0x49
	.long	0x2d6
	.uleb128 0x2
	.long	.LASF55
	.byte	0x9
	.byte	0x7a
	.long	0x33b
	.uleb128 0x7
	.long	.LASF56
	.byte	0x18
	.byte	0xa
	.byte	0xf4
	.long	0x382
	.uleb128 0x11
	.string	"d"
	.byte	0xa
	.byte	0xf5
	.long	0x8a1
	.byte	0
	.uleb128 0x11
	.string	"top"
	.byte	0xa
	.byte	0xf6
	.long	0x62
	.byte	0x8
	.uleb128 0x8
	.long	.LASF57
	.byte	0xa
	.byte	0xf8
	.long	0x62
	.byte	0xc
	.uleb128 0x11
	.string	"neg"
	.byte	0xa
	.byte	0xf9
	.long	0x62
	.byte	0x10
	.uleb128 0x8
	.long	.LASF58
	.byte	0xa
	.byte	0xfa
	.long	0x62
	.byte	0x14
	.byte	0
	.uleb128 0x2
	.long	.LASF59
	.byte	0x9
	.byte	0x7b
	.long	0x38d
	.uleb128 0x12
	.long	.LASF88
	.uleb128 0x2
	.long	.LASF60
	.byte	0x9
	.byte	0x7d
	.long	0x39d
	.uleb128 0x7
	.long	.LASF61
	.byte	0x68
	.byte	0xa
	.byte	0xfe
	.long	0x3f1
	.uleb128 0x11
	.string	"ri"
	.byte	0xa
	.byte	0xff
	.long	0x62
	.byte	0
	.uleb128 0x13
	.string	"RR"
	.byte	0xa
	.value	0x100
	.long	0x330
	.byte	0x8
	.uleb128 0x13
	.string	"N"
	.byte	0xa
	.value	0x101
	.long	0x330
	.byte	0x20
	.uleb128 0x13
	.string	"Ni"
	.byte	0xa
	.value	0x102
	.long	0x330
	.byte	0x38
	.uleb128 0x13
	.string	"n0"
	.byte	0xa
	.value	0x104
	.long	0x8a7
	.byte	0x50
	.uleb128 0x9
	.long	.LASF58
	.byte	0xa
	.value	0x106
	.long	0x62
	.byte	0x60
	.byte	0
	.uleb128 0x2
	.long	.LASF62
	.byte	0x9
	.byte	0x7f
	.long	0x3fc
	.uleb128 0x14
	.long	.LASF63
	.byte	0x18
	.byte	0xa
	.value	0x115
	.long	0x430
	.uleb128 0x13
	.string	"ver"
	.byte	0xa
	.value	0x116
	.long	0x4d
	.byte	0
	.uleb128 0x13
	.string	"arg"
	.byte	0xa
	.value	0x117
	.long	0x8d
	.byte	0x8
	.uleb128 0x13
	.string	"cb"
	.byte	0xa
	.value	0x11d
	.long	0x8b7
	.byte	0x10
	.byte	0
	.uleb128 0x15
	.string	"DH"
	.byte	0x9
	.byte	0x8e
	.long	0x43a
	.uleb128 0x7
	.long	.LASF64
	.byte	0x88
	.byte	0xb
	.byte	0x82
	.long	0x517
	.uleb128 0x11
	.string	"pad"
	.byte	0xb
	.byte	0x86
	.long	0x62
	.byte	0
	.uleb128 0x8
	.long	.LASF65
	.byte	0xb
	.byte	0x87
	.long	0x62
	.byte	0x4
	.uleb128 0x11
	.string	"p"
	.byte	0xb
	.byte	0x88
	.long	0x98c
	.byte	0x8
	.uleb128 0x11
	.string	"g"
	.byte	0xb
	.byte	0x89
	.long	0x98c
	.byte	0x10
	.uleb128 0x8
	.long	.LASF66
	.byte	0xb
	.byte	0x8a
	.long	0x69
	.byte	0x18
	.uleb128 0x8
	.long	.LASF67
	.byte	0xb
	.byte	0x8b
	.long	0x98c
	.byte	0x20
	.uleb128 0x8
	.long	.LASF68
	.byte	0xb
	.byte	0x8c
	.long	0x98c
	.byte	0x28
	.uleb128 0x8
	.long	.LASF58
	.byte	0xb
	.byte	0x8e
	.long	0x62
	.byte	0x30
	.uleb128 0x8
	.long	.LASF69
	.byte	0xb
	.byte	0x8f
	.long	0x992
	.byte	0x38
	.uleb128 0x11
	.string	"q"
	.byte	0xb
	.byte	0x91
	.long	0x98c
	.byte	0x40
	.uleb128 0x11
	.string	"j"
	.byte	0xb
	.byte	0x92
	.long	0x98c
	.byte	0x48
	.uleb128 0x8
	.long	.LASF70
	.byte	0xb
	.byte	0x93
	.long	0x895
	.byte	0x50
	.uleb128 0x8
	.long	.LASF71
	.byte	0xb
	.byte	0x94
	.long	0x62
	.byte	0x58
	.uleb128 0x8
	.long	.LASF72
	.byte	0xb
	.byte	0x95
	.long	0x98c
	.byte	0x60
	.uleb128 0x8
	.long	.LASF73
	.byte	0xb
	.byte	0x97
	.long	0x62
	.byte	0x68
	.uleb128 0x8
	.long	.LASF74
	.byte	0xb
	.byte	0x98
	.long	0x5ab
	.byte	0x70
	.uleb128 0x8
	.long	.LASF75
	.byte	0xb
	.byte	0x99
	.long	0xa34
	.byte	0x78
	.uleb128 0x8
	.long	.LASF76
	.byte	0xb
	.byte	0x9a
	.long	0x975
	.byte	0x80
	.byte	0
	.uleb128 0x2
	.long	.LASF77
	.byte	0x9
	.byte	0x8f
	.long	0x522
	.uleb128 0x7
	.long	.LASF78
	.byte	0x48
	.byte	0xb
	.byte	0x70
	.long	0x59b
	.uleb128 0x8
	.long	.LASF79
	.byte	0xb
	.byte	0x72
	.long	0x291
	.byte	0
	.uleb128 0x8
	.long	.LASF80
	.byte	0xb
	.byte	0x74
	.long	0x9ad
	.byte	0x8
	.uleb128 0x8
	.long	.LASF81
	.byte	0xb
	.byte	0x75
	.long	0x9cc
	.byte	0x10
	.uleb128 0x8
	.long	.LASF82
	.byte	0xb
	.byte	0x76
	.long	0xa0a
	.byte	0x18
	.uleb128 0x8
	.long	.LASF83
	.byte	0xb
	.byte	0x7a
	.long	0x9ad
	.byte	0x20
	.uleb128 0x8
	.long	.LASF84
	.byte	0xb
	.byte	0x7b
	.long	0x9ad
	.byte	0x28
	.uleb128 0x8
	.long	.LASF58
	.byte	0xb
	.byte	0x7c
	.long	0x62
	.byte	0x30
	.uleb128 0x8
	.long	.LASF85
	.byte	0xb
	.byte	0x7d
	.long	0x8f
	.byte	0x38
	.uleb128 0x8
	.long	.LASF86
	.byte	0xb
	.byte	0x7f
	.long	0xa2e
	.byte	0x40
	.byte	0
	.uleb128 0x2
	.long	.LASF87
	.byte	0x9
	.byte	0xb3
	.long	0x5a6
	.uleb128 0x12
	.long	.LASF89
	.uleb128 0x2
	.long	.LASF90
	.byte	0x9
	.byte	0xc5
	.long	0x5b6
	.uleb128 0x14
	.long	.LASF91
	.byte	0x8
	.byte	0xc
	.value	0x103
	.long	0x5d0
	.uleb128 0x13
	.string	"sk"
	.byte	0xc
	.value	0x104
	.long	0x6bc
	.byte	0
	.byte	0
	.uleb128 0x14
	.long	.LASF92
	.byte	0x68
	.byte	0xd
	.value	0x119
	.long	0x6a1
	.uleb128 0x9
	.long	.LASF93
	.byte	0xd
	.value	0x11a
	.long	0x85b
	.byte	0
	.uleb128 0x9
	.long	.LASF94
	.byte	0xd
	.value	0x11c
	.long	0x889
	.byte	0x8
	.uleb128 0x9
	.long	.LASF95
	.byte	0xd
	.value	0x11d
	.long	0x8f
	.byte	0x10
	.uleb128 0x9
	.long	.LASF83
	.byte	0xd
	.value	0x11f
	.long	0x62
	.byte	0x18
	.uleb128 0x9
	.long	.LASF96
	.byte	0xd
	.value	0x120
	.long	0x62
	.byte	0x1c
	.uleb128 0x9
	.long	.LASF58
	.byte	0xd
	.value	0x121
	.long	0x62
	.byte	0x20
	.uleb128 0x9
	.long	.LASF97
	.byte	0xd
	.value	0x122
	.long	0x62
	.byte	0x24
	.uleb128 0x13
	.string	"num"
	.byte	0xd
	.value	0x123
	.long	0x62
	.byte	0x28
	.uleb128 0x13
	.string	"ptr"
	.byte	0xd
	.value	0x124
	.long	0x8d
	.byte	0x30
	.uleb128 0x9
	.long	.LASF98
	.byte	0xd
	.value	0x125
	.long	0x6fd
	.byte	0x38
	.uleb128 0x9
	.long	.LASF99
	.byte	0xd
	.value	0x126
	.long	0x6fd
	.byte	0x40
	.uleb128 0x9
	.long	.LASF73
	.byte	0xd
	.value	0x127
	.long	0x62
	.byte	0x48
	.uleb128 0x9
	.long	.LASF100
	.byte	0xd
	.value	0x128
	.long	0x38
	.byte	0x50
	.uleb128 0x9
	.long	.LASF101
	.byte	0xd
	.value	0x129
	.long	0x38
	.byte	0x58
	.uleb128 0x9
	.long	.LASF74
	.byte	0xd
	.value	0x12b
	.long	0x5ab
	.byte	0x60
	.byte	0
	.uleb128 0x14
	.long	.LASF102
	.byte	0x20
	.byte	0xc
	.value	0x106
	.long	0x6bc
	.uleb128 0x9
	.long	.LASF103
	.byte	0xc
	.value	0x106
	.long	0x325
	.byte	0
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x6a1
	.uleb128 0x15
	.string	"BIO"
	.byte	0xd
	.byte	0xca
	.long	0x5d0
	.uleb128 0x16
	.long	.LASF104
	.byte	0xd
	.value	0x10a
	.long	0x6d9
	.uleb128 0x17
	.long	0x6fd
	.uleb128 0xf
	.long	0x6fd
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x291
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x69
	.uleb128 0xf
	.long	0x69
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x5d0
	.uleb128 0x14
	.long	.LASF105
	.byte	0x50
	.byte	0xd
	.value	0x10c
	.long	0x793
	.uleb128 0x9
	.long	.LASF106
	.byte	0xd
	.value	0x10d
	.long	0x62
	.byte	0
	.uleb128 0x9
	.long	.LASF79
	.byte	0xd
	.value	0x10e
	.long	0x291
	.byte	0x8
	.uleb128 0x9
	.long	.LASF107
	.byte	0xd
	.value	0x10f
	.long	0x7b2
	.byte	0x10
	.uleb128 0x9
	.long	.LASF108
	.byte	0xd
	.value	0x110
	.long	0x7d1
	.byte	0x18
	.uleb128 0x9
	.long	.LASF109
	.byte	0xd
	.value	0x111
	.long	0x7eb
	.byte	0x20
	.uleb128 0x9
	.long	.LASF110
	.byte	0xd
	.value	0x112
	.long	0x7d1
	.byte	0x28
	.uleb128 0x9
	.long	.LASF111
	.byte	0xd
	.value	0x113
	.long	0x80f
	.byte	0x30
	.uleb128 0x9
	.long	.LASF112
	.byte	0xd
	.value	0x114
	.long	0x824
	.byte	0x38
	.uleb128 0x9
	.long	.LASF113
	.byte	0xd
	.value	0x115
	.long	0x824
	.byte	0x40
	.uleb128 0x9
	.long	.LASF114
	.byte	0xd
	.value	0x116
	.long	0x849
	.byte	0x48
	.byte	0
	.uleb128 0xe
	.long	0x62
	.long	0x7ac
	.uleb128 0xf
	.long	0x7ac
	.uleb128 0xf
	.long	0x291
	.uleb128 0xf
	.long	0x62
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x6c2
	.uleb128 0x6
	.byte	0x8
	.long	0x793
	.uleb128 0xe
	.long	0x62
	.long	0x7d1
	.uleb128 0xf
	.long	0x7ac
	.uleb128 0xf
	.long	0x8f
	.uleb128 0xf
	.long	0x62
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x7b8
	.uleb128 0xe
	.long	0x62
	.long	0x7eb
	.uleb128 0xf
	.long	0x7ac
	.uleb128 0xf
	.long	0x291
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x7d7
	.uleb128 0xe
	.long	0x69
	.long	0x80f
	.uleb128 0xf
	.long	0x7ac
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x69
	.uleb128 0xf
	.long	0x8d
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x7f1
	.uleb128 0xe
	.long	0x62
	.long	0x824
	.uleb128 0xf
	.long	0x7ac
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x815
	.uleb128 0xe
	.long	0x69
	.long	0x843
	.uleb128 0xf
	.long	0x7ac
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x843
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x6cd
	.uleb128 0x6
	.byte	0x8
	.long	0x82a
	.uleb128 0x16
	.long	.LASF115
	.byte	0xd
	.value	0x117
	.long	0x703
	.uleb128 0x6
	.byte	0x8
	.long	0x84f
	.uleb128 0xe
	.long	0x69
	.long	0x889
	.uleb128 0xf
	.long	0x6fd
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x291
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x69
	.uleb128 0xf
	.long	0x69
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x861
	.uleb128 0x6
	.byte	0x8
	.long	0x895
	.uleb128 0x6
	.byte	0x8
	.long	0x3f
	.uleb128 0x6
	.byte	0x8
	.long	0x69
	.uleb128 0x6
	.byte	0x8
	.long	0x38
	.uleb128 0xb
	.long	0x38
	.long	0x8b7
	.uleb128 0xc
	.long	0x86
	.byte	0x1
	.byte	0
	.uleb128 0x18
	.byte	0x8
	.byte	0xa
	.value	0x118
	.long	0x8d9
	.uleb128 0x19
	.long	.LASF116
	.byte	0xa
	.value	0x11a
	.long	0x8ee
	.uleb128 0x19
	.long	.LASF117
	.byte	0xa
	.value	0x11c
	.long	0x913
	.byte	0
	.uleb128 0x17
	.long	0x8ee
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x8d
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x8d9
	.uleb128 0xe
	.long	0x62
	.long	0x90d
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x90d
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x3f1
	.uleb128 0x6
	.byte	0x8
	.long	0x8f4
	.uleb128 0x6
	.byte	0x8
	.long	0x91f
	.uleb128 0xd
	.long	0x3f
	.uleb128 0x6
	.byte	0x8
	.long	0x919
	.uleb128 0x16
	.long	.LASF118
	.byte	0xe
	.value	0x160
	.long	0x936
	.uleb128 0xe
	.long	0x8d
	.long	0x94f
	.uleb128 0xf
	.long	0x94f
	.uleb128 0xf
	.long	0x924
	.uleb128 0xf
	.long	0x69
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x8d
	.uleb128 0x16
	.long	.LASF119
	.byte	0xe
	.value	0x160
	.long	0x961
	.uleb128 0xe
	.long	0x62
	.long	0x975
	.uleb128 0xf
	.long	0x8d
	.uleb128 0xf
	.long	0x88f
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x59b
	.uleb128 0x6
	.byte	0x8
	.long	0x981
	.uleb128 0xd
	.long	0x330
	.uleb128 0x6
	.byte	0x8
	.long	0x382
	.uleb128 0x6
	.byte	0x8
	.long	0x330
	.uleb128 0x6
	.byte	0x8
	.long	0x392
	.uleb128 0xe
	.long	0x62
	.long	0x9a7
	.uleb128 0xf
	.long	0x9a7
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x430
	.uleb128 0x6
	.byte	0x8
	.long	0x998
	.uleb128 0xe
	.long	0x62
	.long	0x9cc
	.uleb128 0xf
	.long	0x895
	.uleb128 0xf
	.long	0x97b
	.uleb128 0xf
	.long	0x9a7
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x9b3
	.uleb128 0xe
	.long	0x62
	.long	0x9ff
	.uleb128 0xf
	.long	0x9ff
	.uleb128 0xf
	.long	0x98c
	.uleb128 0xf
	.long	0x97b
	.uleb128 0xf
	.long	0x97b
	.uleb128 0xf
	.long	0x97b
	.uleb128 0xf
	.long	0x986
	.uleb128 0xf
	.long	0x992
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0xa05
	.uleb128 0xd
	.long	0x430
	.uleb128 0x6
	.byte	0x8
	.long	0x9d2
	.uleb128 0xe
	.long	0x62
	.long	0xa2e
	.uleb128 0xf
	.long	0x9a7
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x90d
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0xa10
	.uleb128 0x6
	.byte	0x8
	.long	0xa3a
	.uleb128 0xd
	.long	0x517
	.uleb128 0x1a
	.long	0x62
	.uleb128 0x6
	.byte	0x8
	.long	0xa3f
	.uleb128 0x1b
	.byte	0x4
	.long	0x4d
	.byte	0xf
	.value	0x11f
	.long	0xaa6
	.uleb128 0x1c
	.long	.LASF120
	.byte	0
	.uleb128 0x1c
	.long	.LASF121
	.byte	0x1
	.uleb128 0x1c
	.long	.LASF122
	.byte	0x2
	.uleb128 0x1c
	.long	.LASF123
	.byte	0x3
	.uleb128 0x1c
	.long	.LASF124
	.byte	0x4
	.uleb128 0x1c
	.long	.LASF125
	.byte	0x5
	.uleb128 0x1c
	.long	.LASF126
	.byte	0x6
	.uleb128 0x1c
	.long	.LASF127
	.byte	0x7
	.uleb128 0x1c
	.long	.LASF128
	.byte	0x8
	.uleb128 0x1c
	.long	.LASF129
	.byte	0x9
	.uleb128 0x1c
	.long	.LASF130
	.byte	0xa
	.uleb128 0x1c
	.long	.LASF131
	.byte	0xb
	.uleb128 0x1c
	.long	.LASF132
	.byte	0xc
	.byte	0
	.uleb128 0x18
	.byte	0x8
	.byte	0xf
	.value	0x12e
	.long	0xb04
	.uleb128 0x1d
	.string	"arg"
	.byte	0xf
	.value	0x12f
	.long	0x31f
	.uleb128 0x19
	.long	.LASF133
	.byte	0xf
	.value	0x130
	.long	0xb13
	.uleb128 0x19
	.long	.LASF134
	.byte	0xf
	.value	0x131
	.long	0xb32
	.uleb128 0x19
	.long	.LASF135
	.byte	0xf
	.value	0x132
	.long	0x29c
	.uleb128 0x19
	.long	.LASF136
	.byte	0xf
	.value	0x133
	.long	0xa44
	.uleb128 0x19
	.long	.LASF137
	.byte	0xf
	.value	0x134
	.long	0x89b
	.uleb128 0x19
	.long	.LASF138
	.byte	0xf
	.value	0x135
	.long	0x29c
	.byte	0
	.uleb128 0xe
	.long	0x62
	.long	0xb13
	.uleb128 0xf
	.long	0x8f
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0xb04
	.uleb128 0xe
	.long	0x62
	.long	0xb32
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x31f
	.uleb128 0xf
	.long	0x29c
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0xb19
	.uleb128 0x14
	.long	.LASF139
	.byte	0x30
	.byte	0xf
	.value	0x11b
	.long	0xb94
	.uleb128 0x9
	.long	.LASF79
	.byte	0xf
	.value	0x11c
	.long	0x291
	.byte	0
	.uleb128 0x9
	.long	.LASF140
	.byte	0xf
	.value	0x11d
	.long	0x291
	.byte	0x8
	.uleb128 0x9
	.long	.LASF141
	.byte	0xf
	.value	0x11e
	.long	0x291
	.byte	0x10
	.uleb128 0x9
	.long	.LASF106
	.byte	0xf
	.value	0x12d
	.long	0xa4a
	.byte	0x18
	.uleb128 0x13
	.string	"opt"
	.byte	0xf
	.value	0x136
	.long	0xaa6
	.byte	0x20
	.uleb128 0x9
	.long	.LASF138
	.byte	0xf
	.value	0x137
	.long	0x2a9
	.byte	0x28
	.byte	0
	.uleb128 0x1e
	.byte	0x30
	.byte	0x1
	.byte	0x4d
	.long	0xc07
	.uleb128 0x11
	.string	"C"
	.byte	0x1
	.byte	0x4e
	.long	0x62
	.byte	0
	.uleb128 0x8
	.long	.LASF142
	.byte	0x1
	.byte	0x4f
	.long	0x62
	.byte	0x4
	.uleb128 0x8
	.long	.LASF76
	.byte	0x1
	.byte	0x51
	.long	0x8f
	.byte	0x8
	.uleb128 0x8
	.long	.LASF143
	.byte	0x1
	.byte	0x53
	.long	0x8f
	.byte	0x10
	.uleb128 0x8
	.long	.LASF144
	.byte	0x1
	.byte	0x54
	.long	0x62
	.byte	0x18
	.uleb128 0x8
	.long	.LASF145
	.byte	0x1
	.byte	0x55
	.long	0x62
	.byte	0x1c
	.uleb128 0x8
	.long	.LASF146
	.byte	0x1
	.byte	0x56
	.long	0x8f
	.byte	0x20
	.uleb128 0x8
	.long	.LASF147
	.byte	0x1
	.byte	0x57
	.long	0x62
	.byte	0x28
	.uleb128 0x8
	.long	.LASF148
	.byte	0x1
	.byte	0x58
	.long	0x62
	.byte	0x2c
	.byte	0
	.uleb128 0x1f
	.long	.LASF151
	.byte	0x3
	.byte	0x5f
	.long	0x62
	.byte	0x3
	.long	0xc2f
	.uleb128 0x20
	.long	.LASF149
	.byte	0x3
	.byte	0x5f
	.long	0xc35
	.uleb128 0x20
	.long	.LASF150
	.byte	0x3
	.byte	0x5f
	.long	0xc3a
	.uleb128 0x21
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x9c
	.uleb128 0x22
	.long	0xc2f
	.uleb128 0x22
	.long	0x291
	.uleb128 0x1f
	.long	.LASF152
	.byte	0x2
	.byte	0x4c
	.long	0x8d
	.byte	0x3
	.long	0xc71
	.uleb128 0x20
	.long	.LASF153
	.byte	0x2
	.byte	0x4c
	.long	0x8d
	.uleb128 0x20
	.long	.LASF154
	.byte	0x2
	.byte	0x4c
	.long	0x62
	.uleb128 0x20
	.long	.LASF155
	.byte	0x2
	.byte	0x4c
	.long	0x2d
	.byte	0
	.uleb128 0x1f
	.long	.LASF156
	.byte	0x3
	.byte	0x66
	.long	0x62
	.byte	0x3
	.long	0xc8e
	.uleb128 0x20
	.long	.LASF150
	.byte	0x3
	.byte	0x66
	.long	0xc3a
	.uleb128 0x21
	.byte	0
	.uleb128 0x23
	.long	.LASF197
	.byte	0x1
	.byte	0x9d
	.byte	0x1
	.uleb128 0x24
	.long	.LASF198
	.byte	0x1
	.byte	0xa8
	.long	0x62
	.quad	.LFB71
	.quad	.LFE71-.LFB71
	.uleb128 0x1
	.byte	0x9c
	.long	0x1790
	.uleb128 0x25
	.long	.LASF157
	.byte	0x1
	.byte	0xa8
	.long	0x62
	.long	.LLST0
	.uleb128 0x25
	.long	.LASF158
	.byte	0x1
	.byte	0xa8
	.long	0x31f
	.long	.LLST1
	.uleb128 0x26
	.string	"dh"
	.byte	0x1
	.byte	0xaa
	.long	0x9a7
	.long	.LLST2
	.uleb128 0x27
	.string	"i"
	.byte	0x1
	.byte	0xab
	.long	0x62
	.uleb128 0x3
	.byte	0x91
	.sleb128 -76
	.uleb128 0x26
	.string	"in"
	.byte	0x1
	.byte	0xac
	.long	0x7ac
	.long	.LLST3
	.uleb128 0x26
	.string	"out"
	.byte	0x1
	.byte	0xac
	.long	0x7ac
	.long	.LLST4
	.uleb128 0x26
	.string	"ret"
	.byte	0x1
	.byte	0xad
	.long	0x62
	.long	.LLST5
	.uleb128 0x28
	.string	"end"
	.byte	0x1
	.value	0x12e
	.uleb128 0x29
	.long	0xc3f
	.quad	.LBB98
	.long	.Ldebug_ranges0+0
	.byte	0x1
	.byte	0xaf
	.long	0xd58
	.uleb128 0x2a
	.long	0xc65
	.byte	0x30
	.uleb128 0x2a
	.long	0xc5a
	.byte	0
	.uleb128 0x2b
	.long	0xc4f
	.uleb128 0xa
	.byte	0x3
	.quad	dh_config
	.byte	0x9f
	.byte	0
	.uleb128 0x29
	.long	0xc8e
	.quad	.LBB104
	.long	.Ldebug_ranges0+0x40
	.byte	0x1
	.byte	0xb5
	.long	0xdd7
	.uleb128 0x29
	.long	0xc07
	.quad	.LBB106
	.long	.Ldebug_ranges0+0x70
	.byte	0x1
	.byte	0x9f
	.long	0xdbb
	.uleb128 0x2c
	.long	0xc22
	.long	.LLST6
	.uleb128 0x2d
	.long	0xc17
	.uleb128 0x2e
	.quad	.LVL5
	.long	0x17f6
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x2
	.byte	0x8
	.byte	0x75
	.byte	0
	.byte	0
	.uleb128 0x2e
	.quad	.LVL6
	.long	0x1805
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	dh_options
	.byte	0
	.byte	0
	.uleb128 0x30
	.long	0xc71
	.quad	.LBB112
	.quad	.LBE112-.LBB112
	.byte	0x1
	.byte	0xf2
	.long	0xe17
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST7
	.uleb128 0x2e
	.quad	.LVL43
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC7
	.byte	0
	.byte	0
	.uleb128 0x31
	.long	.Ldebug_ranges0+0xa0
	.long	0x136b
	.uleb128 0x32
	.long	.LASF50
	.byte	0x1
	.byte	0xf5
	.long	0x895
	.long	.LLST8
	.uleb128 0x26
	.string	"len"
	.byte	0x1
	.byte	0xf6
	.long	0x62
	.long	.LLST9
	.uleb128 0x26
	.string	"l"
	.byte	0x1
	.byte	0xf6
	.long	0x62
	.long	.LLST10
	.uleb128 0x32
	.long	.LASF159
	.byte	0x1
	.byte	0xf6
	.long	0x62
	.long	.LLST11
	.uleb128 0x33
	.long	0xc71
	.quad	.LBB115
	.long	.Ldebug_ranges0+0xe0
	.byte	0x1
	.value	0x100
	.long	0xea5
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST12
	.uleb128 0x2e
	.quad	.LVL55
	.long	0x1844
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC9
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x5
	.byte	0x91
	.sleb128 -84
	.byte	0x94
	.byte	0x4
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB119
	.quad	.LBE119-.LBB119
	.byte	0x1
	.value	0x104
	.long	0xeeb
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST13
	.uleb128 0x2e
	.quad	.LVL57
	.long	0x1844
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC13
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB121
	.quad	.LBE121-.LBB121
	.byte	0x1
	.value	0x103
	.long	0xf31
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST14
	.uleb128 0x2e
	.quad	.LVL60
	.long	0x1844
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC12
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB123
	.quad	.LBE123-.LBB123
	.byte	0x1
	.value	0x106
	.long	0xf72
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST15
	.uleb128 0x2e
	.quad	.LVL62
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC10
	.byte	0
	.byte	0
	.uleb128 0x33
	.long	0xc71
	.quad	.LBB125
	.long	.Ldebug_ranges0+0x110
	.byte	0x1
	.value	0x109
	.long	0xfbd
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST16
	.uleb128 0x2e
	.quad	.LVL66
	.long	0x1844
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC11
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x5
	.byte	0x91
	.sleb128 -84
	.byte	0x94
	.byte	0x4
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB129
	.quad	.LBE129-.LBB129
	.byte	0x1
	.value	0x10d
	.long	0x1003
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST17
	.uleb128 0x2e
	.quad	.LVL68
	.long	0x1844
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC13
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB131
	.quad	.LBE131-.LBB131
	.byte	0x1
	.value	0x10c
	.long	0x1049
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST18
	.uleb128 0x2e
	.quad	.LVL71
	.long	0x1844
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC12
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB133
	.quad	.LBE133-.LBB133
	.byte	0x1
	.value	0x10f
	.long	0x108a
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST19
	.uleb128 0x2e
	.quad	.LVL73
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC14
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB135
	.quad	.LBE135-.LBB135
	.byte	0x1
	.value	0x111
	.long	0x10d6
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST20
	.uleb128 0x2e
	.quad	.LVL75
	.long	0x1844
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC15
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x2
	.byte	0x7e
	.sleb128 0
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB137
	.quad	.LBE137-.LBB137
	.byte	0x1
	.value	0x112
	.long	0x1117
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST21
	.uleb128 0x2e
	.quad	.LVL76
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC16
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB139
	.quad	.LBE139-.LBB139
	.byte	0x1
	.value	0x113
	.long	0x1158
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST22
	.uleb128 0x2e
	.quad	.LVL77
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC17
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB141
	.quad	.LBE141-.LBB141
	.byte	0x1
	.value	0x114
	.long	0x11aa
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST23
	.uleb128 0x2e
	.quad	.LVL78
	.long	0x1844
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC18
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x2
	.byte	0x7e
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x52
	.uleb128 0x2
	.byte	0x7e
	.sleb128 0
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB143
	.quad	.LBE143-.LBB143
	.byte	0x1
	.value	0x116
	.long	0x11fc
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST24
	.uleb128 0x2e
	.quad	.LVL79
	.long	0x1844
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC19
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x2
	.byte	0x7e
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x52
	.uleb128 0x2
	.byte	0x7e
	.sleb128 0
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB145
	.quad	.LBE145-.LBB145
	.byte	0x1
	.value	0x118
	.long	0x123d
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST25
	.uleb128 0x2e
	.quad	.LVL80
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC20
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB147
	.quad	.LBE147-.LBB147
	.byte	0x1
	.value	0x119
	.long	0x127e
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST26
	.uleb128 0x2e
	.quad	.LVL81
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC21
	.byte	0
	.byte	0
	.uleb128 0x34
	.long	0xc71
	.quad	.LBB149
	.quad	.LBE149-.LBB149
	.byte	0x1
	.value	0x11a
	.long	0x12bf
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST27
	.uleb128 0x2e
	.quad	.LVL82
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC22
	.byte	0
	.byte	0
	.uleb128 0x35
	.quad	.LVL46
	.long	0x18f2
	.uleb128 0x35
	.quad	.LVL48
	.long	0x18f2
	.uleb128 0x36
	.quad	.LVL50
	.long	0x18fe
	.long	0x1307
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x18
	.byte	0x7d
	.sleb128 14
	.byte	0x7d
	.sleb128 7
	.byte	0x7d
	.sleb128 7
	.byte	0x8
	.byte	0x20
	.byte	0x24
	.byte	0x30
	.byte	0x2d
	.byte	0x28
	.value	0x1
	.byte	0x16
	.byte	0x13
	.byte	0x33
	.byte	0x26
	.byte	0x8
	.byte	0x20
	.byte	0x24
	.byte	0x8
	.byte	0x20
	.byte	0x26
	.byte	0
	.uleb128 0x36
	.quad	.LVL52
	.long	0x190a
	.long	0x131f
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x7d
	.sleb128 0
	.byte	0
	.uleb128 0x36
	.quad	.LVL63
	.long	0x190a
	.long	0x1337
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x7d
	.sleb128 0
	.byte	0
	.uleb128 0x36
	.quad	.LVL83
	.long	0x1916
	.long	0x134f
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x7d
	.sleb128 0
	.byte	0
	.uleb128 0x2e
	.quad	.LVL103
	.long	0x1922
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC8
	.byte	0
	.byte	0
	.uleb128 0x30
	.long	0xc71
	.quad	.LBB151
	.quad	.LBE151-.LBB151
	.byte	0x1
	.byte	0xea
	.long	0x13ab
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST28
	.uleb128 0x2e
	.quad	.LVL93
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC3
	.byte	0
	.byte	0
	.uleb128 0x30
	.long	0xc71
	.quad	.LBB153
	.quad	.LBE153-.LBB153
	.byte	0x1
	.byte	0xf0
	.long	0x13eb
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST29
	.uleb128 0x2e
	.quad	.LVL97
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC6
	.byte	0
	.byte	0
	.uleb128 0x30
	.long	0xc71
	.quad	.LBB155
	.quad	.LBE155-.LBB155
	.byte	0x1
	.byte	0xee
	.long	0x142b
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST30
	.uleb128 0x2e
	.quad	.LVL99
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC5
	.byte	0
	.byte	0
	.uleb128 0x30
	.long	0xc71
	.quad	.LBB157
	.quad	.LBE157-.LBB157
	.byte	0x1
	.byte	0xec
	.long	0x146b
	.uleb128 0x2c
	.long	0xc81
	.long	.LLST31
	.uleb128 0x2e
	.quad	.LVL101
	.long	0x1835
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x9
	.byte	0x3
	.quad	.LC4
	.byte	0
	.byte	0
	.uleb128 0x36
	.quad	.LVL3
	.long	0x19b6
	.long	0x14a2
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x3
	.byte	0xf3
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x3
	.byte	0xf3
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x9
	.byte	0x3
	.quad	dh_options
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x52
	.uleb128 0x1
	.byte	0x30
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x58
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x36
	.quad	.LVL7
	.long	0x19c2
	.long	0x14b9
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x36
	.quad	.LVL9
	.long	0x19ce
	.long	0x14d0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x35
	.quad	.LVL10
	.long	0x19d9
	.uleb128 0x35
	.quad	.LVL11
	.long	0x19e5
	.uleb128 0x35
	.quad	.LVL13
	.long	0x19d9
	.uleb128 0x35
	.quad	.LVL14
	.long	0x19e5
	.uleb128 0x36
	.quad	.LVL16
	.long	0x19f1
	.long	0x1527
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x8
	.byte	0x6c
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x1
	.byte	0x33
	.byte	0
	.uleb128 0x36
	.quad	.LVL17
	.long	0x19f1
	.long	0x154a
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x76
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x8
	.byte	0x6c
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x1
	.byte	0x35
	.byte	0
	.uleb128 0x36
	.quad	.LVL18
	.long	0x19fd
	.long	0x1569
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC1
	.byte	0
	.uleb128 0x36
	.quad	.LVL19
	.long	0x19c2
	.long	0x1581
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.byte	0
	.uleb128 0x36
	.quad	.LVL20
	.long	0x1a09
	.long	0x1599
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x76
	.sleb128 0
	.byte	0
	.uleb128 0x36
	.quad	.LVL21
	.long	0x1a15
	.long	0x15b1
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x7c
	.sleb128 0
	.byte	0
	.uleb128 0x35
	.quad	.LVL23
	.long	0x1a20
	.uleb128 0x36
	.quad	.LVL24
	.long	0x19c2
	.long	0x15d6
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.byte	0
	.uleb128 0x36
	.quad	.LVL26
	.long	0x1a09
	.long	0x15ee
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x76
	.sleb128 0
	.byte	0
	.uleb128 0x36
	.quad	.LVL28
	.long	0x1a2c
	.long	0x1615
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x1
	.byte	0x30
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x1
	.byte	0x30
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x52
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x36
	.quad	.LVL31
	.long	0x19fd
	.long	0x1634
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC23
	.byte	0
	.uleb128 0x36
	.quad	.LVL33
	.long	0x19f1
	.long	0x1657
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x8
	.byte	0x6a
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x36
	.quad	.LVL34
	.long	0x19f1
	.long	0x167a
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x76
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x8
	.byte	0x6a
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x35
	.quad	.LVL35
	.long	0x1922
	.uleb128 0x36
	.quad	.LVL36
	.long	0x1a38
	.long	0x16a4
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x52
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x35
	.quad	.LVL39
	.long	0x1922
	.uleb128 0x36
	.quad	.LVL41
	.long	0x1a44
	.long	0x16d0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x7c
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x3
	.byte	0x91
	.sleb128 -76
	.byte	0
	.uleb128 0x36
	.quad	.LVL45
	.long	0x1a4f
	.long	0x16ee
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x76
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x7c
	.sleb128 0
	.byte	0
	.uleb128 0x36
	.quad	.LVL85
	.long	0x1a5a
	.long	0x170c
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x76
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x7c
	.sleb128 0
	.byte	0
	.uleb128 0x36
	.quad	.LVL86
	.long	0x19fd
	.long	0x172b
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC24
	.byte	0
	.uleb128 0x35
	.quad	.LVL87
	.long	0x1a20
	.uleb128 0x36
	.quad	.LVL90
	.long	0x19fd
	.long	0x1757
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC2
	.byte	0
	.uleb128 0x35
	.quad	.LVL91
	.long	0x1a20
	.uleb128 0x36
	.quad	.LVL95
	.long	0x1a66
	.long	0x1782
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x76
	.sleb128 0
	.uleb128 0x2f
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x2
	.byte	0x7c
	.sleb128 0
	.byte	0
	.uleb128 0x35
	.quad	.LVL105
	.long	0x1a72
	.byte	0
	.uleb128 0x37
	.long	.LASF160
	.byte	0x1
	.byte	0x59
	.long	0xb94
	.uleb128 0x9
	.byte	0x3
	.quad	dh_config
	.uleb128 0xb
	.long	0xb38
	.long	0x17b5
	.uleb128 0xc
	.long	0x86
	.byte	0x9
	.byte	0
	.uleb128 0x37
	.long	.LASF161
	.byte	0x1
	.byte	0x5b
	.long	0x17a5
	.uleb128 0x9
	.byte	0x3
	.quad	dh_options
	.uleb128 0x38
	.long	.LASF162
	.byte	0x6
	.byte	0xa8
	.long	0x265
	.uleb128 0x38
	.long	.LASF163
	.byte	0x6
	.byte	0xa9
	.long	0x265
	.uleb128 0x38
	.long	.LASF164
	.byte	0x6
	.byte	0xaa
	.long	0x265
	.uleb128 0x38
	.long	.LASF165
	.byte	0xf
	.byte	0x86
	.long	0x7ac
	.uleb128 0x39
	.long	.LASF166
	.long	.LASF168
	.byte	0x10
	.byte	0
	.long	.LASF166
	.uleb128 0x3a
	.long	.LASF170
	.long	.LASF170
	.byte	0xf
	.value	0x13a
	.uleb128 0x3b
	.uleb128 0x22
	.byte	0x9e
	.uleb128 0x20
	.byte	0x44
	.byte	0x48
	.byte	0x20
	.byte	0x70
	.byte	0x61
	.byte	0x72
	.byte	0x61
	.byte	0x6d
	.byte	0x65
	.byte	0x74
	.byte	0x65
	.byte	0x72
	.byte	0x73
	.byte	0x20
	.byte	0x61
	.byte	0x70
	.byte	0x70
	.byte	0x65
	.byte	0x61
	.byte	0x72
	.byte	0x20
	.byte	0x74
	.byte	0x6f
	.byte	0x20
	.byte	0x62
	.byte	0x65
	.byte	0x20
	.byte	0x6f
	.byte	0x6b
	.byte	0x2e
	.byte	0xa
	.byte	0
	.uleb128 0x39
	.long	.LASF167
	.long	.LASF169
	.byte	0x10
	.byte	0
	.long	.LASF167
	.uleb128 0x3c
	.long	.LASF171
	.long	.LASF171
	.byte	0x3
	.byte	0x57
	.uleb128 0x3b
	.uleb128 0x9
	.byte	0x9e
	.uleb128 0x7
	.byte	0xa
	.byte	0x9
	.byte	0x7d
	.byte	0x3b
	.byte	0xa
	.byte	0xa
	.byte	0
	.uleb128 0x3b
	.uleb128 0xd
	.byte	0x9e
	.uleb128 0xb
	.byte	0x9
	.byte	0x44
	.byte	0x48
	.byte	0x20
	.byte	0x2a
	.byte	0x64
	.byte	0x68
	.byte	0x3b
	.byte	0xa
	.byte	0xa
	.byte	0
	.uleb128 0x3b
	.uleb128 0x2f
	.byte	0x9e
	.uleb128 0x2d
	.byte	0x9
	.byte	0x69
	.byte	0x66
	.byte	0x20
	.byte	0x28
	.byte	0x28
	.byte	0x64
	.byte	0x68
	.byte	0x20
	.byte	0x3d
	.byte	0x20
	.byte	0x44
	.byte	0x48
	.byte	0x5f
	.byte	0x6e
	.byte	0x65
	.byte	0x77
	.byte	0x28
	.byte	0x29
	.byte	0x29
	.byte	0x20
	.byte	0x3d
	.byte	0x3d
	.byte	0x20
	.byte	0x4e
	.byte	0x55
	.byte	0x4c
	.byte	0x4c
	.byte	0x29
	.byte	0x20
	.byte	0x72
	.byte	0x65
	.byte	0x74
	.byte	0x75
	.byte	0x72
	.byte	0x6e
	.byte	0x28
	.byte	0x4e
	.byte	0x55
	.byte	0x4c
	.byte	0x4c
	.byte	0x29
	.byte	0x3b
	.byte	0xa
	.byte	0
	.uleb128 0x3b
	.uleb128 0x2c
	.byte	0x9e
	.uleb128 0x2a
	.byte	0x9
	.byte	0x69
	.byte	0x66
	.byte	0x20
	.byte	0x28
	.byte	0x28
	.byte	0x64
	.byte	0x68
	.byte	0x2d
	.byte	0x3e
	.byte	0x70
	.byte	0x20
	.byte	0x3d
	.byte	0x3d
	.byte	0x20
	.byte	0x4e
	.byte	0x55
	.byte	0x4c
	.byte	0x4c
	.byte	0x29
	.byte	0x20
	.byte	0x7c
	.byte	0x7c
	.byte	0x20
	.byte	0x28
	.byte	0x64
	.byte	0x68
	.byte	0x2d
	.byte	0x3e
	.byte	0x67
	.byte	0x20
	.byte	0x3d
	.byte	0x3d
	.byte	0x20
	.byte	0x4e
	.byte	0x55
	.byte	0x4c
	.byte	0x4c
	.byte	0x29
	.byte	0x29
	.byte	0xa
	.byte	0
	.uleb128 0x3b
	.uleb128 0x13
	.byte	0x9e
	.uleb128 0x11
	.byte	0x9
	.byte	0x9
	.byte	0x72
	.byte	0x65
	.byte	0x74
	.byte	0x75
	.byte	0x72
	.byte	0x6e
	.byte	0x28
	.byte	0x4e
	.byte	0x55
	.byte	0x4c
	.byte	0x4c
	.byte	0x29
	.byte	0x3b
	.byte	0xa
	.byte	0
	.uleb128 0x3b
	.uleb128 0x13
	.byte	0x9e
	.uleb128 0x11
	.byte	0x9
	.byte	0x72
	.byte	0x65
	.byte	0x74
	.byte	0x75
	.byte	0x72
	.byte	0x6e
	.byte	0x28
	.byte	0x64
	.byte	0x68
	.byte	0x29
	.byte	0x3b
	.byte	0xa
	.byte	0x9
	.byte	0x7d
	.byte	0xa
	.byte	0
	.uleb128 0x3a
	.long	.LASF172
	.long	.LASF172
	.byte	0xa
	.value	0x169
	.uleb128 0x3a
	.long	.LASF173
	.long	.LASF173
	.byte	0x11
	.value	0x1d2
	.uleb128 0x3a
	.long	.LASF174
	.long	.LASF174
	.byte	0xa
	.value	0x171
	.uleb128 0x3a
	.long	.LASF175
	.long	.LASF175
	.byte	0x11
	.value	0x1e3
	.uleb128 0x3a
	.long	.LASF176
	.long	.LASF176
	.byte	0x6
	.value	0x34e
	.uleb128 0x3b
	.uleb128 0x18
	.byte	0x9e
	.uleb128 0x16
	.byte	0x70
	.byte	0x20
	.byte	0x76
	.byte	0x61
	.byte	0x6c
	.byte	0x75
	.byte	0x65
	.byte	0x20
	.byte	0x69
	.byte	0x73
	.byte	0x20
	.byte	0x6e
	.byte	0x6f
	.byte	0x74
	.byte	0x20
	.byte	0x70
	.byte	0x72
	.byte	0x69
	.byte	0x6d
	.byte	0x65
	.byte	0xa
	.byte	0
	.uleb128 0x3b
	.uleb128 0x22
	.byte	0x9e
	.uleb128 0x20
	.byte	0x74
	.byte	0x68
	.byte	0x65
	.byte	0x20
	.byte	0x67
	.byte	0x20
	.byte	0x76
	.byte	0x61
	.byte	0x6c
	.byte	0x75
	.byte	0x65
	.byte	0x20
	.byte	0x69
	.byte	0x73
	.byte	0x20
	.byte	0x6e
	.byte	0x6f
	.byte	0x74
	.byte	0x20
	.byte	0x61
	.byte	0x20
	.byte	0x67
	.byte	0x65
	.byte	0x6e
	.byte	0x65
	.byte	0x72
	.byte	0x61
	.byte	0x74
	.byte	0x6f
	.byte	0x72
	.byte	0xa
	.byte	0
	.uleb128 0x3b
	.uleb128 0x27
	.byte	0x9e
	.uleb128 0x25
	.byte	0x75
	.byte	0x6e
	.byte	0x61
	.byte	0x62
	.byte	0x6c
	.byte	0x65
	.byte	0x20
	.byte	0x74
	.byte	0x6f
	.byte	0x20
	.byte	0x63
	.byte	0x68
	.byte	0x65
	.byte	0x63
	.byte	0x6b
	.byte	0x20
	.byte	0x74
	.byte	0x68
	.byte	0x65
	.byte	0x20
	.byte	0x67
	.byte	0x65
	.byte	0x6e
	.byte	0x65
	.byte	0x72
	.byte	0x61
	.byte	0x74
	.byte	0x6f
	.byte	0x72
	.byte	0x20
	.byte	0x76
	.byte	0x61
	.byte	0x6c
	.byte	0x75
	.byte	0x65
	.byte	0xa
	.byte	0
	.uleb128 0x3b
	.uleb128 0x1f
	.byte	0x9e
	.uleb128 0x1d
	.byte	0x70
	.byte	0x20
	.byte	0x76
	.byte	0x61
	.byte	0x6c
	.byte	0x75
	.byte	0x65
	.byte	0x20
	.byte	0x69
	.byte	0x73
	.byte	0x20
	.byte	0x6e
	.byte	0x6f
	.byte	0x74
	.byte	0x20
	.byte	0x61
	.byte	0x20
	.byte	0x73
	.byte	0x61
	.byte	0x66
	.byte	0x65
	.byte	0x20
	.byte	0x70
	.byte	0x72
	.byte	0x69
	.byte	0x6d
	.byte	0x65
	.byte	0xa
	.byte	0
	.uleb128 0x3a
	.long	.LASF177
	.long	.LASF177
	.byte	0xf
	.value	0x13b
	.uleb128 0x3a
	.long	.LASF178
	.long	.LASF178
	.byte	0xd
	.value	0x241
	.uleb128 0x3c
	.long	.LASF179
	.long	.LASF179
	.byte	0xf
	.byte	0xb4
	.uleb128 0x3a
	.long	.LASF180
	.long	.LASF180
	.byte	0xd
	.value	0x23b
	.uleb128 0x3a
	.long	.LASF181
	.long	.LASF181
	.byte	0xd
	.value	0x23f
	.uleb128 0x3a
	.long	.LASF182
	.long	.LASF182
	.byte	0xd
	.value	0x24b
	.uleb128 0x3a
	.long	.LASF183
	.long	.LASF183
	.byte	0xd
	.value	0x2aa
	.uleb128 0x3a
	.long	.LASF184
	.long	.LASF184
	.byte	0xd
	.value	0x252
	.uleb128 0x3c
	.long	.LASF185
	.long	.LASF185
	.byte	0xb
	.byte	0xc0
	.uleb128 0x3a
	.long	.LASF186
	.long	.LASF186
	.byte	0x12
	.value	0x154
	.uleb128 0x3a
	.long	.LASF187
	.long	.LASF187
	.byte	0x13
	.value	0x1de
	.uleb128 0x3a
	.long	.LASF188
	.long	.LASF188
	.byte	0xe
	.value	0x3c1
	.uleb128 0x3c
	.long	.LASF189
	.long	.LASF189
	.byte	0xb
	.byte	0xd1
	.uleb128 0x3c
	.long	.LASF190
	.long	.LASF190
	.byte	0xb
	.byte	0xd9
	.uleb128 0x3a
	.long	.LASF191
	.long	.LASF191
	.byte	0x13
	.value	0x1de
	.uleb128 0x3a
	.long	.LASF192
	.long	.LASF192
	.byte	0xe
	.value	0x3ca
	.uleb128 0x3d
	.long	.LASF199
	.long	.LASF199
	.byte	0
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x10
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0
	.byte	0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x7
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x8
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x9
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xa
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xb
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xc
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xd
	.uleb128 0x26
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xe
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xf
	.uleb128 0x5
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x10
	.uleb128 0x26
	.byte	0
	.byte	0
	.byte	0
	.uleb128 0x11
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x12
	.uleb128 0x13
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x13
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x14
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x15
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x16
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x17
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x18
	.uleb128 0x17
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x19
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1a
	.uleb128 0x15
	.byte	0
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1b
	.uleb128 0x4
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1c
	.uleb128 0x28
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1c
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x1d
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1e
	.uleb128 0x13
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1f
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x20
	.uleb128 0xb
	.uleb128 0x34
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x20
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x21
	.uleb128 0x18
	.byte	0
	.byte	0
	.byte	0
	.uleb128 0x22
	.uleb128 0x37
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x23
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x20
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x24
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x2117
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x25
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x26
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x27
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x28
	.uleb128 0xa
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.byte	0
	.byte	0
	.uleb128 0x29
	.uleb128 0x1d
	.byte	0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x52
	.uleb128 0x1
	.uleb128 0x55
	.uleb128 0x17
	.uleb128 0x58
	.uleb128 0xb
	.uleb128 0x59
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x2a
	.uleb128 0x5
	.byte	0
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x1c
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x2b
	.uleb128 0x5
	.byte	0
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x2c
	.uleb128 0x5
	.byte	0
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x2d
	.uleb128 0x5
	.byte	0
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x2e
	.uleb128 0x4109
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x2f
	.uleb128 0x410a
	.byte	0
	.uleb128 0x2
	.uleb128 0x18
	.uleb128 0x2111
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x30
	.uleb128 0x1d
	.byte	0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x58
	.uleb128 0xb
	.uleb128 0x59
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x31
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x55
	.uleb128 0x17
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x32
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x33
	.uleb128 0x1d
	.byte	0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x52
	.uleb128 0x1
	.uleb128 0x55
	.uleb128 0x17
	.uleb128 0x58
	.uleb128 0xb
	.uleb128 0x59
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x34
	.uleb128 0x1d
	.byte	0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x58
	.uleb128 0xb
	.uleb128 0x59
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x35
	.uleb128 0x4109
	.byte	0
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x36
	.uleb128 0x4109
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x37
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x38
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x39
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x6e
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x3a
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.byte	0
	.byte	0
	.uleb128 0x3b
	.uleb128 0x36
	.byte	0
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x3c
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x3d
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.byte	0
	.section	.debug_loc,"",@progbits
.Ldebug_loc0:
.LLST0:
	.quad	.LVL0-.Ltext0
	.quad	.LVL1-.Ltext0
	.value	0x1
	.byte	0x55
	.quad	.LVL1-.Ltext0
	.quad	.LVL3-1-.Ltext0
	.value	0x1
	.byte	0x59
	.quad	.LVL3-1-.Ltext0
	.quad	.LFE71-.Ltext0
	.value	0x4
	.byte	0xf3
	.uleb128 0x1
	.byte	0x55
	.byte	0x9f
	.quad	0
	.quad	0
.LLST1:
	.quad	.LVL0-.Ltext0
	.quad	.LVL3-1-.Ltext0
	.value	0x1
	.byte	0x54
	.quad	.LVL3-1-.Ltext0
	.quad	.LFE71-.Ltext0
	.value	0x4
	.byte	0xf3
	.uleb128 0x1
	.byte	0x54
	.byte	0x9f
	.quad	0
	.quad	0
.LLST2:
	.quad	.LVL2-.Ltext0
	.quad	.LVL7-.Ltext0
	.value	0x2
	.byte	0x30
	.byte	0x9f
	.quad	.LVL8-.Ltext0
	.quad	.LVL18-.Ltext0
	.value	0x2
	.byte	0x30
	.byte	0x9f
	.quad	.LVL18-.Ltext0
	.quad	.LVL22-.Ltext0
	.value	0x1
	.byte	0x5c
	.quad	.LVL22-.Ltext0
	.quad	.LVL29-.Ltext0
	.value	0x2
	.byte	0x30
	.byte	0x9f
	.quad	.LVL29-.Ltext0
	.quad	.LVL30-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL30-.Ltext0
	.quad	.LVL32-.Ltext0
	.value	0x1
	.byte	0x5c
	.quad	.LVL32-.Ltext0
	.quad	.LVL37-.Ltext0
	.value	0x2
	.byte	0x30
	.byte	0x9f
	.quad	.LVL37-.Ltext0
	.quad	.LVL38-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL38-.Ltext0
	.quad	.LVL40-.Ltext0
	.value	0x2
	.byte	0x30
	.byte	0x9f
	.quad	.LVL40-.Ltext0
	.quad	.LVL44-.Ltext0
	.value	0x1
	.byte	0x5c
	.quad	.LVL44-.Ltext0
	.quad	.LVL45-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL45-1-.Ltext0
	.quad	.LVL88-.Ltext0
	.value	0x1
	.byte	0x5c
	.quad	.LVL88-.Ltext0
	.quad	.LVL89-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL89-.Ltext0
	.quad	.LVL104-.Ltext0
	.value	0x1
	.byte	0x5c
	.quad	0
	.quad	0
.LLST3:
	.quad	.LVL2-.Ltext0
	.quad	.LVL7-.Ltext0
	.value	0x2
	.byte	0x30
	.byte	0x9f
	.quad	.LVL8-.Ltext0
	.quad	.LVL12-.Ltext0
	.value	0x2
	.byte	0x30
	.byte	0x9f
	.quad	.LVL12-.Ltext0
	.quad	.LVL13-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL13-1-.Ltext0
	.quad	.LVL19-.Ltext0
	.value	0x1
	.byte	0x53
	.quad	.LVL22-.Ltext0
	.quad	.LVL25-.Ltext0
	.value	0x1
	.byte	0x53
	.quad	.LVL27-.Ltext0
	.quad	.LVL104-.Ltext0
	.value	0x1
	.byte	0x53
	.quad	0
	.quad	0
.LLST4:
	.quad	.LVL2-.Ltext0
	.quad	.LVL7-.Ltext0
	.value	0x2
	.byte	0x30
	.byte	0x9f
	.quad	.LVL8-.Ltext0
	.quad	.LVL15-.Ltext0
	.value	0x2
	.byte	0x30
	.byte	0x9f
	.quad	.LVL15-.Ltext0
	.quad	.LVL16-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL16-1-.Ltext0
	.quad	.LVL22-.Ltext0
	.value	0x1
	.byte	0x56
	.quad	.LVL22-.Ltext0
	.quad	.LVL23-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL23-1-.Ltext0
	.quad	.LVL32-.Ltext0
	.value	0x1
	.byte	0x56
	.quad	.LVL32-.Ltext0
	.quad	.LVL33-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL33-1-.Ltext0
	.quad	.LVL104-.Ltext0
	.value	0x1
	.byte	0x56
	.quad	0
	.quad	0
.LLST5:
	.quad	.LVL2-.Ltext0
	.quad	.LVL7-.Ltext0
	.value	0x2
	.byte	0x31
	.byte	0x9f
	.quad	.LVL8-.Ltext0
	.quad	.LVL18-.Ltext0
	.value	0x2
	.byte	0x31
	.byte	0x9f
	.quad	.LVL18-.Ltext0
	.quad	.LVL22-.Ltext0
	.value	0x1
	.byte	0x5d
	.quad	.LVL22-.Ltext0
	.quad	.LVL104-.Ltext0
	.value	0x2
	.byte	0x31
	.byte	0x9f
	.quad	0
	.quad	0
.LLST6:
	.quad	.LVL4-.Ltext0
	.quad	.LVL7-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC0
	.byte	0x9f
	.quad	0
	.quad	0
.LLST7:
	.quad	.LVL42-.Ltext0
	.quad	.LVL44-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6161
	.sleb128 0
	.quad	0
	.quad	0
.LLST8:
	.quad	.LVL51-.Ltext0
	.quad	.LVL52-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL52-1-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0x1
	.byte	0x5d
	.quad	.LVL102-.Ltext0
	.quad	.LVL103-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	0
	.quad	0
.LLST9:
	.quad	.LVL47-.Ltext0
	.quad	.LVL48-1-.Ltext0
	.value	0x5
	.byte	0x70
	.sleb128 7
	.byte	0x38
	.byte	0x1b
	.byte	0x9f
	.quad	.LVL48-1-.Ltext0
	.quad	.LVL51-.Ltext0
	.value	0x5
	.byte	0x7d
	.sleb128 7
	.byte	0x38
	.byte	0x1b
	.byte	0x9f
	.quad	0
	.quad	0
.LLST10:
	.quad	.LVL53-.Ltext0
	.quad	.LVL54-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL54-.Ltext0
	.quad	.LVL64-.Ltext0
	.value	0x1
	.byte	0x5e
	.quad	.LVL64-.Ltext0
	.quad	.LVL65-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL65-.Ltext0
	.quad	.LVL74-.Ltext0
	.value	0x1
	.byte	0x5e
	.quad	0
	.quad	0
.LLST11:
	.quad	.LVL49-.Ltext0
	.quad	.LVL50-1-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL50-1-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0x3
	.byte	0x91
	.sleb128 -84
	.quad	.LVL102-.Ltext0
	.quad	.LVL104-.Ltext0
	.value	0x3
	.byte	0x91
	.sleb128 -84
	.quad	0
	.quad	0
.LLST12:
	.quad	.LVL53-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC9
	.byte	0x9f
	.quad	0
	.quad	0
.LLST13:
	.quad	.LVL56-.Ltext0
	.quad	.LVL58-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC13
	.byte	0x9f
	.quad	0
	.quad	0
.LLST14:
	.quad	.LVL59-.Ltext0
	.quad	.LVL61-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC12
	.byte	0x9f
	.quad	0
	.quad	0
.LLST15:
	.quad	.LVL61-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC14
	.byte	0x9f
	.quad	0
	.quad	0
.LLST16:
	.quad	.LVL64-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC11
	.byte	0x9f
	.quad	0
	.quad	0
.LLST17:
	.quad	.LVL67-.Ltext0
	.quad	.LVL69-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC13
	.byte	0x9f
	.quad	0
	.quad	0
.LLST18:
	.quad	.LVL70-.Ltext0
	.quad	.LVL72-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC12
	.byte	0x9f
	.quad	0
	.quad	0
.LLST19:
	.quad	.LVL72-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6223
	.sleb128 0
	.quad	0
	.quad	0
.LLST20:
	.quad	.LVL73-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC15
	.byte	0x9f
	.quad	0
	.quad	0
.LLST21:
	.quad	.LVL75-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6234
	.sleb128 0
	.quad	0
	.quad	0
.LLST22:
	.quad	.LVL76-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6249
	.sleb128 0
	.quad	0
	.quad	0
.LLST23:
	.quad	.LVL77-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC18
	.byte	0x9f
	.quad	0
	.quad	0
.LLST24:
	.quad	.LVL78-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0xa
	.byte	0x3
	.quad	.LC19
	.byte	0x9f
	.quad	0
	.quad	0
.LLST25:
	.quad	.LVL79-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6298
	.sleb128 0
	.quad	0
	.quad	0
.LLST26:
	.quad	.LVL80-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6344
	.sleb128 0
	.quad	0
	.quad	0
.LLST27:
	.quad	.LVL81-.Ltext0
	.quad	.LVL84-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6365
	.sleb128 0
	.quad	0
	.quad	0
.LLST28:
	.quad	.LVL92-.Ltext0
	.quad	.LVL94-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6446
	.sleb128 0
	.quad	0
	.quad	0
.LLST29:
	.quad	.LVL96-.Ltext0
	.quad	.LVL98-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6472
	.sleb128 0
	.quad	0
	.quad	0
.LLST30:
	.quad	.LVL98-.Ltext0
	.quad	.LVL100-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6508
	.sleb128 0
	.quad	0
	.quad	0
.LLST31:
	.quad	.LVL100-.Ltext0
	.quad	.LVL102-.Ltext0
	.value	0x6
	.byte	0xf2
	.long	.Ldebug_info0+6549
	.sleb128 0
	.quad	0
	.quad	0
	.section	.debug_aranges,"",@progbits
	.long	0x2c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x8
	.byte	0
	.value	0
	.value	0
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.quad	0
	.quad	0
	.section	.debug_ranges,"",@progbits
.Ldebug_ranges0:
	.quad	.LBB98-.Ltext0
	.quad	.LBE98-.Ltext0
	.quad	.LBB102-.Ltext0
	.quad	.LBE102-.Ltext0
	.quad	.LBB103-.Ltext0
	.quad	.LBE103-.Ltext0
	.quad	0
	.quad	0
	.quad	.LBB104-.Ltext0
	.quad	.LBE104-.Ltext0
	.quad	.LBB111-.Ltext0
	.quad	.LBE111-.Ltext0
	.quad	0
	.quad	0
	.quad	.LBB106-.Ltext0
	.quad	.LBE106-.Ltext0
	.quad	.LBB109-.Ltext0
	.quad	.LBE109-.Ltext0
	.quad	0
	.quad	0
	.quad	.LBB114-.Ltext0
	.quad	.LBE114-.Ltext0
	.quad	.LBB159-.Ltext0
	.quad	.LBE159-.Ltext0
	.quad	.LBB160-.Ltext0
	.quad	.LBE160-.Ltext0
	.quad	0
	.quad	0
	.quad	.LBB115-.Ltext0
	.quad	.LBE115-.Ltext0
	.quad	.LBB118-.Ltext0
	.quad	.LBE118-.Ltext0
	.quad	0
	.quad	0
	.quad	.LBB125-.Ltext0
	.quad	.LBE125-.Ltext0
	.quad	.LBB128-.Ltext0
	.quad	.LBE128-.Ltext0
	.quad	0
	.quad	0
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.section	.debug_str,"MS",@progbits,1
.LASF8:
	.string	"__off_t"
.LASF126:
	.string	"OPTION_DISCARD"
.LASF124:
	.string	"OPTION_ARG_INT"
.LASF173:
	.string	"malloc"
.LASF26:
	.string	"_chain"
.LASF131:
	.string	"OPTION_VALUE_AND"
.LASF7:
	.string	"size_t"
.LASF161:
	.string	"dh_options"
.LASF64:
	.string	"dh_st"
.LASF147:
	.string	"outformat"
.LASF32:
	.string	"_shortbuf"
.LASF190:
	.string	"DHparams_print"
.LASF109:
	.string	"bputs"
.LASF71:
	.string	"seedlen"
.LASF106:
	.string	"type"
.LASF53:
	.string	"comp"
.LASF16:
	.string	"_IO_read_base"
.LASF130:
	.string	"OPTION_VALUE"
.LASF20:
	.string	"_IO_buf_base"
.LASF156:
	.string	"printf"
.LASF48:
	.string	"long long unsigned int"
.LASF137:
	.string	"lvalue"
.LASF23:
	.string	"_IO_backup_base"
.LASF87:
	.string	"ENGINE"
.LASF185:
	.string	"DH_free"
.LASF165:
	.string	"bio_err"
.LASF192:
	.string	"ASN1_i2d_bio"
.LASF107:
	.string	"bwrite"
.LASF47:
	.string	"long long int"
.LASF4:
	.string	"signed char"
.LASF168:
	.string	"__builtin_fwrite"
.LASF174:
	.string	"BN_bn2bin"
.LASF59:
	.string	"BN_CTX"
.LASF31:
	.string	"_vtable_offset"
.LASF27:
	.string	"_fileno"
.LASF104:
	.string	"bio_info_cb"
.LASF15:
	.string	"_IO_read_end"
.LASF61:
	.string	"bn_mont_ctx_st"
.LASF6:
	.string	"long int"
.LASF142:
	.string	"check"
.LASF143:
	.string	"infile"
.LASF169:
	.string	"__builtin_puts"
.LASF30:
	.string	"_cur_column"
.LASF63:
	.string	"bn_gencb_st"
.LASF195:
	.string	"/home/zack/projects/lssl/libressl-2.2.3-memclob/apps"
.LASF5:
	.string	"short int"
.LASF170:
	.string	"options_usage"
.LASF120:
	.string	"OPTION_ARG"
.LASF56:
	.string	"bignum_st"
.LASF189:
	.string	"DH_check"
.LASF94:
	.string	"callback"
.LASF34:
	.string	"_offset"
.LASF57:
	.string	"dmax"
.LASF144:
	.string	"informat"
.LASF78:
	.string	"dh_method"
.LASF98:
	.string	"next_bio"
.LASF101:
	.string	"num_write"
.LASF138:
	.string	"value"
.LASF184:
	.string	"BIO_free_all"
.LASF43:
	.string	"_IO_marker"
.LASF162:
	.string	"stdin"
.LASF67:
	.string	"pub_key"
.LASF3:
	.string	"unsigned int"
.LASF91:
	.string	"crypto_ex_data_st"
.LASF95:
	.string	"cb_arg"
.LASF90:
	.string	"CRYPTO_EX_DATA"
.LASF70:
	.string	"seed"
.LASF80:
	.string	"generate_key"
.LASF149:
	.string	"__stream"
.LASF0:
	.string	"long unsigned int"
.LASF133:
	.string	"argfunc"
.LASF102:
	.string	"stack_st_void"
.LASF60:
	.string	"BN_MONT_CTX"
.LASF93:
	.string	"method"
.LASF92:
	.string	"bio_st"
.LASF121:
	.string	"OPTION_ARGV_FUNC"
.LASF52:
	.string	"num_alloc"
.LASF79:
	.string	"name"
.LASF50:
	.string	"data"
.LASF2:
	.string	"short unsigned int"
.LASF62:
	.string	"BN_GENCB"
.LASF42:
	.string	"_IO_FILE"
.LASF22:
	.string	"_IO_save_base"
.LASF86:
	.string	"generate_params"
.LASF116:
	.string	"cb_1"
.LASF88:
	.string	"bignum_ctx"
.LASF33:
	.string	"_lock"
.LASF84:
	.string	"finish"
.LASF40:
	.string	"_mode"
.LASF69:
	.string	"method_mont_p"
.LASF163:
	.string	"stdout"
.LASF105:
	.string	"bio_method_st"
.LASF122:
	.string	"OPTION_ARG_FORMAT"
.LASF180:
	.string	"BIO_s_file"
.LASF125:
	.string	"OPTION_ARG_LONG"
.LASF114:
	.string	"callback_ctrl"
.LASF176:
	.string	"perror"
.LASF167:
	.string	"puts"
.LASF100:
	.string	"num_read"
.LASF65:
	.string	"version"
.LASF10:
	.string	"sizetype"
.LASF160:
	.string	"dh_config"
.LASF113:
	.string	"destroy"
.LASF141:
	.string	"desc"
.LASF14:
	.string	"_IO_read_ptr"
.LASF172:
	.string	"BN_num_bits"
.LASF196:
	.string	"_IO_lock_t"
.LASF127:
	.string	"OPTION_FUNC"
.LASF183:
	.string	"BIO_printf"
.LASF76:
	.string	"engine"
.LASF177:
	.string	"options_parse"
.LASF191:
	.string	"PEM_write_bio_DHparams"
.LASF68:
	.string	"priv_key"
.LASF83:
	.string	"init"
.LASF128:
	.string	"OPTION_FLAG"
.LASF193:
	.string	"GNU C99 5.2.1 20150903 -mtune=generic -march=x86-64 -g -O2 -std=gnu99 -fno-strict-aliasing -fno-strict-overflow -fstack-protector-strong"
.LASF81:
	.string	"compute_key"
.LASF46:
	.string	"_pos"
.LASF29:
	.string	"_old_offset"
.LASF25:
	.string	"_markers"
.LASF73:
	.string	"references"
.LASF132:
	.string	"OPTION_VALUE_OR"
.LASF159:
	.string	"bits"
.LASF171:
	.string	"__printf_chk"
.LASF1:
	.string	"unsigned char"
.LASF21:
	.string	"_IO_buf_end"
.LASF97:
	.string	"retry_reason"
.LASF85:
	.string	"app_data"
.LASF72:
	.string	"counter"
.LASF139:
	.string	"option"
.LASF181:
	.string	"BIO_new"
.LASF155:
	.string	"__len"
.LASF75:
	.string	"meth"
.LASF135:
	.string	"flag"
.LASF74:
	.string	"ex_data"
.LASF96:
	.string	"shutdown"
.LASF118:
	.string	"d2i_of_void"
.LASF199:
	.string	"__stack_chk_fail"
.LASF51:
	.string	"sorted"
.LASF146:
	.string	"outfile"
.LASF89:
	.string	"engine_st"
.LASF154:
	.string	"__ch"
.LASF151:
	.string	"fprintf"
.LASF179:
	.string	"setup_engine"
.LASF11:
	.string	"char"
.LASF136:
	.string	"func"
.LASF148:
	.string	"text"
.LASF55:
	.string	"BIGNUM"
.LASF157:
	.string	"argc"
.LASF182:
	.string	"BIO_ctrl"
.LASF44:
	.string	"_next"
.LASF187:
	.string	"PEM_read_bio_DHparams"
.LASF9:
	.string	"__off64_t"
.LASF119:
	.string	"i2d_of_void"
.LASF111:
	.string	"ctrl"
.LASF24:
	.string	"_IO_save_end"
.LASF175:
	.string	"free"
.LASF150:
	.string	"__fmt"
.LASF77:
	.string	"DH_METHOD"
.LASF134:
	.string	"argvfunc"
.LASF66:
	.string	"length"
.LASF35:
	.string	"__pad1"
.LASF36:
	.string	"__pad2"
.LASF37:
	.string	"__pad3"
.LASF38:
	.string	"__pad4"
.LASF39:
	.string	"__pad5"
.LASF178:
	.string	"BIO_free"
.LASF19:
	.string	"_IO_write_end"
.LASF49:
	.string	"stack_st"
.LASF41:
	.string	"_unused2"
.LASF164:
	.string	"stderr"
.LASF153:
	.string	"__dest"
.LASF152:
	.string	"memset"
.LASF166:
	.string	"fwrite"
.LASF129:
	.string	"OPTION_FLAG_ORD"
.LASF54:
	.string	"_STACK"
.LASF13:
	.string	"_flags"
.LASF28:
	.string	"_flags2"
.LASF108:
	.string	"bread"
.LASF194:
	.string	"dh.c"
.LASF58:
	.string	"flags"
.LASF115:
	.string	"BIO_METHOD"
.LASF99:
	.string	"prev_bio"
.LASF145:
	.string	"noout"
.LASF82:
	.string	"bn_mod_exp"
.LASF186:
	.string	"ERR_print_errors"
.LASF110:
	.string	"bgets"
.LASF117:
	.string	"cb_2"
.LASF123:
	.string	"OPTION_ARG_FUNC"
.LASF12:
	.string	"FILE"
.LASF198:
	.string	"dh_main"
.LASF188:
	.string	"ASN1_d2i_bio"
.LASF103:
	.string	"stack"
.LASF140:
	.string	"argname"
.LASF158:
	.string	"argv"
.LASF17:
	.string	"_IO_write_base"
.LASF197:
	.string	"dh_usage"
.LASF18:
	.string	"_IO_write_ptr"
.LASF45:
	.string	"_sbuf"
.LASF112:
	.string	"create"
	.ident	"GCC: (Debian 5.2.1-16) 5.2.1 20150903"
	.section	.note.GNU-stack,"",@progbits
