	.file	"conf_sap.c"
	.text
.Ltext0:
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	"Auto configuration failed\n"
	.section	.text.unlikely,"ax",@progbits
.LCOLDB1:
	.text
.LHOTB1:
	.p2align 4,,15
	.section	.text.unlikely
.Ltext_cold0:
	.text
	.globl	OPENSSL_config
	.type	OPENSSL_config, @function
OPENSSL_config:
.LFB70:
	.file 1 "conf/conf_sap.c"
	.loc 1 82 0
	.cfi_startproc
.LVL0:
	.loc 1 83 0
	movl	openssl_configured(%rip), %eax
	testl	%eax, %eax
	je	.L11
	.loc 1 107 0
	ret
	.p2align 4,,10
	.p2align 3
.L11:
	.loc 1 82 0
	pushq	%rbx
	.cfi_def_cfa_offset 16
	.cfi_offset 3, -16
	movq	%rdi, %rbx
	.loc 1 86 0
	call	OPENSSL_load_builtin_modules
.LVL1:
	.loc 1 89 0
	call	ENGINE_load_builtin_engines
.LVL2:
	.loc 1 93 0
	call	ERR_clear_error
.LVL3:
	.loc 1 94 0
	xorl	%edi, %edi
	movl	$48, %edx
	movq	%rbx, %rsi
	call	CONF_modules_load_file
.LVL4:
	testl	%eax, %eax
	jle	.L12
	.loc 1 107 0
	popq	%rbx
	.cfi_remember_state
	.cfi_restore 3
	.cfi_def_cfa_offset 8
.LVL5:
	ret
.LVL6:
.L12:
	.cfi_restore_state
.LBB2:
	.loc 1 97 0
	call	ERR_load_crypto_strings
.LVL7:
	.loc 1 98 0
	movq	stderr(%rip), %rdi
	xorl	%esi, %esi
	call	BIO_new_fp
.LVL8:
	testq	%rax, %rax
	movq	%rax, %rbx
.LVL9:
	je	.L3
	.loc 1 99 0
	movq	%rax, %rdi
	movl	$.LC0, %esi
	xorl	%eax, %eax
.LVL10:
	call	BIO_printf
.LVL11:
	.loc 1 100 0
	movq	%rbx, %rdi
	call	ERR_print_errors
.LVL12:
	.loc 1 101 0
	movq	%rbx, %rdi
	call	BIO_free
.LVL13:
.L3:
	.loc 1 103 0
	movl	$1, %edi
	call	exit
.LVL14:
.LBE2:
	.cfi_endproc
.LFE70:
	.size	OPENSSL_config, .-OPENSSL_config
	.section	.text.unlikely
.LCOLDE1:
	.text
.LHOTE1:
	.section	.text.unlikely
.LCOLDB2:
	.text
.LHOTB2:
	.p2align 4,,15
	.globl	OPENSSL_no_config
	.type	OPENSSL_no_config, @function
OPENSSL_no_config:
.LFB71:
	.loc 1 111 0
	.cfi_startproc
	.loc 1 112 0
	movl	$1, openssl_configured(%rip)
	ret
	.cfi_endproc
.LFE71:
	.size	OPENSSL_no_config, .-OPENSSL_no_config
	.section	.text.unlikely
.LCOLDE2:
	.text
.LHOTE2:
	.local	openssl_configured
	.comm	openssl_configured,4,4
.Letext0:
	.section	.text.unlikely
.Letext_cold0:
	.file 2 "/usr/lib/gcc/x86_64-linux-gnu/5/include/stddef.h"
	.file 3 "/usr/include/x86_64-linux-gnu/bits/types.h"
	.file 4 "/usr/include/libio.h"
	.file 5 "../include/openssl/stack.h"
	.file 6 "../include/openssl/ossl_typ.h"
	.file 7 "../include/openssl/crypto.h"
	.file 8 "../include/openssl/bio.h"
	.file 9 "/usr/include/stdio.h"
	.file 10 "../include/openssl/err.h"
	.file 11 "/usr/include/stdlib.h"
	.file 12 "../include/openssl/conf.h"
	.file 13 "../include/openssl/engine.h"
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.long	0x7e4
	.value	0x4
	.long	.Ldebug_abbrev0
	.byte	0x8
	.uleb128 0x1
	.long	.LASF100
	.byte	0xc
	.long	.LASF101
	.long	.LASF102
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF7
	.byte	0x2
	.byte	0xd8
	.long	0x38
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.long	.LASF8
	.byte	0x3
	.byte	0x83
	.long	0x69
	.uleb128 0x2
	.long	.LASF9
	.byte	0x3
	.byte	0x84
	.long	0x69
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF10
	.uleb128 0x5
	.byte	0x8
	.uleb128 0x6
	.byte	0x8
	.long	0x95
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF11
	.uleb128 0x7
	.long	.LASF41
	.byte	0xd8
	.byte	0x4
	.byte	0xf5
	.long	0x21c
	.uleb128 0x8
	.long	.LASF12
	.byte	0x4
	.byte	0xf6
	.long	0x62
	.byte	0
	.uleb128 0x8
	.long	.LASF13
	.byte	0x4
	.byte	0xfb
	.long	0x8f
	.byte	0x8
	.uleb128 0x8
	.long	.LASF14
	.byte	0x4
	.byte	0xfc
	.long	0x8f
	.byte	0x10
	.uleb128 0x8
	.long	.LASF15
	.byte	0x4
	.byte	0xfd
	.long	0x8f
	.byte	0x18
	.uleb128 0x8
	.long	.LASF16
	.byte	0x4
	.byte	0xfe
	.long	0x8f
	.byte	0x20
	.uleb128 0x8
	.long	.LASF17
	.byte	0x4
	.byte	0xff
	.long	0x8f
	.byte	0x28
	.uleb128 0x9
	.long	.LASF18
	.byte	0x4
	.value	0x100
	.long	0x8f
	.byte	0x30
	.uleb128 0x9
	.long	.LASF19
	.byte	0x4
	.value	0x101
	.long	0x8f
	.byte	0x38
	.uleb128 0x9
	.long	.LASF20
	.byte	0x4
	.value	0x102
	.long	0x8f
	.byte	0x40
	.uleb128 0x9
	.long	.LASF21
	.byte	0x4
	.value	0x104
	.long	0x8f
	.byte	0x48
	.uleb128 0x9
	.long	.LASF22
	.byte	0x4
	.value	0x105
	.long	0x8f
	.byte	0x50
	.uleb128 0x9
	.long	.LASF23
	.byte	0x4
	.value	0x106
	.long	0x8f
	.byte	0x58
	.uleb128 0x9
	.long	.LASF24
	.byte	0x4
	.value	0x108
	.long	0x254
	.byte	0x60
	.uleb128 0x9
	.long	.LASF25
	.byte	0x4
	.value	0x10a
	.long	0x25a
	.byte	0x68
	.uleb128 0x9
	.long	.LASF26
	.byte	0x4
	.value	0x10c
	.long	0x62
	.byte	0x70
	.uleb128 0x9
	.long	.LASF27
	.byte	0x4
	.value	0x110
	.long	0x62
	.byte	0x74
	.uleb128 0x9
	.long	.LASF28
	.byte	0x4
	.value	0x112
	.long	0x70
	.byte	0x78
	.uleb128 0x9
	.long	.LASF29
	.byte	0x4
	.value	0x116
	.long	0x46
	.byte	0x80
	.uleb128 0x9
	.long	.LASF30
	.byte	0x4
	.value	0x117
	.long	0x54
	.byte	0x82
	.uleb128 0x9
	.long	.LASF31
	.byte	0x4
	.value	0x118
	.long	0x260
	.byte	0x83
	.uleb128 0x9
	.long	.LASF32
	.byte	0x4
	.value	0x11c
	.long	0x270
	.byte	0x88
	.uleb128 0x9
	.long	.LASF33
	.byte	0x4
	.value	0x125
	.long	0x7b
	.byte	0x90
	.uleb128 0x9
	.long	.LASF34
	.byte	0x4
	.value	0x12e
	.long	0x8d
	.byte	0x98
	.uleb128 0x9
	.long	.LASF35
	.byte	0x4
	.value	0x12f
	.long	0x8d
	.byte	0xa0
	.uleb128 0x9
	.long	.LASF36
	.byte	0x4
	.value	0x130
	.long	0x8d
	.byte	0xa8
	.uleb128 0x9
	.long	.LASF37
	.byte	0x4
	.value	0x131
	.long	0x8d
	.byte	0xb0
	.uleb128 0x9
	.long	.LASF38
	.byte	0x4
	.value	0x132
	.long	0x2d
	.byte	0xb8
	.uleb128 0x9
	.long	.LASF39
	.byte	0x4
	.value	0x134
	.long	0x62
	.byte	0xc0
	.uleb128 0x9
	.long	.LASF40
	.byte	0x4
	.value	0x136
	.long	0x276
	.byte	0xc4
	.byte	0
	.uleb128 0xa
	.long	.LASF103
	.byte	0x4
	.byte	0x9a
	.uleb128 0x7
	.long	.LASF42
	.byte	0x18
	.byte	0x4
	.byte	0xa0
	.long	0x254
	.uleb128 0x8
	.long	.LASF43
	.byte	0x4
	.byte	0xa1
	.long	0x254
	.byte	0
	.uleb128 0x8
	.long	.LASF44
	.byte	0x4
	.byte	0xa2
	.long	0x25a
	.byte	0x8
	.uleb128 0x8
	.long	.LASF45
	.byte	0x4
	.byte	0xa6
	.long	0x62
	.byte	0x10
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x223
	.uleb128 0x6
	.byte	0x8
	.long	0x9c
	.uleb128 0xb
	.long	0x95
	.long	0x270
	.uleb128 0xc
	.long	0x86
	.byte	0
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x21c
	.uleb128 0xb
	.long	0x95
	.long	0x286
	.uleb128 0xc
	.long	0x86
	.byte	0x13
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x28c
	.uleb128 0xd
	.long	0x95
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF46
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF47
	.uleb128 0x6
	.byte	0x8
	.long	0x2a5
	.uleb128 0xe
	.long	0x62
	.long	0x2b9
	.uleb128 0xf
	.long	0x2b9
	.uleb128 0xf
	.long	0x2b9
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x2bf
	.uleb128 0x10
	.uleb128 0x7
	.long	.LASF48
	.byte	0x20
	.byte	0x5
	.byte	0x42
	.long	0x309
	.uleb128 0x11
	.string	"num"
	.byte	0x5
	.byte	0x43
	.long	0x62
	.byte	0
	.uleb128 0x8
	.long	.LASF49
	.byte	0x5
	.byte	0x44
	.long	0x309
	.byte	0x8
	.uleb128 0x8
	.long	.LASF50
	.byte	0x5
	.byte	0x45
	.long	0x62
	.byte	0x10
	.uleb128 0x8
	.long	.LASF51
	.byte	0x5
	.byte	0x47
	.long	0x62
	.byte	0x14
	.uleb128 0x8
	.long	.LASF52
	.byte	0x5
	.byte	0x48
	.long	0x29f
	.byte	0x18
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x8f
	.uleb128 0x2
	.long	.LASF53
	.byte	0x5
	.byte	0x49
	.long	0x2c0
	.uleb128 0x2
	.long	.LASF54
	.byte	0x6
	.byte	0xc5
	.long	0x325
	.uleb128 0x12
	.long	.LASF55
	.byte	0x8
	.byte	0x7
	.value	0x103
	.long	0x33f
	.uleb128 0x13
	.string	"sk"
	.byte	0x7
	.value	0x104
	.long	0x42b
	.byte	0
	.byte	0
	.uleb128 0x12
	.long	.LASF56
	.byte	0x68
	.byte	0x8
	.value	0x119
	.long	0x410
	.uleb128 0x9
	.long	.LASF57
	.byte	0x8
	.value	0x11a
	.long	0x5ca
	.byte	0
	.uleb128 0x9
	.long	.LASF58
	.byte	0x8
	.value	0x11c
	.long	0x5f8
	.byte	0x8
	.uleb128 0x9
	.long	.LASF59
	.byte	0x8
	.value	0x11d
	.long	0x8f
	.byte	0x10
	.uleb128 0x9
	.long	.LASF60
	.byte	0x8
	.value	0x11f
	.long	0x62
	.byte	0x18
	.uleb128 0x9
	.long	.LASF61
	.byte	0x8
	.value	0x120
	.long	0x62
	.byte	0x1c
	.uleb128 0x9
	.long	.LASF62
	.byte	0x8
	.value	0x121
	.long	0x62
	.byte	0x20
	.uleb128 0x9
	.long	.LASF63
	.byte	0x8
	.value	0x122
	.long	0x62
	.byte	0x24
	.uleb128 0x13
	.string	"num"
	.byte	0x8
	.value	0x123
	.long	0x62
	.byte	0x28
	.uleb128 0x13
	.string	"ptr"
	.byte	0x8
	.value	0x124
	.long	0x8d
	.byte	0x30
	.uleb128 0x9
	.long	.LASF64
	.byte	0x8
	.value	0x125
	.long	0x46c
	.byte	0x38
	.uleb128 0x9
	.long	.LASF65
	.byte	0x8
	.value	0x126
	.long	0x46c
	.byte	0x40
	.uleb128 0x9
	.long	.LASF66
	.byte	0x8
	.value	0x127
	.long	0x62
	.byte	0x48
	.uleb128 0x9
	.long	.LASF67
	.byte	0x8
	.value	0x128
	.long	0x38
	.byte	0x50
	.uleb128 0x9
	.long	.LASF68
	.byte	0x8
	.value	0x129
	.long	0x38
	.byte	0x58
	.uleb128 0x9
	.long	.LASF69
	.byte	0x8
	.value	0x12b
	.long	0x31a
	.byte	0x60
	.byte	0
	.uleb128 0x12
	.long	.LASF70
	.byte	0x20
	.byte	0x7
	.value	0x106
	.long	0x42b
	.uleb128 0x9
	.long	.LASF71
	.byte	0x7
	.value	0x106
	.long	0x30f
	.byte	0
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x410
	.uleb128 0x14
	.string	"BIO"
	.byte	0x8
	.byte	0xca
	.long	0x33f
	.uleb128 0x15
	.long	.LASF72
	.byte	0x8
	.value	0x10a
	.long	0x448
	.uleb128 0x16
	.long	0x46c
	.uleb128 0xf
	.long	0x46c
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x286
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x69
	.uleb128 0xf
	.long	0x69
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x33f
	.uleb128 0x12
	.long	.LASF73
	.byte	0x50
	.byte	0x8
	.value	0x10c
	.long	0x502
	.uleb128 0x9
	.long	.LASF74
	.byte	0x8
	.value	0x10d
	.long	0x62
	.byte	0
	.uleb128 0x9
	.long	.LASF75
	.byte	0x8
	.value	0x10e
	.long	0x286
	.byte	0x8
	.uleb128 0x9
	.long	.LASF76
	.byte	0x8
	.value	0x10f
	.long	0x521
	.byte	0x10
	.uleb128 0x9
	.long	.LASF77
	.byte	0x8
	.value	0x110
	.long	0x540
	.byte	0x18
	.uleb128 0x9
	.long	.LASF78
	.byte	0x8
	.value	0x111
	.long	0x55a
	.byte	0x20
	.uleb128 0x9
	.long	.LASF79
	.byte	0x8
	.value	0x112
	.long	0x540
	.byte	0x28
	.uleb128 0x9
	.long	.LASF80
	.byte	0x8
	.value	0x113
	.long	0x57e
	.byte	0x30
	.uleb128 0x9
	.long	.LASF81
	.byte	0x8
	.value	0x114
	.long	0x593
	.byte	0x38
	.uleb128 0x9
	.long	.LASF82
	.byte	0x8
	.value	0x115
	.long	0x593
	.byte	0x40
	.uleb128 0x9
	.long	.LASF83
	.byte	0x8
	.value	0x116
	.long	0x5b8
	.byte	0x48
	.byte	0
	.uleb128 0xe
	.long	0x62
	.long	0x51b
	.uleb128 0xf
	.long	0x51b
	.uleb128 0xf
	.long	0x286
	.uleb128 0xf
	.long	0x62
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x431
	.uleb128 0x6
	.byte	0x8
	.long	0x502
	.uleb128 0xe
	.long	0x62
	.long	0x540
	.uleb128 0xf
	.long	0x51b
	.uleb128 0xf
	.long	0x8f
	.uleb128 0xf
	.long	0x62
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x527
	.uleb128 0xe
	.long	0x62
	.long	0x55a
	.uleb128 0xf
	.long	0x51b
	.uleb128 0xf
	.long	0x286
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x546
	.uleb128 0xe
	.long	0x69
	.long	0x57e
	.uleb128 0xf
	.long	0x51b
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x69
	.uleb128 0xf
	.long	0x8d
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x560
	.uleb128 0xe
	.long	0x62
	.long	0x593
	.uleb128 0xf
	.long	0x51b
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x584
	.uleb128 0xe
	.long	0x69
	.long	0x5b2
	.uleb128 0xf
	.long	0x51b
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x5b2
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x43c
	.uleb128 0x6
	.byte	0x8
	.long	0x599
	.uleb128 0x15
	.long	.LASF84
	.byte	0x8
	.value	0x117
	.long	0x472
	.uleb128 0x6
	.byte	0x8
	.long	0x5be
	.uleb128 0xe
	.long	0x69
	.long	0x5f8
	.uleb128 0xf
	.long	0x46c
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x286
	.uleb128 0xf
	.long	0x62
	.uleb128 0xf
	.long	0x69
	.uleb128 0xf
	.long	0x69
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x5d0
	.uleb128 0x17
	.long	.LASF104
	.byte	0x1
	.byte	0x51
	.quad	.LFB70
	.quad	.LFE70-.LFB70
	.uleb128 0x1
	.byte	0x9c
	.long	0x722
	.uleb128 0x18
	.long	.LASF105
	.byte	0x1
	.byte	0x51
	.long	0x286
	.long	.LLST0
	.uleb128 0x19
	.quad	.LBB2
	.quad	.LBE2-.LBB2
	.long	0x6db
	.uleb128 0x1a
	.long	.LASF85
	.byte	0x1
	.byte	0x60
	.long	0x51b
	.long	.LLST1
	.uleb128 0x1b
	.quad	.LVL7
	.long	0x771
	.uleb128 0x1c
	.quad	.LVL8
	.long	0x77d
	.long	0x672
	.uleb128 0x1d
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x1
	.byte	0x30
	.byte	0
	.uleb128 0x1c
	.quad	.LVL11
	.long	0x789
	.long	0x697
	.uleb128 0x1d
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.uleb128 0x1d
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	.LC0
	.byte	0
	.uleb128 0x1c
	.quad	.LVL12
	.long	0x795
	.long	0x6af
	.uleb128 0x1d
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.byte	0
	.uleb128 0x1c
	.quad	.LVL13
	.long	0x7a1
	.long	0x6c7
	.uleb128 0x1d
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.byte	0
	.uleb128 0x1e
	.quad	.LVL14
	.long	0x7ad
	.uleb128 0x1d
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x31
	.byte	0
	.byte	0
	.uleb128 0x1b
	.quad	.LVL1
	.long	0x7b9
	.uleb128 0x1b
	.quad	.LVL2
	.long	0x7c4
	.uleb128 0x1b
	.quad	.LVL3
	.long	0x7d0
	.uleb128 0x1e
	.quad	.LVL4
	.long	0x7dc
	.uleb128 0x1d
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x30
	.uleb128 0x1d
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x2
	.byte	0x73
	.sleb128 0
	.uleb128 0x1d
	.uleb128 0x1
	.byte	0x51
	.uleb128 0x2
	.byte	0x8
	.byte	0x30
	.byte	0
	.byte	0
	.uleb128 0x1f
	.long	.LASF106
	.byte	0x1
	.byte	0x6e
	.quad	.LFB71
	.quad	.LFE71-.LFB71
	.uleb128 0x1
	.byte	0x9c
	.uleb128 0x20
	.long	.LASF86
	.byte	0x1
	.byte	0x4e
	.long	0x62
	.uleb128 0x9
	.byte	0x3
	.quad	openssl_configured
	.uleb128 0x21
	.long	.LASF87
	.byte	0x9
	.byte	0xa8
	.long	0x25a
	.uleb128 0x21
	.long	.LASF88
	.byte	0x9
	.byte	0xa9
	.long	0x25a
	.uleb128 0x21
	.long	.LASF89
	.byte	0x9
	.byte	0xaa
	.long	0x25a
	.uleb128 0x22
	.long	.LASF90
	.long	.LASF90
	.byte	0xa
	.value	0x15c
	.uleb128 0x22
	.long	.LASF91
	.long	.LASF91
	.byte	0x8
	.value	0x23d
	.uleb128 0x22
	.long	.LASF92
	.long	.LASF92
	.byte	0x8
	.value	0x2aa
	.uleb128 0x22
	.long	.LASF93
	.long	.LASF93
	.byte	0xa
	.value	0x154
	.uleb128 0x22
	.long	.LASF94
	.long	.LASF94
	.byte	0x8
	.value	0x241
	.uleb128 0x22
	.long	.LASF95
	.long	.LASF95
	.byte	0xb
	.value	0x21f
	.uleb128 0x23
	.long	.LASF96
	.long	.LASF96
	.byte	0xc
	.byte	0xc2
	.uleb128 0x22
	.long	.LASF97
	.long	.LASF97
	.byte	0xd
	.value	0x145
	.uleb128 0x22
	.long	.LASF98
	.long	.LASF98
	.byte	0xa
	.value	0x14a
	.uleb128 0x23
	.long	.LASF99
	.long	.LASF99
	.byte	0xc
	.byte	0xab
	.byte	0
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x10
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0
	.byte	0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x7
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x8
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x9
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xa
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xb
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xc
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xd
	.uleb128 0x26
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xe
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xf
	.uleb128 0x5
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x10
	.uleb128 0x26
	.byte	0
	.byte	0
	.byte	0
	.uleb128 0x11
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x12
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x13
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x14
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x15
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x16
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x17
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x2117
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x18
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x19
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1a
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x1b
	.uleb128 0x4109
	.byte	0
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1c
	.uleb128 0x4109
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1d
	.uleb128 0x410a
	.byte	0
	.uleb128 0x2
	.uleb128 0x18
	.uleb128 0x2111
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x1e
	.uleb128 0x4109
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1f
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x2117
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x20
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x21
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x22
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.byte	0
	.byte	0
	.uleb128 0x23
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0
	.byte	0
	.byte	0
	.section	.debug_loc,"",@progbits
.Ldebug_loc0:
.LLST0:
	.quad	.LVL0-.Ltext0
	.quad	.LVL1-1-.Ltext0
	.value	0x1
	.byte	0x55
	.quad	.LVL1-1-.Ltext0
	.quad	.LVL5-.Ltext0
	.value	0x1
	.byte	0x53
	.quad	.LVL5-.Ltext0
	.quad	.LVL6-.Ltext0
	.value	0x4
	.byte	0xf3
	.uleb128 0x1
	.byte	0x55
	.byte	0x9f
	.quad	.LVL6-.Ltext0
	.quad	.LVL9-.Ltext0
	.value	0x1
	.byte	0x53
	.quad	.LVL9-.Ltext0
	.quad	.LFE70-.Ltext0
	.value	0x4
	.byte	0xf3
	.uleb128 0x1
	.byte	0x55
	.byte	0x9f
	.quad	0
	.quad	0
.LLST1:
	.quad	.LVL9-.Ltext0
	.quad	.LVL10-.Ltext0
	.value	0x1
	.byte	0x50
	.quad	.LVL10-.Ltext0
	.quad	.LFE70-.Ltext0
	.value	0x1
	.byte	0x53
	.quad	0
	.quad	0
	.section	.debug_aranges,"",@progbits
	.long	0x2c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x8
	.byte	0
	.value	0
	.value	0
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.quad	0
	.quad	0
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.section	.debug_str,"MS",@progbits,1
.LASF20:
	.string	"_IO_buf_end"
.LASF28:
	.string	"_old_offset"
.LASF52:
	.string	"comp"
.LASF86:
	.string	"openssl_configured"
.LASF57:
	.string	"method"
.LASF72:
	.string	"bio_info_cb"
.LASF23:
	.string	"_IO_save_end"
.LASF18:
	.string	"_IO_write_end"
.LASF5:
	.string	"short int"
.LASF7:
	.string	"size_t"
.LASF63:
	.string	"retry_reason"
.LASF10:
	.string	"sizetype"
.LASF103:
	.string	"_IO_lock_t"
.LASF33:
	.string	"_offset"
.LASF92:
	.string	"BIO_printf"
.LASF76:
	.string	"bwrite"
.LASF17:
	.string	"_IO_write_ptr"
.LASF12:
	.string	"_flags"
.LASF85:
	.string	"bio_err"
.LASF67:
	.string	"num_read"
.LASF55:
	.string	"crypto_ex_data_st"
.LASF19:
	.string	"_IO_buf_base"
.LASF84:
	.string	"BIO_METHOD"
.LASF54:
	.string	"CRYPTO_EX_DATA"
.LASF104:
	.string	"OPENSSL_config"
.LASF24:
	.string	"_markers"
.LASF53:
	.string	"_STACK"
.LASF48:
	.string	"stack_st"
.LASF70:
	.string	"stack_st_void"
.LASF68:
	.string	"num_write"
.LASF61:
	.string	"shutdown"
.LASF51:
	.string	"num_alloc"
.LASF14:
	.string	"_IO_read_end"
.LASF78:
	.string	"bputs"
.LASF89:
	.string	"stderr"
.LASF46:
	.string	"long long int"
.LASF97:
	.string	"ENGINE_load_builtin_engines"
.LASF93:
	.string	"ERR_print_errors"
.LASF94:
	.string	"BIO_free"
.LASF32:
	.string	"_lock"
.LASF6:
	.string	"long int"
.LASF106:
	.string	"OPENSSL_no_config"
.LASF102:
	.string	"/home/zack/projects/lssl/libressl-2.2.3-memclob/crypto"
.LASF82:
	.string	"destroy"
.LASF64:
	.string	"next_bio"
.LASF29:
	.string	"_cur_column"
.LASF90:
	.string	"ERR_load_crypto_strings"
.LASF45:
	.string	"_pos"
.LASF77:
	.string	"bread"
.LASF81:
	.string	"create"
.LASF75:
	.string	"name"
.LASF95:
	.string	"exit"
.LASF44:
	.string	"_sbuf"
.LASF41:
	.string	"_IO_FILE"
.LASF34:
	.string	"__pad1"
.LASF98:
	.string	"ERR_clear_error"
.LASF1:
	.string	"unsigned char"
.LASF4:
	.string	"signed char"
.LASF62:
	.string	"flags"
.LASF47:
	.string	"long long unsigned int"
.LASF74:
	.string	"type"
.LASF3:
	.string	"unsigned int"
.LASF42:
	.string	"_IO_marker"
.LASF31:
	.string	"_shortbuf"
.LASF71:
	.string	"stack"
.LASF83:
	.string	"callback_ctrl"
.LASF101:
	.string	"conf/conf_sap.c"
.LASF16:
	.string	"_IO_write_base"
.LASF40:
	.string	"_unused2"
.LASF105:
	.string	"config_name"
.LASF66:
	.string	"references"
.LASF11:
	.string	"char"
.LASF60:
	.string	"init"
.LASF69:
	.string	"ex_data"
.LASF43:
	.string	"_next"
.LASF73:
	.string	"bio_method_st"
.LASF35:
	.string	"__pad2"
.LASF36:
	.string	"__pad3"
.LASF37:
	.string	"__pad4"
.LASF38:
	.string	"__pad5"
.LASF56:
	.string	"bio_st"
.LASF96:
	.string	"OPENSSL_load_builtin_modules"
.LASF49:
	.string	"data"
.LASF100:
	.string	"GNU C99 5.2.1 20150903 -mtune=generic -march=x86-64 -g -O2 -std=gnu99 -fno-strict-aliasing -fno-strict-overflow -fstack-protector-strong"
.LASF91:
	.string	"BIO_new_fp"
.LASF59:
	.string	"cb_arg"
.LASF0:
	.string	"long unsigned int"
.LASF80:
	.string	"ctrl"
.LASF9:
	.string	"__off64_t"
.LASF8:
	.string	"__off_t"
.LASF2:
	.string	"short unsigned int"
.LASF25:
	.string	"_chain"
.LASF22:
	.string	"_IO_backup_base"
.LASF87:
	.string	"stdin"
.LASF79:
	.string	"bgets"
.LASF27:
	.string	"_flags2"
.LASF39:
	.string	"_mode"
.LASF15:
	.string	"_IO_read_base"
.LASF99:
	.string	"CONF_modules_load_file"
.LASF30:
	.string	"_vtable_offset"
.LASF21:
	.string	"_IO_save_base"
.LASF26:
	.string	"_fileno"
.LASF50:
	.string	"sorted"
.LASF13:
	.string	"_IO_read_ptr"
.LASF65:
	.string	"prev_bio"
.LASF88:
	.string	"stdout"
.LASF58:
	.string	"callback"
	.ident	"GCC: (Debian 5.2.1-16) 5.2.1 20150903"
	.section	.note.GNU-stack,"",@progbits
