	.file	"gost_err.c"
	.text
.Ltext0:
	.section	.text.unlikely,"ax",@progbits
.LCOLDB0:
	.text
.LHOTB0:
	.p2align 4,,15
	.section	.text.unlikely
.Ltext_cold0:
	.text
	.globl	ERR_load_GOST_strings
	.type	ERR_load_GOST_strings, @function
ERR_load_GOST_strings:
.LFB70:
	.file 1 "gost/gost_err.c"
	.loc 1 133 0
	.cfi_startproc
	subq	$8, %rsp
	.cfi_def_cfa_offset 16
	.loc 1 136 0
	movq	GOST_str_functs(%rip), %rdi
	call	ERR_func_error_string
.LVL0:
	testq	%rax, %rax
	je	.L5
	.loc 1 142 0
	addq	$8, %rsp
	.cfi_remember_state
	.cfi_def_cfa_offset 8
	ret
	.p2align 4,,10
	.p2align 3
.L5:
	.cfi_restore_state
	.loc 1 138 0
	movl	$GOST_str_functs, %esi
	xorl	%edi, %edi
	call	ERR_load_strings
.LVL1:
	.loc 1 139 0
	movl	$GOST_str_reasons, %esi
	xorl	%edi, %edi
	.loc 1 142 0
	addq	$8, %rsp
	.cfi_def_cfa_offset 8
	.loc 1 139 0
	jmp	ERR_load_strings
.LVL2:
	.cfi_endproc
.LFE70:
	.size	ERR_load_GOST_strings, .-ERR_load_GOST_strings
	.section	.text.unlikely
.LCOLDE0:
	.text
.LHOTE0:
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC1:
	.string	"bad key parameters format"
.LC2:
	.string	"bad pkey parameters format"
.LC3:
	.string	"cannot pack ephemeral key"
.LC4:
	.string	"ctrl call failed"
.LC5:
	.string	"error computing shared key"
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC6:
	.string	"error parsing key transport info"
	.section	.rodata.str1.1
.LC7:
	.string	"incompatible algorithms"
.LC8:
	.string	"incompatible peer key"
.LC9:
	.string	"invalid digest type"
.LC10:
	.string	"invalid iv length"
.LC11:
	.string	"invalid mac key length"
.LC12:
	.string	"key is not initialized"
.LC13:
	.string	"key parameters missing"
.LC14:
	.string	"mac key not set"
.LC15:
	.string	"no parameters set"
.LC16:
	.string	"no peer key"
	.section	.rodata.str1.8
	.align 8
.LC17:
	.string	"no private part of non ephemeral keypair"
	.section	.rodata.str1.1
.LC18:
	.string	"public key undefined"
	.section	.rodata.str1.8
	.align 8
.LC19:
	.string	"random number generator failed"
	.section	.rodata.str1.1
.LC20:
	.string	"signature mismatch"
	.section	.rodata.str1.8
	.align 8
.LC21:
	.string	"signature parts greater than q"
	.section	.rodata.str1.1
.LC22:
	.string	"ukm not set"
	.data
	.align 32
	.type	GOST_str_reasons, @object
	.size	GOST_str_reasons, 368
GOST_str_reasons:
	.quad	838860904
	.quad	.LC1
	.quad	838860905
	.quad	.LC2
	.quad	838860906
	.quad	.LC3
	.quad	838860907
	.quad	.LC4
	.quad	838860908
	.quad	.LC5
	.quad	838860909
	.quad	.LC6
	.quad	838860910
	.quad	.LC7
	.quad	838860911
	.quad	.LC8
	.quad	838860900
	.quad	.LC9
	.quad	838860903
	.quad	.LC10
	.quad	838860901
	.quad	.LC11
	.quad	838860912
	.quad	.LC12
	.quad	838860913
	.quad	.LC13
	.quad	838860902
	.quad	.LC14
	.quad	838860915
	.quad	.LC15
	.quad	838860916
	.quad	.LC16
	.quad	838860917
	.quad	.LC17
	.quad	838860918
	.quad	.LC18
	.quad	838860920
	.quad	.LC19
	.quad	838860921
	.quad	.LC20
	.quad	838860922
	.quad	.LC21
	.quad	838860923
	.quad	.LC22
	.quad	0
	.quad	0
	.section	.rodata.str1.1
.LC23:
	.string	"DECODE_GOST01_ALGOR_PARAMS"
.LC24:
	.string	"ENCODE_GOST01_ALGOR_PARAMS"
.LC25:
	.string	"GOST2001_COMPUTE_PUBLIC"
.LC26:
	.string	"GOST2001_DO_SIGN"
.LC27:
	.string	"GOST2001_DO_VERIFY"
.LC28:
	.string	"GOST2001_KEYGEN"
.LC29:
	.string	"GOST89_GET_ASN1_PARAMETERS"
.LC30:
	.string	"GOST89_SET_ASN1_PARAMETERS"
.LC31:
	.string	"GOST_KEY_check_key"
.LC32:
	.string	"GOST_KEY_new"
	.section	.rodata.str1.8
	.align 8
.LC33:
	.string	"GOST_KEY_set_public_key_affine_coordinates"
	.section	.rodata.str1.1
.LC34:
	.string	"PARAM_COPY_GOST01"
.LC35:
	.string	"PARAM_DECODE_GOST01"
.LC36:
	.string	"PKEY_GOST01_CTRL"
.LC37:
	.string	"PKEY_GOST01_DECRYPT"
.LC38:
	.string	"PKEY_GOST01_DERIVE"
.LC39:
	.string	"PKEY_GOST01_ENCRYPT"
.LC40:
	.string	"PKEY_GOST01_PARAMGEN"
.LC41:
	.string	"PKEY_GOST01_SIGN"
.LC42:
	.string	"PKEY_GOST_MAC_CTRL"
.LC43:
	.string	"PKEY_GOST_MAC_KEYGEN"
.LC44:
	.string	"PRIV_DECODE_GOST01"
.LC45:
	.string	"PUB_DECODE_GOST01"
.LC46:
	.string	"PUB_ENCODE_GOST01"
.LC47:
	.string	"PUB_PRINT_GOST01"
.LC48:
	.string	"UNPACK_SIGNATURE_CP"
.LC49:
	.string	"UNPACK_SIGNATURE_LE"
	.data
	.align 32
	.type	GOST_str_functs, @object
	.size	GOST_str_functs, 448
GOST_str_functs:
	.quad	839286784
	.quad	.LC23
	.quad	839290880
	.quad	.LC24
	.quad	839294976
	.quad	.LC25
	.quad	839299072
	.quad	.LC26
	.quad	839303168
	.quad	.LC27
	.quad	839307264
	.quad	.LC28
	.quad	839278592
	.quad	.LC29
	.quad	839282688
	.quad	.LC30
	.quad	839368704
	.quad	.LC31
	.quad	839372800
	.quad	.LC32
	.quad	839376896
	.quad	.LC33
	.quad	839311360
	.quad	.LC34
	.quad	839315456
	.quad	.LC35
	.quad	839335936
	.quad	.LC36
	.quad	839319552
	.quad	.LC37
	.quad	839323648
	.quad	.LC38
	.quad	839327744
	.quad	.LC39
	.quad	839331840
	.quad	.LC40
	.quad	839364608
	.quad	.LC41
	.quad	839270400
	.quad	.LC42
	.quad	839274496
	.quad	.LC43
	.quad	839340032
	.quad	.LC44
	.quad	839344128
	.quad	.LC45
	.quad	839348224
	.quad	.LC46
	.quad	839352320
	.quad	.LC47
	.quad	839356416
	.quad	.LC48
	.quad	839360512
	.quad	.LC49
	.quad	0
	.quad	0
	.text
.Letext0:
	.section	.text.unlikely
.Letext_cold0:
	.file 2 "/usr/lib/gcc/x86_64-linux-gnu/5/include/stddef.h"
	.file 3 "/usr/include/x86_64-linux-gnu/bits/types.h"
	.file 4 "/usr/include/libio.h"
	.file 5 "../include/openssl/err.h"
	.file 6 "/usr/include/stdio.h"
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.long	0x3b7
	.value	0x4
	.long	.Ldebug_abbrev0
	.byte	0x8
	.uleb128 0x1
	.long	.LASF58
	.byte	0xc
	.long	.LASF59
	.long	.LASF60
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF7
	.byte	0x2
	.byte	0xd8
	.long	0x38
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.long	.LASF8
	.byte	0x3
	.byte	0x83
	.long	0x69
	.uleb128 0x2
	.long	.LASF9
	.byte	0x3
	.byte	0x84
	.long	0x69
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF10
	.uleb128 0x5
	.byte	0x8
	.uleb128 0x6
	.byte	0x8
	.long	0x95
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF11
	.uleb128 0x7
	.long	.LASF41
	.byte	0xd8
	.byte	0x4
	.byte	0xf5
	.long	0x21c
	.uleb128 0x8
	.long	.LASF12
	.byte	0x4
	.byte	0xf6
	.long	0x62
	.byte	0
	.uleb128 0x8
	.long	.LASF13
	.byte	0x4
	.byte	0xfb
	.long	0x8f
	.byte	0x8
	.uleb128 0x8
	.long	.LASF14
	.byte	0x4
	.byte	0xfc
	.long	0x8f
	.byte	0x10
	.uleb128 0x8
	.long	.LASF15
	.byte	0x4
	.byte	0xfd
	.long	0x8f
	.byte	0x18
	.uleb128 0x8
	.long	.LASF16
	.byte	0x4
	.byte	0xfe
	.long	0x8f
	.byte	0x20
	.uleb128 0x8
	.long	.LASF17
	.byte	0x4
	.byte	0xff
	.long	0x8f
	.byte	0x28
	.uleb128 0x9
	.long	.LASF18
	.byte	0x4
	.value	0x100
	.long	0x8f
	.byte	0x30
	.uleb128 0x9
	.long	.LASF19
	.byte	0x4
	.value	0x101
	.long	0x8f
	.byte	0x38
	.uleb128 0x9
	.long	.LASF20
	.byte	0x4
	.value	0x102
	.long	0x8f
	.byte	0x40
	.uleb128 0x9
	.long	.LASF21
	.byte	0x4
	.value	0x104
	.long	0x8f
	.byte	0x48
	.uleb128 0x9
	.long	.LASF22
	.byte	0x4
	.value	0x105
	.long	0x8f
	.byte	0x50
	.uleb128 0x9
	.long	.LASF23
	.byte	0x4
	.value	0x106
	.long	0x8f
	.byte	0x58
	.uleb128 0x9
	.long	.LASF24
	.byte	0x4
	.value	0x108
	.long	0x254
	.byte	0x60
	.uleb128 0x9
	.long	.LASF25
	.byte	0x4
	.value	0x10a
	.long	0x25a
	.byte	0x68
	.uleb128 0x9
	.long	.LASF26
	.byte	0x4
	.value	0x10c
	.long	0x62
	.byte	0x70
	.uleb128 0x9
	.long	.LASF27
	.byte	0x4
	.value	0x110
	.long	0x62
	.byte	0x74
	.uleb128 0x9
	.long	.LASF28
	.byte	0x4
	.value	0x112
	.long	0x70
	.byte	0x78
	.uleb128 0x9
	.long	.LASF29
	.byte	0x4
	.value	0x116
	.long	0x46
	.byte	0x80
	.uleb128 0x9
	.long	.LASF30
	.byte	0x4
	.value	0x117
	.long	0x54
	.byte	0x82
	.uleb128 0x9
	.long	.LASF31
	.byte	0x4
	.value	0x118
	.long	0x260
	.byte	0x83
	.uleb128 0x9
	.long	.LASF32
	.byte	0x4
	.value	0x11c
	.long	0x270
	.byte	0x88
	.uleb128 0x9
	.long	.LASF33
	.byte	0x4
	.value	0x125
	.long	0x7b
	.byte	0x90
	.uleb128 0x9
	.long	.LASF34
	.byte	0x4
	.value	0x12e
	.long	0x8d
	.byte	0x98
	.uleb128 0x9
	.long	.LASF35
	.byte	0x4
	.value	0x12f
	.long	0x8d
	.byte	0xa0
	.uleb128 0x9
	.long	.LASF36
	.byte	0x4
	.value	0x130
	.long	0x8d
	.byte	0xa8
	.uleb128 0x9
	.long	.LASF37
	.byte	0x4
	.value	0x131
	.long	0x8d
	.byte	0xb0
	.uleb128 0x9
	.long	.LASF38
	.byte	0x4
	.value	0x132
	.long	0x2d
	.byte	0xb8
	.uleb128 0x9
	.long	.LASF39
	.byte	0x4
	.value	0x134
	.long	0x62
	.byte	0xc0
	.uleb128 0x9
	.long	.LASF40
	.byte	0x4
	.value	0x136
	.long	0x276
	.byte	0xc4
	.byte	0
	.uleb128 0xa
	.long	.LASF61
	.byte	0x4
	.byte	0x9a
	.uleb128 0x7
	.long	.LASF42
	.byte	0x18
	.byte	0x4
	.byte	0xa0
	.long	0x254
	.uleb128 0x8
	.long	.LASF43
	.byte	0x4
	.byte	0xa1
	.long	0x254
	.byte	0
	.uleb128 0x8
	.long	.LASF44
	.byte	0x4
	.byte	0xa2
	.long	0x25a
	.byte	0x8
	.uleb128 0x8
	.long	.LASF45
	.byte	0x4
	.byte	0xa6
	.long	0x62
	.byte	0x10
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x223
	.uleb128 0x6
	.byte	0x8
	.long	0x9c
	.uleb128 0xb
	.long	0x95
	.long	0x270
	.uleb128 0xc
	.long	0x86
	.byte	0
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x21c
	.uleb128 0xb
	.long	0x95
	.long	0x286
	.uleb128 0xc
	.long	0x86
	.byte	0x13
	.byte	0
	.uleb128 0x6
	.byte	0x8
	.long	0x28c
	.uleb128 0xd
	.long	0x95
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF46
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF47
	.uleb128 0xe
	.long	.LASF48
	.byte	0x10
	.byte	0x5
	.value	0x136
	.long	0x2c7
	.uleb128 0x9
	.long	.LASF49
	.byte	0x5
	.value	0x137
	.long	0x38
	.byte	0
	.uleb128 0x9
	.long	.LASF50
	.byte	0x5
	.value	0x138
	.long	0x286
	.byte	0x8
	.byte	0
	.uleb128 0xf
	.long	.LASF51
	.byte	0x5
	.value	0x139
	.long	0x29f
	.uleb128 0x10
	.long	.LASF62
	.byte	0x1
	.byte	0x84
	.quad	.LFB70
	.quad	.LFE70-.LFB70
	.uleb128 0x1
	.byte	0x9c
	.long	0x342
	.uleb128 0x11
	.quad	.LVL0
	.long	0x3a2
	.uleb128 0x12
	.quad	.LVL1
	.long	0x3ae
	.long	0x321
	.uleb128 0x13
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x30
	.uleb128 0x13
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	GOST_str_functs
	.byte	0
	.uleb128 0x14
	.quad	.LVL2
	.long	0x3ae
	.uleb128 0x13
	.uleb128 0x1
	.byte	0x55
	.uleb128 0x1
	.byte	0x30
	.uleb128 0x13
	.uleb128 0x1
	.byte	0x54
	.uleb128 0x9
	.byte	0x3
	.quad	GOST_str_reasons
	.byte	0
	.byte	0
	.uleb128 0xb
	.long	0x2c7
	.long	0x352
	.uleb128 0xc
	.long	0x86
	.byte	0x1b
	.byte	0
	.uleb128 0x15
	.long	.LASF52
	.byte	0x1
	.byte	0x47
	.long	0x342
	.uleb128 0x9
	.byte	0x3
	.quad	GOST_str_functs
	.uleb128 0xb
	.long	0x2c7
	.long	0x377
	.uleb128 0xc
	.long	0x86
	.byte	0x16
	.byte	0
	.uleb128 0x15
	.long	.LASF53
	.byte	0x1
	.byte	0x67
	.long	0x367
	.uleb128 0x9
	.byte	0x3
	.quad	GOST_str_reasons
	.uleb128 0x16
	.long	.LASF54
	.byte	0x6
	.byte	0xa8
	.long	0x25a
	.uleb128 0x16
	.long	.LASF55
	.byte	0x6
	.byte	0xa9
	.long	0x25a
	.uleb128 0x17
	.long	.LASF56
	.long	.LASF56
	.byte	0x5
	.value	0x14e
	.uleb128 0x17
	.long	.LASF57
	.long	.LASF57
	.byte	0x5
	.value	0x159
	.byte	0
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x10
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0
	.byte	0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x7
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x8
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x9
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xa
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xb
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xc
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xd
	.uleb128 0x26
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xe
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xf
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x10
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x2117
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x11
	.uleb128 0x4109
	.byte	0
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x12
	.uleb128 0x4109
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x31
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x13
	.uleb128 0x410a
	.byte	0
	.uleb128 0x2
	.uleb128 0x18
	.uleb128 0x2111
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x14
	.uleb128 0x4109
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x2115
	.uleb128 0x19
	.uleb128 0x31
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x15
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x16
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x17
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x6e
	.uleb128 0xe
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.byte	0
	.byte	0
	.byte	0
	.section	.debug_aranges,"",@progbits
	.long	0x2c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x8
	.byte	0
	.value	0
	.value	0
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.quad	0
	.quad	0
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.section	.debug_str,"MS",@progbits,1
.LASF28:
	.string	"_old_offset"
.LASF23:
	.string	"_IO_save_end"
.LASF5:
	.string	"short int"
.LASF7:
	.string	"size_t"
.LASF52:
	.string	"GOST_str_functs"
.LASF10:
	.string	"sizetype"
.LASF33:
	.string	"_offset"
.LASF17:
	.string	"_IO_write_ptr"
.LASF12:
	.string	"_flags"
.LASF19:
	.string	"_IO_buf_base"
.LASF24:
	.string	"_markers"
.LASF14:
	.string	"_IO_read_end"
.LASF59:
	.string	"gost/gost_err.c"
.LASF51:
	.string	"ERR_STRING_DATA"
.LASF46:
	.string	"long long int"
.LASF56:
	.string	"ERR_func_error_string"
.LASF32:
	.string	"_lock"
.LASF6:
	.string	"long int"
.LASF50:
	.string	"string"
.LASF60:
	.string	"/home/zack/projects/lssl/libressl-2.2.3-memclob/crypto"
.LASF53:
	.string	"GOST_str_reasons"
.LASF29:
	.string	"_cur_column"
.LASF45:
	.string	"_pos"
.LASF44:
	.string	"_sbuf"
.LASF41:
	.string	"_IO_FILE"
.LASF1:
	.string	"unsigned char"
.LASF4:
	.string	"signed char"
.LASF47:
	.string	"long long unsigned int"
.LASF3:
	.string	"unsigned int"
.LASF42:
	.string	"_IO_marker"
.LASF31:
	.string	"_shortbuf"
.LASF16:
	.string	"_IO_write_base"
.LASF40:
	.string	"_unused2"
.LASF13:
	.string	"_IO_read_ptr"
.LASF20:
	.string	"_IO_buf_end"
.LASF48:
	.string	"ERR_string_data_st"
.LASF11:
	.string	"char"
.LASF43:
	.string	"_next"
.LASF34:
	.string	"__pad1"
.LASF35:
	.string	"__pad2"
.LASF36:
	.string	"__pad3"
.LASF37:
	.string	"__pad4"
.LASF38:
	.string	"__pad5"
.LASF58:
	.string	"GNU C99 5.2.1 20150903 -mtune=generic -march=x86-64 -g -O2 -std=gnu99 -fno-strict-aliasing -fno-strict-overflow -fstack-protector-strong"
.LASF0:
	.string	"long unsigned int"
.LASF18:
	.string	"_IO_write_end"
.LASF9:
	.string	"__off64_t"
.LASF8:
	.string	"__off_t"
.LASF2:
	.string	"short unsigned int"
.LASF25:
	.string	"_chain"
.LASF57:
	.string	"ERR_load_strings"
.LASF22:
	.string	"_IO_backup_base"
.LASF54:
	.string	"stdin"
.LASF27:
	.string	"_flags2"
.LASF39:
	.string	"_mode"
.LASF15:
	.string	"_IO_read_base"
.LASF30:
	.string	"_vtable_offset"
.LASF49:
	.string	"error"
.LASF21:
	.string	"_IO_save_base"
.LASF26:
	.string	"_fileno"
.LASF62:
	.string	"ERR_load_GOST_strings"
.LASF55:
	.string	"stdout"
.LASF61:
	.string	"_IO_lock_t"
	.ident	"GCC: (Debian 5.2.1-16) 5.2.1 20150903"
	.section	.note.GNU-stack,"",@progbits
